# Generated by Makefile. Do not edit.

commit 976115f7784d4c76a6f1c6ef2ca6b4bb591dd62a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jun 2 21:22:37 2012 -0400

    NEWS update for 3.5.2 release.

 NEWS |   55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 55 insertions(+), 0 deletions(-)

commit 3a865243888a80d5fc5ae0abfc27a0d6359eec35
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jun 2 10:38:23 2012 -0400

    Update API documentation.

 camel/camel-imapx-conn-manager.h                   |    3 +-
 camel/camel-imapx-settings.c                       |   12 +-
 camel/camel-imapx-settings.h                       |    2 +-
 camel/camel-imapx-store.h                          |    2 +-
 camel/camel-imapx-summary.c                        |    1 -
 camel/camel-imapx-summary.h                        |    9 +-
 docs/reference/camel/Makefile.am                   |    2 +
 docs/reference/camel/camel-docs.sgml               |   21 +-
 docs/reference/camel/camel-sections.txt            |  401 +++++++++++++++++++-
 docs/reference/camel/camel.types                   |   11 +
 .../libedataserverui/libedataserverui-docs.sgml    |    1 -
 .../libedataserverui/libedataserverui-sections.txt |    1 -
 12 files changed, 432 insertions(+), 34 deletions(-)

commit 986d0d7c976bb1e9c439a7b90f062dd41c77c6de
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jun 2 07:58:05 2012 -0400

    Whitespace cleanups.

 calendar/backends/caldav/e-cal-backend-caldav.c    |    2 +-
 .../backends/contacts/e-cal-backend-contacts.c     |    2 +-
 calendar/backends/http/e-cal-backend-http.c        |    2 +-
 camel/camel-folder-search.c                        |    2 +-
 camel/camel-folder-summary.c                       |   17 ++--
 camel/camel-folder-summary.h                       |    2 +-
 camel/camel-imapx-conn-manager.c                   |    5 +-
 camel/camel-imapx-server.c                         |   12 +-
 camel/camel-string-utils.c                         |    4 +-
 camel/camel-tcp-stream-ssl.c                       |    2 +-
 camel/camel-vee-data-cache.c                       |   50 ++++----
 camel/camel-vee-folder.c                           |  125 ++++++++++----------
 camel/camel-vee-store.c                            |   56 +++++-----
 camel/camel-vee-summary.c                          |   20 ++--
 camel/providers/imap/camel-imap-folder.c           |    3 +-
 15 files changed, 152 insertions(+), 152 deletions(-)

commit 7a4162dcc372fbca2405056f92eef7bec4c7400f
Author: Alban Browaeys <prahal@yahoo.com>
Date:   Thu May 31 14:33:03 2012 +0200

    Bug #666327 - IMAP deadlock when moving message and checking new mail
    
    with service lock removal the fix for bug #666327
    went out (commit 74fcab535c0f50a27742c05e94036b8370ea9173).
    Was a good thing as this version is less a hack.
    To summarize:
    imap folder deadlock:
    1. do_copy :
    	.imap command on source lock the imap store
    2. camel_imap_folder_fetch_data on destination:
    	. lock the destination folder
    3. do_copy :
    	. call the hande user tag : wait for lock on the destination
    folder cache	.
    4. camel_imap_folder_fetch_data on destination:
    	. wait for lock on the imap store to be freed.
    
    Fix: get the lock on the destination folder cache before locking the
    imap store (ie before calling the imap command).

 camel/providers/imap/camel-imap-folder.c |   13 +++++--------
 1 files changed, 5 insertions(+), 8 deletions(-)

commit 1319e8280d825926668b5632c7e202d9ebb4d36f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu May 31 13:14:38 2012 +0200

    Updated Spanish translation

 po/es.po |   30 +++++++++++++++---------------
 1 files changed, 15 insertions(+), 15 deletions(-)

commit 606c707caa408f7b518d78f02dad9fa0a16a0178
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu May 31 12:10:41 2012 +0200

    Updated Spanish translation

 po/es.po |  563 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 285 insertions(+), 278 deletions(-)

commit db7429767238b15fdce917d30791ef46f35489b4
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu May 31 11:48:46 2012 +0200

    Bug #673946 - Cannot delete search folders

 camel/camel-provider.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 76d8bbcdc47c6cf2c343d21a694110026ecab98d
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed May 30 18:45:01 2012 +0200

    Simplify vFolder's code and other bunch of related time optimizations

 camel/Makefile.am                        |    2 +
 camel/camel-db.c                         |  209 ---
 camel/camel-db.h                         |    9 -
 camel/camel-folder-search.c              |   70 +-
 camel/camel-folder-summary.c             |  279 +++-
 camel/camel-folder-summary.h             |   17 +-
 camel/camel-folder.c                     |    4 +
 camel/camel-imapx-server.c               |    2 +-
 camel/camel-store.c                      |   13 +-
 camel/camel-string-utils.c               |   79 +-
 camel/camel-string-utils.h               |    1 +
 camel/camel-subscribable.c               |    4 +-
 camel/camel-vee-data-cache.c             |  638 ++++++++
 camel/camel-vee-data-cache.h             |  177 ++
 camel/camel-vee-folder.c                 | 2597 ++++++++++--------------------
 camel/camel-vee-folder.h                 |   92 +-
 camel/camel-vee-store.c                  |  532 ++++++-
 camel/camel-vee-store.h                  |   40 +-
 camel/camel-vee-summary.c                |  293 +++-
 camel/camel-vee-summary.h                |   18 +-
 camel/camel-vtrash-folder.c              |    4 +-
 camel/camel.h                            |    1 +
 camel/providers/imap/camel-imap-folder.c |    2 +-
 23 files changed, 2824 insertions(+), 2259 deletions(-)

commit a5c1b85cfd9825edc3a894a92db3704fb81c2e9a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue May 29 13:35:58 2012 -0400

    Bump goa_minimum_version to 3.2.
    
    Just to make it a stable release number.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5df286eabde5528cccb33fcf2e5ff04d8f27fa3a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 27 08:53:27 2012 -0400

    EFileCache cleanups.

 libebackend/e-file-cache.c |  149 +++++++++++++++++++++++---------------------
 1 files changed, 77 insertions(+), 72 deletions(-)

commit c769a1e9180ad792deed583551aad19ee92c58a6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon May 28 14:56:44 2012 +0200

    Updated Slovenian translation

 po/sl.po | 2052 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 1054 insertions(+), 998 deletions(-)

commit bb8903285e5591e17cc535570623e68599e041de
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat May 26 12:08:09 2012 -0400

    libebackend documentation touch ups.

 docs/reference/libebackend/libebackend-docs.xml |   10 +++++++++-
 libebackend/e-backend-factory.c                 |    2 +-
 libebackend/e-backend.c                         |    2 +-
 libebackend/e-data-factory.c                    |    2 +-
 libebackend/e-dbus-server.c                     |    2 +-
 libebackend/e-extensible.c                      |    2 +-
 libebackend/e-extension.c                       |    2 +-
 libebackend/e-module.c                          |    2 +-
 libebackend/e-offline-listener.c                |    2 +-
 9 files changed, 17 insertions(+), 9 deletions(-)

commit 936b8a30aceb8cd15c4d044f24534129a6846c14
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri May 25 12:15:01 2012 -0400

    Camel documentation touch ups.

 camel/camel-imapx-settings.c               |    4 ++--
 camel/camel-local-settings.c               |    2 +-
 camel/camel-network-settings.c             |    6 +++---
 camel/providers/imap/camel-imap-settings.c |   10 +++++-----
 4 files changed, 11 insertions(+), 11 deletions(-)

commit 2d64b73d963637554221b3784a4c7ed5da1cf999
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue May 22 19:55:03 2012 -0400

    Add e_util_strdup_strip().
    
    Duplicates an input string and strips off any leading or trailing
    whitespace.  The resulting string is returned unless it is empty or
    NULL, in which case the function returns NULL.
    
    Useful in "set" functions for string properties.
    Helps avoid expressions like (str != NULL && *str != '\0').

 .../libedataserver/libedataserver-sections.txt     |    1 +
 libedataserver/e-data-server-util.c                |   31 ++++++++++++++++++++
 libedataserver/e-data-server-util.h                |    1 +
 3 files changed, 33 insertions(+), 0 deletions(-)

commit 61ff6733c679abec41564a97272d9490f22f52d5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue May 22 09:11:21 2012 -0400

    camel_service_disconnect(): Missing break in switch statement.

 camel/camel-service.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 17f3fa1b12faa89158458d976c110cc9f8733a56
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Mon May 21 16:45:56 2012 +0100

    Bug 667725 - imapx_untagged: code should not be reached
    
    This code is evil.
    
    When we scan a folder for new messages, we issue a 'FETCH 1:* (UID FLAGS)'
    or similar command.
    
    When we receive an untagged FETCH from the server telling us flags for a
    message, we make a decision about whether that information was solicited
    by such a command, or whether it was unsolicited.
    
    If it was unsolicited, we process it normally as an asynchronous flags
    update and all is well.
    
    If it was solicited, we add the UID to a list. When the FETCH (UID FLAGS)
    command *completes*, we'll sort that list and then fetch the full headers
    for each message.
    
    However, we weren't very good at telling when an update was solicited.
    Assuming that only solicited messages will have a UID is bogus.
    
    This was failing if an unsolicited update came in when the (UID FLAGS)
    fetch had completed, and we were already fetching the message headers.
    The "new" UID would be added to the end of the list, even if we were
    already fetching that message or if we already had it in cache. We'd
    issue a FETCH command for it, and the barf when the server complied,
    because when the UID list wasn't sorted we wouldn't find the offending
    uid when we looked for it.
    
    The simple "fix" for this is to keep a boolean flag 'scan_changes' which
    is TRUE only when that FETCH (UID FLAGS) command is running. If a flags
    change comes in at any other time, it is definitely unsolicited and
    should *not* be added to the uidset. This at least protects us from
    having UIDs added after we've sorted the list and started to do other
    things with it, which was causing the crash.
    
    In fact, this whole 'solicited' vs. 'unsolicited' thing is a design
    mistake. In imapx_untagged() we should never care about what we asked
    for and what we didn't. That's why the responses are *untagged*. The
    server tells us things about the state of the mailboxes, and we should
    process that information into our own local cache — it shouldn't
    *matter* what we asked for. But that's a more intrusive fix for another day.
    
    In addition, we were reliably *triggering* this behaviour in some cases
    because we had to issue a SELECT for the folder in question before
    issuing the FETCH (UID FLAGS) command. And on completion of the SELECT,
    if UIDNEXT had increased, we were automatically issuing a *new* FETCH
    (UID FLAGS) command starting from the last-known-uid in our cache. This
    was entirely gratiutous, so use the same scan_changes boolean flag to
    avoid it in that situation.

 camel/camel-imapx-server.c |   42 ++++++++++++++++++++++++++++++++++++------
 1 files changed, 36 insertions(+), 6 deletions(-)

commit 7dd91af4568d1247e32e33319a875c274d6c7ca5
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Mon May 21 16:42:26 2012 +0100

    Fix off-by-one in uidset handling for fetches
    
    When we get to the end of the for() loop processing the uidset, the index
    variable is one *more* than the last item. That's how for() loops in C
    work.
    
    But when we break out of the middle because we are limiting the batch
    size, we were forgetting to do the same and we were storing the index
    of the last item that we'd already fetched.
    
    This was causing us to re-fetch the last message of one batch, as the
    first message of the next batch. Mostly harmless, but spotted and fixed
    as part of bug 667725.

 camel/camel-imapx-server.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit e689ff03dfa4d23722d14bdfd93103a91e4cd7e5
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Mon May 21 16:22:36 2012 +0100

    Bug 676506 - imapx: After QRESYNC leaves us out of sync, a "full resync" doesn't work either.
    
    Always fetch from the beginning of the folder.

 camel/camel-imapx-server.c |   17 +++++++++++++++--
 1 files changed, 15 insertions(+), 2 deletions(-)

commit 23a77e1d521c34e04121395ffe5df9a567c22e77
Author: David Woodhouse <David.Woodhouse@intel.com>
Date:   Sun May 20 00:40:53 2012 +0100

    Bug 676403 - imapx: Syncing folder after server-side deletion of many messages is *very* slow
    
    Fix this by introducing a new camel_folder_change_info_remove_uids()
    function, and using it for the 'vanished' code. This reduces the time taken
    from about 40ms per message, to about 50µs.

 camel/camel-folder-summary.c |   48 ++++++++++++++++++++++++++++++++++++++++++
 camel/camel-folder-summary.h |    2 +
 camel/camel-imapx-server.c   |   24 +++++++++++++++++++-
 3 files changed, 72 insertions(+), 2 deletions(-)

commit 2236bc3631b8f8c4995dabf65d27cdc39c7493f9
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:   Sun May 20 20:28:44 2012 -0400

    Bug 676108 - OpenBSD needs _XOPEN_SOURCE_EXTENDED for strptime(3)
    
    strptime(3) was introduced in XPG4. On OpenBSD, just defining
    _XOPEN_SOURCE gets you the older XPG3 which doesn't include strptime(3),
    so we need to define _XOPEN_SOURCE_EXTENDED to get XPG4v2.

 libedataserver/e-time-utils.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c59dc575d7672088015ccb8cb4b5d05663acd5ed
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun May 20 17:59:37 2012 +0200

    Updated Galician translations

 po/gl.po |  484 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 242 insertions(+), 242 deletions(-)

commit a913943933674bb1d6da0d31b5edefc40c2d4d8b
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat May 19 23:16:27 2012 +0100

    google: Fix a gcc warning in the Google backend
    
    Signed/Unsigned comparison.

 .../backends/google/e-book-backend-google.c        |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 66c1907fd69d1bf40cc225995824629293c98975
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat May 19 23:11:31 2012 +0100

    google: Fix some gcc warnings in the GOA authoriser
    
    Variable shadowing, missing default cases and signed/unsigned comparisons.

 .../backends/google/e-gdata-goa-authorizer.c       |   18 +++++++++++-------
 1 files changed, 11 insertions(+), 7 deletions(-)

commit 2926efa11c34886c58c32c0888e77a924661c9d9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat May 19 13:39:56 2012 -0400

    Bump Camel's shared object name.
    
    For CamelService connect/disconnect API changes.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5df5cb9f1586fc2da3fa95f9ee5bd1c0f77432f3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat May 19 12:02:05 2012 -0400

    Remove camel_service_lock/unlock().
    
    This has been the cause of many deadlocks, and is no longer needed with
    CamelService's new asynchronous connect/disconnect API.

 camel/camel-imapx-conn-manager.c         |   13 +---
 camel/camel-imapx-store.c                |   24 +-----
 camel/camel-service.c                    |   72 +-----------------
 camel/camel-service.h                    |   14 ----
 camel/providers/imap/camel-imap-folder.c |   86 ++-------------------
 camel/providers/imap/camel-imap-store.c  |  121 +++++------------------------
 camel/providers/nntp/camel-nntp-folder.c |   34 +--------
 camel/providers/nntp/camel-nntp-store.c  |   45 +-----------
 docs/reference/camel/camel-sections.txt  |    3 -
 9 files changed, 41 insertions(+), 371 deletions(-)

commit a182bde249c72e0ac89cc85475712aea96fb8e08
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat May 19 08:41:15 2012 -0400

    CamelService: Rewrite connect/disconnect API.
    
    CamelService now has proper cancellable asynchronous functions for
    connect and disconnect operations.  The way this works is as follows:
    
    The first service connect request runs asynchronously internally, even
    if camel_service_connect_sync() is called.  Subsequent connect requests
    are queued until the first connect request finishes, then all requests
    finish simultaneously with the same result.  There are no retries; if
    the first request fails, they all fail with the same error.
    
    If a service disconnect is requested with one or more connect requests
    outstanding, the connect requests are all cancelled and the disconnect
    request runs asynchronously and plays by the same queueing rules.
    
    CamelService's "connection-status" property will immediately reflect any
    connect or disconnect requests in progress.  Change notification signals
    for this property, however, are emitted from CamelSession's main context.

 camel/camel-disco-store.c                   |   38 +-
 camel/camel-imapx-folder.c                  |    8 +-
 camel/camel-imapx-store.c                   |    8 +-
 camel/camel-offline-store.c                 |    5 +-
 camel/camel-sasl-popb4smtp.c                |    2 +-
 camel/camel-service.c                       |  948 +++++++++++++++++++++++----
 camel/camel-service.h                       |   54 ++-
 camel/providers/imap/camel-imap-command.c   |   13 +-
 camel/providers/imap/camel-imap-store.c     |   13 +-
 camel/providers/imapx/test-imapx.c          |    2 +-
 camel/providers/nntp/camel-nntp-store.c     |   10 +-
 camel/providers/pop3/camel-pop3-store.c     |    6 +-
 camel/providers/smtp/camel-smtp-transport.c |   45 +-
 docs/reference/camel/camel-sections.txt     |   13 +-
 14 files changed, 959 insertions(+), 206 deletions(-)

commit 16cd764733e169aeb3c98a27bb26a9c83023d3f8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat May 19 09:38:04 2012 -0400

    Camel: Use camel_session_idle_add() for idle callbacks.
    
    Ensures all idle callbacks are dispatched from the same GMainContext,
    especially important for scheduling signal emissions.

 camel/camel-folder.c       |  100 +++++++++++++++++++++-------------
 camel/camel-session.c      |   13 ++---
 camel/camel-store.c        |  130 +++++++++++++++++++++++++-------------------
 camel/camel-subscribable.c |   31 ++++++++---
 4 files changed, 166 insertions(+), 108 deletions(-)

commit 4d04afeab15da246a79348fc45ab3fde78d537fa
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat May 19 09:08:11 2012 -0400

    CamelSession: Add camel_session_idle_add().
    
    Schedules an idle callback on CamelSession's GMainContext.

 camel/camel-session.c                   |   53 +++++++++++++++++++++++++++++++
 camel/camel-session.h                   |    5 +++
 docs/reference/camel/camel-sections.txt |    1 +
 3 files changed, 59 insertions(+), 0 deletions(-)

commit 6d555a21dc1aa29da9c2778a817109206d0b14bf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat May 19 08:35:14 2012 -0400

    CamelSession: Add a read-only "main-context" property.

 camel/camel-session.c                   |   50 ++++++++++++++++++++++++++----
 camel/camel-session.h                   |    1 +
 docs/reference/camel/camel-sections.txt |    1 +
 3 files changed, 45 insertions(+), 7 deletions(-)

commit 779baa21be659df38aadf2bd95db69d0d61f6ddc
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 18 08:58:28 2012 +0200

    Remove camel_folder_has_search_capability()
    
    CamelFolder descendants are supposed to implement search API now.

 camel/camel-enums.h                        |    1 -
 camel/camel-folder.c                       |   19 -------------------
 camel/camel-folder.h                       |    2 --
 camel/camel-imapx-folder.c                 |    3 +--
 camel/camel-vee-folder.c                   |    3 +--
 camel/providers/imap/camel-imap-folder.c   |    3 +--
 camel/providers/local/camel-local-folder.c |    3 +--
 camel/providers/nntp/camel-nntp-folder.c   |    4 +---
 8 files changed, 5 insertions(+), 33 deletions(-)

commit 087585a51cc95e3997f1ece1dda1b1dde031ee63
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu May 17 09:42:21 2012 +0200

    Camel: Allow SSL certificate resave and use detailed errors from SSL stream

 camel/camel-tcp-stream-raw.c |   10 +++++-----
 camel/camel-tcp-stream-raw.h |    1 +
 camel/camel-tcp-stream-ssl.c |   11 +++++------
 3 files changed, 11 insertions(+), 11 deletions(-)

commit b330e514491d016db01a3305499c080ab56e11ea
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed May 16 12:35:35 2012 +0200

    Updated Spanish translation

 po/es.po |  132 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 66 insertions(+), 66 deletions(-)

commit d342d33694e9cd89aee7ddb346ce07ad2da49b34
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed May 16 12:27:44 2012 +0200

    Updated Swedish translation

 po/sv.po | 1457 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 748 insertions(+), 709 deletions(-)

commit 63f6767728f637c9c97befada1085b450a885b85
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue May 15 14:16:06 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  810 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 410 insertions(+), 400 deletions(-)

commit 3fe1b4903bfda214376c7d3f07ecf52bd0e5ecc5
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue May 15 13:43:16 2012 +0200

    Bug #671603 - Birthday calendar broken since 3.3.4

 .../backends/contacts/e-cal-backend-contacts.c     |   96 +++++++++++++-------
 1 files changed, 62 insertions(+), 34 deletions(-)

commit 24ec80fc75af605a732ad0366f6e842b6e7eb661
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue May 15 17:01:35 2012 +0530

    Bug 664639 - [IMAPX] Doesn't quit gracefully on account disable

 camel/camel-imapx-conn-manager.c |   22 ++++++++++++++++++++--
 1 files changed, 20 insertions(+), 2 deletions(-)

commit 6992df26967b60d4b923d20263aec91bcd983d2c
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue May 15 13:55:57 2012 +0530

    Signal shutdown when imapx connection shutsdown so that the connection is
    pruned from connection manager.

 camel/camel-imapx-server.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 93b92b7c2579508caf06c49ebba15045a21eab2e
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue May 15 08:10:10 2012 +0200

    Remove unused variable

 camel/camel-tcp-stream-ssl.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit aba99c80392b246a76aa78d62b4f8ae0ae8a1be6
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon May 14 20:16:22 2012 +0200

    Bug #670279 - "Category" selector mnemonic not shown

 libedataserverui/e-name-selector-dialog.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 00c97c7abe96f3507d19a6e6dcd0c3ed2245eadf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon May 14 10:15:17 2012 -0400

    Bug 675387 - Store certificates under $XDG_DATA_HOME
    
    Move certificates from $HOME/.camel_certs to $XDG_DATA_HOME/camel_certs.

 camel/camel-tcp-stream-ssl.c |   64 ++++++++++++++++++++++++++++--------------
 1 files changed, 43 insertions(+), 21 deletions(-)

commit 30054fa892ffdfc12e7ef575a77a9b0e39008aea
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 13 09:50:28 2012 -0400

    Use g_simple_async_result_set_check_cancellable().
    
    Always call it immediately after g_simple_async_result_new().

 camel/camel-cipher-context.c        |   12 ++++++++++++
 camel/camel-data-wrapper.c          |    6 ++++++
 camel/camel-folder.c                |   20 ++++++++++++++++++++
 camel/camel-mime-part.c             |    2 ++
 camel/camel-offline-folder.c        |    2 ++
 camel/camel-sasl.c                  |    6 ++++++
 camel/camel-service.c               |    4 ++++
 camel/camel-session.c               |    5 +++++
 camel/camel-store.c                 |   20 ++++++++++++++++++++
 camel/camel-subscribable.c          |    4 ++++
 camel/camel-transport.c             |    2 ++
 libedataserver/e-client.c           |   11 +++++++++--
 libedataserver/e-data-server-util.c |    2 ++
 libedataserverui/e-book-auth-util.c |    2 ++
 14 files changed, 96 insertions(+), 2 deletions(-)

commit 5d3e37a9a68660dd5be6de86d11f18be44b2bf53
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun May 13 09:35:01 2012 -0400

    Whitespace cleanups.

 addressbook/backends/file/e-book-backend-file.c    |    8 +++---
 .../backends/google/e-book-backend-google.c        |    8 +++---
 addressbook/libebook/e-contact.c                   |   20 +++++++-------
 calendar/backends/caldav/e-cal-backend-caldav.c    |   12 ++++----
 calendar/backends/file/e-cal-backend-file.c        |    2 +-
 calendar/libecal/e-cal-client-view.c               |    6 ++--
 calendar/libecal/e-cal-client.c                    |   17 +++++------
 calendar/libecal/e-cal.c                           |    4 +-
 calendar/libedata-cal/e-cal-backend-sync.c         |   14 +++++-----
 calendar/libedata-cal/e-data-cal-view.c            |    6 ++--
 calendar/libedata-cal/e-data-cal.c                 |    4 +-
 calendar/libegdbus/e-gdbus-cal.c                   |   10 +++---
 camel/camel-certdb.c                               |    2 +-
 camel/camel-folder-search.c                        |    6 ++--
 camel/camel-folder.c                               |    6 ++--
 camel/camel-imapx-conn-manager.h                   |    1 -
 camel/camel-imapx-folder.c                         |    8 +++---
 camel/camel-imapx-job.h                            |    1 -
 camel/camel-imapx-server.c                         |    8 +++---
 camel/camel-imapx-server.h                         |    8 ++---
 camel/camel-imapx-store-summary.h                  |    1 -
 camel/camel-imapx-store.h                          |    1 -
 camel/camel-imapx-stream.h                         |    1 -
 camel/camel-imapx-summary.c                        |    1 -
 camel/camel-imapx-summary.h                        |    1 -
 camel/camel-imapx-utils.h                          |    1 -
 camel/camel-mime-utils.c                           |    2 +-
 camel/camel-vee-folder.c                           |    6 ++--
 camel/providers/imap/camel-imap-folder.c           |    6 ++--
 camel/providers/imapx/camel-imapx-provider.c       |    1 -
 camel/providers/local/camel-local-folder.c         |    6 ++--
 camel/providers/local/camel-maildir-store.c        |    8 +++---
 camel/providers/local/camel-maildir-summary.c      |    2 +-
 camel/providers/nntp/camel-nntp-folder.c           |    6 ++--
 libedataserver/e-client.c                          |    2 +-
 libedataserver/e-gdbus-templates.c                 |    2 +-
 tests/libecal/client/test-client-bulk-methods.c    |   28 ++++++++++----------
 37 files changed, 107 insertions(+), 119 deletions(-)

commit 1a9fbad5e259635dfefe97d29a9acacde128d2cb
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Sat May 12 20:02:57 2012 +0200

    Updated Italian translation

 po/it.po | 2969 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1647 insertions(+), 1322 deletions(-)

commit 7bb751194b07b312d276c324716eefa74d7549e8
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 11 16:48:30 2012 +0200

    Use locks in factory's weak object notify callback on data-book/cal

 addressbook/libedata-book/e-data-book-factory.c |    6 ++++++
 calendar/libedata-cal/e-data-cal-factory.c      |    6 ++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit c3644c5300733e8332152b3fbf8d8dabf0724deb
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 11 14:33:44 2012 +0200

    CalDAV: Also rename NoSuchCal to ObjectNotFound in caldav_server_put_object()

 calendar/backends/caldav/e-cal-backend-caldav.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4855fbc8dca3c869afb57ca6f2e5e13a8b6d571f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri May 11 11:34:39 2012 +0200

    Updated Galician translations

 po/gl.po |  719 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 367 insertions(+), 352 deletions(-)

commit dca8e0e565e8f24123d3e8e931b183e7fd06cd59
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri May 11 10:56:20 2012 +0200

    Updated Spanish translation

 po/es.po |  736 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 375 insertions(+), 361 deletions(-)

commit 23ec770d86cb635a728260218a7e1c94eb7066f7
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu May 10 20:02:31 2012 +0200

    Better error message for SOUP_STATUS_SSL_FAILED response

 .../backends/webdav/e-book-backend-webdav.c        |   34 +++++++++++++++++---
 calendar/backends/caldav/e-cal-backend-caldav.c    |   20 +++++++++++
 calendar/backends/http/e-cal-backend-http.c        |   18 ++++++++++
 3 files changed, 67 insertions(+), 5 deletions(-)

commit 0c930ff18718b727e495bd2b480490f2e47cbe3b
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu May 10 19:15:27 2012 +0200

    CalDAV: Report NoSuchCal only when opening, ObjectNotFound otherwise

 calendar/backends/caldav/e-cal-backend-caldav.c |   25 +++++++++++++++-------
 1 files changed, 17 insertions(+), 8 deletions(-)

commit 58f05268aa998f7720eb7a84c2d1abbdcb3f1c3d
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu May 10 12:54:16 2012 +0200

    Make sure data-book/cal is closed/freed in a separate thread
    
    When EDataBook/EDataCal was unreffed in the main thread then
    any later calls to the factory were blocked by the backend
    till it freed its resources, possibly making client look like
    frozen/unresponsive.

 addressbook/libedata-book/e-data-book.c |    4 ++--
 calendar/libedata-cal/e-data-cal.c      |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 70e60c440f59c06610f27fb0280ba50754ea697b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue May 8 18:22:43 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit c14aa79d7616075ce8a16f297be20118deb19746
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue May 8 10:46:33 2012 -0400

    Add EAsyncClosure.
    
    EAsyncClosure provides a simple way to run an asynchronous function
    synchronously without blocking a running GMainLoop or using threads.
    
    Merging this API from the account-mgmt branch as it has proven stable
    and quite convenient.  I've seen this pattern in use throughout GIO,
    but to my knowledge it has never been formalized like this.

 .../libedataserver/libedataserver-sections.txt     |    5 +
 libedataserver/e-data-server-util.c                |  136 ++++++++++++++++++++
 libedataserver/e-data-server-util.h                |    9 ++
 3 files changed, 150 insertions(+), 0 deletions(-)

commit 374b718710740873db5d9ed326d1d640609ef155
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue May 8 14:59:48 2012 +0530

    Add a extended response handler for unhandled imapx tokens to be handled
    by the derived providers.

 camel/camel-imapx-server.c |   13 +++++++++++++
 camel/camel-imapx-server.h |   12 ++++++++++++
 2 files changed, 25 insertions(+), 0 deletions(-)

commit 7d7a889699586c092750638ac89da080eacb0129
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Tue May 8 14:47:04 2012 +0530

    Split camel-imapx library and merge into camel so that providers can be written on top of imapx

 camel/Makefile.am                                 |   28 +-
 camel/camel-imapx-command.c                       |  724 +++
 camel/camel-imapx-command.h                       |  163 +
 camel/camel-imapx-conn-manager.c                  |  729 +++
 camel/camel-imapx-conn-manager.h                  |   83 +
 camel/camel-imapx-folder.c                        |  807 +++
 camel/camel-imapx-folder.h                        |   97 +
 camel/camel-imapx-job.c                           |  262 +
 camel/camel-imapx-job.h                           |   85 +
 camel/camel-imapx-server.c                        | 6480 +++++++++++++++++++++
 camel/camel-imapx-server.h                        |  239 +
 camel/camel-imapx-settings.c                      | 1396 +++++
 camel/camel-imapx-settings.h                      |  150 +
 camel/camel-imapx-store-summary.c                 |  671 +++
 camel/camel-imapx-store-summary.h                 |  155 +
 camel/camel-imapx-store.c                         | 1787 ++++++
 camel/camel-imapx-store.h                         |  106 +
 camel/camel-imapx-stream.c                        |  841 +++
 camel/camel-imapx-stream.h                        |  164 +
 camel/camel-imapx-summary.c                       |  374 ++
 camel/camel-imapx-summary.h                       |  105 +
 camel/camel-imapx-tokens.txt                      |   46 +
 camel/camel-imapx-utils.c                         | 2132 +++++++
 camel/camel-imapx-utils.h                         |  295 +
 camel/camel.h                                     |   11 +
 camel/providers/imapx/Makefile.am                 |   34 +-
 camel/providers/imapx/camel-imapx-command.c       |  724 ---
 camel/providers/imapx/camel-imapx-command.h       |  161 -
 camel/providers/imapx/camel-imapx-conn-manager.c  |  729 ---
 camel/providers/imapx/camel-imapx-conn-manager.h  |   78 -
 camel/providers/imapx/camel-imapx-folder.c        |  807 ---
 camel/providers/imapx/camel-imapx-folder.h        |   90 -
 camel/providers/imapx/camel-imapx-job.c           |  262 -
 camel/providers/imapx/camel-imapx-job.h           |   82 -
 camel/providers/imapx/camel-imapx-provider.c      |   11 +-
 camel/providers/imapx/camel-imapx-server.c        | 6480 ---------------------
 camel/providers/imapx/camel-imapx-server.h        |  233 -
 camel/providers/imapx/camel-imapx-settings.c      | 1396 -----
 camel/providers/imapx/camel-imapx-settings.h      |  146 -
 camel/providers/imapx/camel-imapx-store-summary.c |  670 ---
 camel/providers/imapx/camel-imapx-store-summary.h |  150 -
 camel/providers/imapx/camel-imapx-store.c         | 1779 ------
 camel/providers/imapx/camel-imapx-store.h         |  101 -
 camel/providers/imapx/camel-imapx-stream.c        |  839 ---
 camel/providers/imapx/camel-imapx-stream.h        |  159 -
 camel/providers/imapx/camel-imapx-summary.c       |  369 --
 camel/providers/imapx/camel-imapx-summary.h       |   99 -
 camel/providers/imapx/camel-imapx-tokens.txt      |   46 -
 camel/providers/imapx/camel-imapx-utils.c         | 2132 -------
 camel/providers/imapx/camel-imapx-utils.h         |  290 -
 camel/providers/imapx/test-imapx.c                |    2 -
 51 files changed, 17932 insertions(+), 17867 deletions(-)

commit aa31c2a326bee13ea0f558dac05f1bcf73a10936
Author: Matt McCutchen <matt@mattmccutchen.net>
Date:   Fri May 4 14:28:03 2012 +0200

    Bug #606181 - Accepting bad SSL certificate applies to any hostname
    
    Change the Camel certdb to look up certificates by expected hostname.
    
    This way, accepting a bad certificate for one mail server does not give
    it a free pass to impersonate the user's other mail servers.  Storing a
    second bad certificate for the same server will replace the first, but
    that should be OK (Mozilla PSM works the same way).
    
    The camel-cert.db format is unchanged except that it can now contain
    multiple entries for the same certificate with different hostnames, and
    if it contains multiple certificates for the same hostname, all but the
    last will be dropped (becoming permanent the next time the certdb is
    saved).
    
    Users who were taking advantage of evolution-data-server's previous,
    vulnerable behavior of accepting a certificate for a hostname other than
    the originally user-approved one will get bad certificate dialogs and
    will need to re-approve the certificate for the desired hostname(s).
    
    Note: Case insensitive compare of host names added by mcrha.

 camel/camel-certdb.c         |   52 ++++++++++++++++++++++++++++++-----------
 camel/camel-certdb.h         |   13 ++++++++--
 camel/camel-tcp-stream-ssl.c |   41 ++++++++++++++++++++-------------
 configure.ac                 |    2 +-
 4 files changed, 74 insertions(+), 34 deletions(-)

commit a25eda8a36a91914cc5216062c7fafbdaf9b0074
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri May 4 13:15:21 2012 +0200

    Remove extra test on Google server photo data validity
    
    It sometimes can happen that a contact has filled photo's etag,
    while the photo itself is not present. In that case backend skipped
    the contact, instead of passing it without photo.

 .../backends/google/e-book-backend-google.c        |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 816fc40e31a0aa2f4d04dbeae633aff9433c83f4
Author: Mathieu Trudel-Lapierre <mathieu@canonical.com>
Date:   Thu May 3 12:00:10 2012 +0200

    Bug #669191 - Address book dialog has incorrect default size

 libedataserverui/e-name-selector-dialog.c |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit 6da7b83b47a5c8b4544f72b785547971e2559e1a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 30 13:13:02 2012 -0400

    Require libsoup >= 2.38.1.
    
    To pick up the fix for bug 673678:
    "Property SSL_USE_SYSTEM_CA_FILE's value is ignored"

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 05f2a955854abfb7171c9b8e5e92242e8064d686
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Apr 30 16:28:37 2012 +0200

    Updated Galician translations

 po/gl.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 9efed384e315fe5c46a3e5ff6320ae0bf72452e7
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Apr 30 10:00:06 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  383 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 196 insertions(+), 187 deletions(-)

commit 327fc773d91793766124dba464e21b45890f8ddc
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 28 20:46:14 2012 -0400

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 23156161ca8310d17082e2769b95a3f7484e79df
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 28 20:42:40 2012 -0400

    NEWS update for 3.5.1 release.

 NEWS |   95 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 95 insertions(+), 0 deletions(-)

commit b7c59538c22a1648dead5dd247a4196542cab8d6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 28 20:04:39 2012 -0400

    Update API documentation.

 .../addressbook/libebook/libebook-sections.txt     |    1 +
 .../libedataserverui/libedataserverui-sections.txt |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 8f40633fd83760c0ccc23bab44a49b4b7612193b
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Apr 27 17:16:41 2012 +0200

    Updated Galician translations

 po/gl.po |  357 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 183 insertions(+), 174 deletions(-)

commit f2b7d86cbf2d9b3e26a14cd7e3ca2c807cf39499
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 27 13:42:14 2012 +0200

    Bug #669085 - Saving draft on Google server emits runtime warning

 camel/providers/imap/camel-imap-folder.c   |    3 ++-
 camel/providers/imapx/camel-imapx-folder.c |    2 +-
 camel/providers/imapx/camel-imapx-server.c |   14 +++++++++++---
 camel/providers/imapx/camel-imapx-server.h |    1 +
 4 files changed, 15 insertions(+), 5 deletions(-)

commit 383073750c705b3404ba6f7f21e5f8c5d16ad3a5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Apr 27 12:57:49 2012 +0200

    Updated Spanish translation

 po/es.po |  425 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 216 insertions(+), 209 deletions(-)

commit 0660a4853d44eabc41e7b5f1756fd1d130209ef4
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 27 11:23:47 2012 +0200

    Bug #664639 - [IMAPX] Doesn't quit gracefully on account disable

 camel/providers/imapx/camel-imapx-server.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 100636c625be5d57b2ed2639d2de2bce7322a352
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 27 09:37:17 2012 +0200

    Bug #674257 - Recheck attachment availability on message download

 camel/providers/imapx/camel-imapx-folder.c |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 70abbc7caabdad34b25c94b9ab4013934d757ae0
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Apr 26 14:41:09 2012 +0200

    Bug #669034 - [IMAP] Shows "Unknown background operation" on start

 camel/providers/imap/camel-imap-store.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit edbc7e74b6b4c033637bf14e8ee4c117fcf3ec57
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Apr 26 13:49:15 2012 +0200

    Fix Google Talk vCard attribute name definition

 addressbook/libebook/e-vcard.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b87121811d75f4f7738d617381d8b1ce3bb12c0f
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Apr 26 13:46:11 2012 +0200

    Bug #668989 - Add a twitter username to IM in contacts

 addressbook/libebook/e-contact.c |    2 ++
 addressbook/libebook/e-contact.h |    2 ++
 addressbook/libebook/e-vcard.h   |    8 ++++++++
 3 files changed, 12 insertions(+), 0 deletions(-)

commit 98642d78324fd926af28e2f2072c2499a68e2f92
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 24 11:01:11 2012 -0400

    Revert unintentional API break in libedataserver.
    
    Partially reverses commit 90eb7da3ab9b00f504f5fed1f740c59485356f41.
    
    Apparently this unintentionally broke language bindings.
    
    Instead of renaming the e_source_peek_uid() and e_source_peek_name()
    functions themselves, leave the old functions alone and define aliases
    for the new names:
    
       #define e_source_get_uid            e_source_peek_uid
       #define e_source_get_display_name   e_source_peek_name
    
    Using the new names throughout Evo and EDS is very helpful in reducing
    diff noise between "master" and the "account-mgmt" branches so I can see
    the important differences, so I don't want to revert the commit entirely.

 .../libedataserver/libedataserver-sections.txt     |    8 ++++----
 libedataserver/e-source.c                          |    8 ++++----
 libedataserver/e-source.h                          |   11 +++++------
 3 files changed, 13 insertions(+), 14 deletions(-)

commit fbe6f72a1d2a9c57cff58056ed08cd4ee35fb373
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Apr 24 14:45:54 2012 +0200

    Bug #672398 - CalDAV backend doesn't respect "Copy for offline" option

 calendar/backends/caldav/e-cal-backend-caldav.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 6b487a7088b9e429d885eae16969f0e5464af178
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Apr 23 16:53:54 2012 +0200

    Bug #668679 - Crash on insertion of NULL in e_destination_set_contact()

 addressbook/libebook/e-destination.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 516e6d17bfc0b20a255005f0dba4af6923a220ac
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Apr 23 13:44:11 2012 +0200

    Bug #668549 - Crash in objects_added_cb() in e-book-client-view.c

 addressbook/libebook/e-book-client-view.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 969ea449d30be94f92feaa9ae5a18f83e68b2035
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Apr 23 12:09:36 2012 +0200

    Bug #671537 - Option to validate SLL certificates with libsoup

 .../backends/webdav/e-book-backend-webdav.c        |    5 ++++-
 calendar/backends/caldav/e-cal-backend-caldav.c    |    9 +++++++++
 calendar/backends/http/e-cal-backend-http.c        |   12 +++++++++++-
 configure.ac                                       |    2 +-
 4 files changed, 25 insertions(+), 3 deletions(-)

commit 732b5f28fd1e1da40af5208c8c2710fa063a5145
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Apr 23 08:02:48 2012 +0200

    Remove deprecated API from ESourceSelector

 libedataserverui/e-source-selector.h |    6 ------
 1 files changed, 0 insertions(+), 6 deletions(-)

commit c6d06963380e52c6b76e3a2b8e45327709e555d4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 16:27:49 2012 -0400

    ESourceComboBox: Add e_source_combo_box_ref_active().
    
    Replaces e_source_combo_box_get_active().
    
    Returns a new ESource reference that the caller must unreference.

 .../libedataserverui/libedataserverui-sections.txt |    2 +-
 libedataserverui/e-name-selector-dialog.c          |    4 +++-
 libedataserverui/e-source-combo-box.c              |   12 ++++++------
 libedataserverui/e-source-combo-box.h              |    6 ++----
 tests/libedataserverui/test-source-combo-box.c     |   11 +++++++++--
 5 files changed, 21 insertions(+), 14 deletions(-)

commit d7f6a5d5dca9bb1432010824dcde92ab7b212e1b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 16:20:53 2012 -0400

    Remove e_source_combo_box_get/set_active_uid().
    
    Adapt ESourceComboBox to use GtkComboBox's "active-id" property.
    
    To get or set the active ESource UID, use:
    
       gtk_combo_box_get_active_id()
       gtk_combo_box_set_active_id()

 .../libedataserverui/libedataserverui-sections.txt |    2 -
 libedataserverui/e-source-combo-box.c              |  112 +++++--------------
 libedataserverui/e-source-combo-box.h              |    5 -
 3 files changed, 30 insertions(+), 89 deletions(-)

commit 6401157762d9f042a31414db7e3e34e0a1579a96
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 15:00:23 2012 -0400

    Diff noise reduction.
    
    Comparing 'master' and 'account-mgmt' branches.

 addressbook/backends/file/e-book-backend-file.c    |    8 +-
 .../backends/google/e-book-backend-google.c        |    8 +-
 addressbook/backends/ldap/e-book-backend-ldap.c    |   16 +-
 .../backends/webdav/e-book-backend-webdav.c        |   29 +++--
 addressbook/libebook/e-book-client.c               |    2 +
 addressbook/libebook/e-book.h                      |    6 +-
 addressbook/libedata-book/e-book-backend.c         |    7 +-
 calendar/backends/caldav/e-cal-backend-caldav.c    |   61 +++++---
 calendar/backends/file/e-cal-backend-file.c        |    7 +-
 calendar/backends/http/e-cal-backend-http.c        |   52 +++---
 calendar/backends/weather/e-cal-backend-weather.c  |   13 +-
 calendar/backends/weather/e-weather-source-ccf.c   |   64 ++++----
 calendar/libecal/e-cal.c                           |    8 +-
 calendar/libedata-cal/e-cal-backend-util.c         |   10 +-
 calendar/libedata-cal/e-cal-backend-util.h         |   13 +-
 calendar/libedata-cal/e-cal-backend.c              |   31 ++--
 calendar/libedata-cal/e-cal-backend.h              |    3 +-
 libedataserver/Makefile.am                         |    4 +-
 libedataserverui/e-book-auth-util.h                |    3 -
 libedataserverui/e-name-selector-dialog.c          |  170 ++++++++++---------
 libedataserverui/e-name-selector-entry.c           |   77 ++++++---
 libedataserverui/e-name-selector-list.c            |    2 +-
 libedataserverui/e-name-selector.c                 |    7 +-
 libedataserverui/e-source-combo-box.c              |   12 +-
 libedataserverui/e-source-selector-dialog.c        |   36 +++--
 libedataserverui/e-source-selector-dialog.h        |    4 +
 libedataserverui/e-source-selector.c               |    6 +-
 27 files changed, 376 insertions(+), 283 deletions(-)

commit 90eb7da3ab9b00f504f5fed1f740c59485356f41
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 13:20:23 2012 -0400

    Nudge ESource toward its new API.
    
    Rename e_source_peek_uid() to e_source_get_uid(), and
    e_source_peek_name() to e_source_get_display_name().
    
    The old names are retained for now as deprecated aliases.

 addressbook/backends/file/e-book-backend-file.c    |    2 +-
 addressbook/libebook/e-book-client.c               |    2 +-
 addressbook/libebook/e-book.c                      |    2 +-
 addressbook/libebook/e-destination.c               |    4 ++--
 .../backends/contacts/e-cal-backend-contacts.c     |   18 +++++++++---------
 calendar/backends/file/e-cal-backend-file.c        |    2 +-
 calendar/libecal/e-cal-client.c                    |    2 +-
 calendar/libecal/e-cal.c                           |    6 +++---
 .../libedataserver/libedataserver-sections.txt     |    6 ++++--
 libebackend/e-data-factory.c                       |    2 +-
 libedataserver/e-client.c                          |    2 +-
 libedataserver/e-source-group.c                    |   12 ++++++------
 libedataserver/e-source.c                          |   16 ++++++++--------
 libedataserver/e-source.h                          |    9 +++++++--
 libedataserverui/e-book-auth-util.c                |    4 ++--
 libedataserverui/e-client-utils.c                  |    2 +-
 libedataserverui/e-name-selector-entry.c           |    2 +-
 libedataserverui/e-name-selector.c                 |    2 +-
 libedataserverui/e-source-combo-box.c              |   12 ++++++------
 libedataserverui/e-source-selector-dialog.c        |    4 ++--
 libedataserverui/e-source-selector.c               |   16 ++++++++--------
 tests/libebook/client/test-client-examine.c        |    2 +-
 tests/libecal/client/test-client-examine.c         |    2 +-
 tests/libedataserver/test-source-list.c            |   10 +++++-----
 tests/libedataserverui/test-client-examine-auth.c  |    2 +-
 tests/libedataserverui/test-source-combo-box.c     |    2 +-
 tests/libedataserverui/test-source-selector.c      |    2 +-
 27 files changed, 77 insertions(+), 70 deletions(-)

commit 061a346f0a27e8ce390cd7c6a59a3f639f530e76
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 12:01:12 2012 -0400

    ESourceSelector: Add e_source_selector_ref_primary_selection().
    
    Replaces e_source_selector_get_primary_selection().
    
    Returns a new ESource reference that the caller must unreference.

 .../libedataserverui/libedataserverui-sections.txt |    2 +-
 libedataserverui/e-source-selector-dialog.c        |  159 +++++++++++---------
 libedataserverui/e-source-selector.c               |   39 ++++--
 libedataserverui/e-source-selector.h               |    2 +-
 4 files changed, 116 insertions(+), 86 deletions(-)

commit 22286d95aca65285951a77e029b741c053430704
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 10:49:02 2012 -0400

    ESourceSelector: Add e_source_selector_ref_source_by_path().
    
    Replaces e_source_selector_get_source_by_path().
    
    Returns a new ESource reference that the caller must unreference.

 .../libedataserverui/libedataserverui-sections.txt |    2 +-
 libedataserverui/e-source-selector.c               |   13 ++++++-------
 libedataserverui/e-source-selector.h               |    2 +-
 3 files changed, 8 insertions(+), 9 deletions(-)

commit 03515079a397d6b0d6d1ff45533ac1423cf269b8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 10:48:10 2012 -0400

    Bump libedataserverui shared object name.
    
    In anticipation of some API breaks.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dad620b182ed489a8a48929ccd816d4122f843da
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 09:47:20 2012 -0400

    EBookBackendLDAP: Miscellaneous tweaks.
    
    Eliminating diff noise with the account-mgmt branch.

 addressbook/backends/ldap/e-book-backend-ldap.c |   40 +++++++++++-----------
 1 files changed, 20 insertions(+), 20 deletions(-)

commit 7bc3d7fa1c13670cdaa4f3eaff26b63d63c940eb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 13:23:04 2012 -0400

    Forgot one.

 docs/reference/libedataserverui/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8a470514c32b16596c1d052e460f2906d7278265
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 13:16:15 2012 -0400

    Add yet more missing linker flags.

 docs/reference/calendar/libedata-cal/Makefile.am |    1 +
 docs/reference/libedataserverui/Makefile.am      |    2 ++
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 1071824c0c9a980de2a46a3c4b116f7d47e57127
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 13:07:04 2012 -0400

    Add another missing linker flag.

 tests/libedataserverui/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4a3f116c2c8aa2d510125312fa0b844b67136e7c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 21 13:05:11 2012 -0400

    Add missing linker flag.

 services/evolution-calendar-factory/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3f820b76ee39aff977a2c6bb93ba01021e19e0ce
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 20 10:33:21 2012 +0200

    Bug #665381 - LDAP backend crash when query_ldap_root_dse() fails

 addressbook/backends/ldap/e-book-backend-ldap.c |   93 ++++++++++++++--------
 libedataserverui/e-client-utils.c               |    7 ++
 2 files changed, 66 insertions(+), 34 deletions(-)

commit 1ce8b92d0c1163f05427fd73da4e5f145a3d3304
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Apr 19 19:49:05 2012 +0200

    Updated Galician translations

 po/gl.po | 1653 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 841 insertions(+), 812 deletions(-)

commit 79556249850911429dafe918e2023b423dc44936
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Apr 18 14:37:59 2012 -0400

    Update API documentation.

 calendar/libecal/e-cal-client.h                    |    4 ++--
 .../addressbook/libebook/libebook-sections.txt     |    1 -
 .../calendar/libecal/libecal-sections.txt          |   14 ++++++++++++++
 .../libedata-cal/libedata-cal-sections.txt         |   19 ++++++++++---------
 docs/reference/camel/camel-sections.txt            |    1 -
 5 files changed, 26 insertions(+), 13 deletions(-)

commit 95631d02f57a6379c3c062d3f0c4f20dc50c0c23
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Apr 18 11:54:13 2012 -0400

    Remove some redundant argument checks.

 addressbook/libebook/e-book-client-view.c         |    4 -
 addressbook/libebook/e-book-client.c              |   93 +-------------
 addressbook/libedata-book/e-book-backend.c        |    2 -
 addressbook/libegdbus/e-gdbus-book.c              |    6 -
 calendar/backends/caldav/e-cal-backend-caldav.c   |   13 +--
 calendar/backends/file/e-cal-backend-file.c       |   11 +--
 calendar/backends/http/e-cal-backend-http.c       |    3 +-
 calendar/backends/weather/e-cal-backend-weather.c |    1 -
 calendar/libecal/e-cal-client-view.c              |    5 -
 calendar/libecal/e-cal-client.c                   |  135 +--------------------
 calendar/libedata-cal/e-cal-backend.c             |    2 -
 calendar/libegdbus/e-gdbus-cal.c                  |    6 -
 camel/camel-certdb.c                              |    4 -
 camel/camel-store-summary.c                       |   21 ++--
 libedataserver/e-client.c                         |   97 +---------------
 libedataserver/e-proxy.c                          |   11 +--
 libedataserverui/e-name-selector.c                |    4 -
 17 files changed, 28 insertions(+), 390 deletions(-)

commit 6c96980f2574c7a964feede9896fd36429867087
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Apr 18 11:30:21 2012 +0200

    Bug #674309 - Crash when calling oauth_init_nss() from two threads

 .../backends/google/e-gdata-goa-authorizer.c       |   29 +++++++-------------
 1 files changed, 10 insertions(+), 19 deletions(-)

commit 2f404d60d83d67fc801606fa9f513026c52a06d4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Apr 18 09:25:46 2012 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1659 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 845 insertions(+), 814 deletions(-)

commit d828d82220fc8e1cd65a67f70b407a371eb1698b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 17 12:54:29 2012 -0400

    EDataFactory: Readability tweaks.

 libebackend/e-data-factory.c |   46 +++++++++++++++++++++---------------------
 libebackend/e-data-factory.h |    4 +-
 2 files changed, 25 insertions(+), 25 deletions(-)

commit 936eed3e0baaa0c262ebb0b968d0bb70475a9ff4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 17 12:43:43 2012 -0400

    Add e_data_factory_ref_backend_factory().
    
    Just a way to get access to the EBackendFactory itself.
    
    Needed on the account-mgmt branch to check whether a suitable E-D-S
    backend factory is available to handle a given GNOME Online Account
    provider type such as "exchange".

 .../reference/libebackend/libebackend-sections.txt |    1 +
 libebackend/e-data-factory.c                       |   48 +++++++++++++++++++-
 libebackend/e-data-factory.h                       |    6 ++-
 3 files changed, 52 insertions(+), 3 deletions(-)

commit 42e5b069cc2fba3b4de94d1ea7594990ee349235
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Apr 17 17:44:52 2012 +0200

    Bug #667891 - Rapid message list regen when downloading a folder

 camel/providers/imapx/camel-imapx-server.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bbc30c0401ed1bbf80a047c8c5e5e5716bcd1203
Author: Sasi Bhushan <sasi@swecha.net>
Date:   Tue Apr 17 15:19:41 2012 +0530

    Updated Telugu Translation

 po/te.po |  678 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 327 insertions(+), 351 deletions(-)

commit 97a927edc28fc093edc29c1f34c07460f5ba672c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 16 18:02:53 2012 -0400

    EDataFactory: Clarify a comment.
    
    Verified this with Ryan Lortie.

 libebackend/e-data-factory.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit 785ae185f55e812f3d0a7a0b12842e0118af534f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 16 17:43:47 2012 -0400

    EDataFactory: Move reload policy to subclasses.
    
    The upcoming D-Bus service for data sources will be derived from
    EDataFactoryClass, and it *does* support E_DBUS_SERVER_EXIT_RELOAD.

 addressbook/libedata-book/e-data-book-factory.c |   17 +++++++++++++++++
 calendar/libedata-cal/e-data-cal-factory.c      |   17 +++++++++++++++++
 libebackend/e-data-factory.c                    |   20 --------------------
 3 files changed, 34 insertions(+), 20 deletions(-)

commit 96312ea1c0cccd3003a9657fb9f18345594ff447
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 16 10:03:10 2012 -0400

    Remove EBackend::last-client-gone signal.
    
    The signal is no longer needed due to the previous EDataFactory commit.
    
    I also removed a couple unused "last_client_gone" function pointers in
    EBookBackendClass and ECalBackendClass just to get rid of all traces of
    the signal (and since I'm on an ABI breaking spree anyway).
    
    The API breakage should be contained within E-D-S.  The ABI breakage
    will affect 3rd party extensions so the libedata-book and libedata-cal
    shared object names have been bumped for good measure.

 addressbook/libedata-book/e-book-backend.c         |   11 +-----
 addressbook/libedata-book/e-book-backend.h         |    1 -
 calendar/libedata-cal/e-cal-backend.c              |   30 ++++++-----------
 calendar/libedata-cal/e-cal-backend.h              |    3 --
 .../reference/libebackend/libebackend-sections.txt |    1 -
 libebackend/e-backend.c                            |   34 --------------------
 libebackend/e-backend.h                            |    4 --
 7 files changed, 13 insertions(+), 71 deletions(-)

commit da511b9d80abdfbea2ff8bb0eaf6c05b6ef426ab
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 16 09:43:09 2012 -0400

    EDataFactory: Keep only weak references to backends.
    
    Have EDataFactory keep only weak references to the EBackend instances it
    creates.  Then, when the last client connection to a backend closes, the
    backend finalizes automatically.  No explicit action required.
    
    This breaks the API slightly by renaming e_data_factory_get_backend() to
    e_data_factory_ref_backend() to reflect the fact that a strong reference
    is now returned to the caller, and the caller must call g_object_unref()
    when finished with it.  The impact of the API break should be contained
    within E-D-S.
    
    This uses the new GWeakRef API in GLib 2.32 to ensure thread-safety.
    
    The libebackend shared object name has already been bumped for 3.5.1.

 addressbook/libedata-book/e-data-book-factory.c    |   12 ++-
 calendar/libedata-cal/e-data-cal-factory.c         |   14 ++--
 .../reference/libebackend/libebackend-sections.txt |    2 +-
 libebackend/e-data-factory.c                       |   86 ++++++++++++++------
 libebackend/e-data-factory.h                       |    2 +-
 5 files changed, 79 insertions(+), 37 deletions(-)

commit 7204df8333c403abbfbbb0b6a92c2023ae4d9e32
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 16 09:30:23 2012 -0400

    Fix more missing linker flags.

 .../addressbook/libedata-book/Makefile.am          |    1 +
 tests/libedata-cal/Makefile.am                     |    3 +++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 53fd98f710854a8d1d61e3897fde9c14a67872d0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 16 10:55:17 2012 -0400

    EDataCalFactory: Implement GInitable.
    
    Not needed just yet, but my previous batch of commits broke this
    and it's needed on the account-mgmt branch.  So rough it in now.

 calendar/libedata-cal/e-data-cal-factory.c |   28 +++++++++++++++++++++++++++-
 1 files changed, 27 insertions(+), 1 deletions(-)

commit b3132ee14a442004d0dc89a62f245d0ae5ee0d57
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 16 10:53:40 2012 -0400

    EDataBookFactory: Implement GInitable.
    
    Not needed just yet, but my previous batch of commits broke this
    and it's needed on the account-mgmt branch.  So rough it in now.

 addressbook/libedata-book/e-data-book-factory.c |   30 +++++++++++++++++++++-
 1 files changed, 28 insertions(+), 2 deletions(-)

commit 873f3349032cdaf6bd690fb7ec43826829d9821a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 16 10:32:03 2012 -0400

    EBookBackendLDAP: GSource IDs are unsigned.

 addressbook/backends/ldap/e-book-backend-ldap.c |   23 +++++++++++------------
 1 files changed, 11 insertions(+), 12 deletions(-)

commit cd889c2d9f767506911eb6bf8bb560d872f6f4bd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 13:20:19 2012 -0400

    EDataCalFactory targets ECalBackendFactory.

 calendar/libedata-cal/e-data-cal-factory.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit a6a179525484547fa4454f7cf7767ab7f0b72b45
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 13:18:52 2012 -0400

    EDataCalFactory: Cosmetic tweaks.

 calendar/libedata-cal/e-data-cal-factory.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit cee46e235c26e2632113b501909048e4a334eccc
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 13:15:52 2012 -0400

    EDataBookFactory targets EBookBackendFactory.

 addressbook/libedata-book/e-data-book-factory.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e97fbd39878fb333ef786c29f0e5bb09a444645e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 13:14:23 2012 -0400

    EDataBookFactory: Cosmetic tweaks.

 addressbook/libedata-book/e-data-book-factory.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 0cb29838e07947fbcb18f3bcf062af7872c54434
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 12:44:17 2012 -0400

    ECalBackendFactory is missing a 'priv' pointer.
    
    Unfortunately fixing this breaks libedata-cal's ABI.

 calendar/libedata-cal/e-cal-backend-factory.h |    1 +
 configure.ac                                  |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit aebeb379465e8ebbf6217c8ffb706381778d4c25
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 12:45:58 2012 -0400

    EBookBackendFactory is missing a 'priv' pointer.
    
    Unfortunately fixing this breaks libedata-book's ABI.

 addressbook/libedata-book/e-book-backend-factory.h |    1 +
 configure.ac                                       |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 5b925dfd93f2ef18de2ffe61591bc674e746dbd0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 12:33:51 2012 -0400

    ECalBackendFactory extends EDataCalFactory.

 calendar/libedata-cal/e-cal-backend-factory.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 214eef9f3f0b7de2f34f3d062bb2c7773c5c1010
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 12:27:19 2012 -0400

    EBookBackendFactory extends EDataBookFactory.

 addressbook/libedata-book/e-book-backend-factory.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit defd7692d83a1813d64205e32166ca9f253f6a7f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 12:12:29 2012 -0400

    EDataFactory: Add 'backend_factory_type' class member.
    
    Subclasses may now specify exactly what type of backend factories to
    instantiate by setting the 'backend_factory_type' class member, which
    defaults to E_TYPE_BACKEND_FACTORY.
    
    Note that because sizeof(GType) and sizeof(gpointer) are not necessarily
    equal, the reserved pointer pool at the end of the class struct does not
    help us avoid an ABI break in this case.  But the libebackend's ABI has
    already been broken since 3.4.0.

 libebackend/e-data-factory.c |    6 +++++-
 libebackend/e-data-factory.h |    2 ++
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 55809b9010a93ea473b5522dac789d27ea976dd3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 12:06:46 2012 -0400

    Have EDBusServer load modules and extensions.

 libebackend/e-data-factory.c |    4 ----
 libebackend/e-dbus-server.c  |   12 ++++++++++++
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 73e1e5c216beba5ac61c14c2aad3d038225717f3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 12:02:52 2012 -0400

    EDataFactory: No need to implement GInitable.
    
    Load EBackendFactory instances in constructed().

 libebackend/e-data-factory.c |   32 +++++++++++---------------------
 1 files changed, 11 insertions(+), 21 deletions(-)

commit d38cd6a8bcb51b35ed9f5565cf1001068c160058
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 15 11:57:33 2012 -0400

    EDataFactory: Remove redundant interface declaration.
    
    EDataFactory's base class (EDBusServer) is already extensible.

 libebackend/e-data-factory.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit ccd5832127243fb837997786dfa846fa39ea9ab0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 14 14:06:05 2012 -0400

    Miscellaneous tweaks.
    
    Just comparing branches, reducing diff noise.

 libebackend/e-module.c                    |    4 ++--
 libedataserverui/e-name-selector-dialog.h |    3 ++-
 libedataserverui/e-name-selector.h        |    2 +-
 3 files changed, 5 insertions(+), 4 deletions(-)

commit 5410092f65d6d35c2c0f48295ab44543ea0a2a4f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 14 13:27:26 2012 -0400

    Remove EDataFactory's "online" property.
    
    Network monitoring no longer needs to be centralized in EDataFactory
    since we're using GNetworkMonitor, so remove EDataFactory's "online"
    property and public get/set functions.
    
    Instead, let each EBackend instance manage its own "online" state.
    Eventually we'll transition to more sophisticated network monitoring.
    
    This is an API break but not the first since 3.5.1 development began.
    libebackend's shared object name has already been bumped.

 .../reference/libebackend/libebackend-sections.txt |    2 -
 libebackend/e-backend.c                            |   20 ++++
 libebackend/e-data-factory.c                       |   96 --------------------
 libebackend/e-data-factory.h                       |    3 -
 4 files changed, 20 insertions(+), 101 deletions(-)

commit 50870484b7129f8ffec7a8bf8e73a7feaa0b5aed
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 14 10:41:18 2012 -0400

    Fix e_backend_factory_get_hash_key() documentation.

 libebackend/e-backend-factory.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3b9e020e91404ee6b5d1655b0b681b50e5f8a1b3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Apr 12 09:49:19 2012 -0400

    ENameSelectorDialog: Remove use of "primary_addressbook".
    
    It's not appropriate for a libedataserverui widget to initialize itself
    based on Evolution-specific state.  This also eliminates GConf usage in
    ENameSelectorDialog.

 libedataserverui/e-name-selector-dialog.c |   15 +--------------
 1 files changed, 1 insertions(+), 14 deletions(-)

commit 02452e2fe5a085186ab2d6f5494199c3db55cd62
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Apr 12 09:41:47 2012 -0400

    ENameSelectorEntry: Remove USER_QUERY_FIELDS macro.
    
    No schema was ever defined for this GConf key so it couldn't have been
    that important.  The symbol name itself is not namespaced properly (no
    "E" prefix).  And it's inappropriate to use Evolution-specific keys in
    E-D-S to begin with.
    
    This is an API break.  There will be more along these lines.

 configure.ac                                       |    2 +-
 .../libedataserverui/libedataserverui-sections.txt |    1 -
 libedataserverui/e-name-selector-dialog.c          |    3 ---
 libedataserverui/e-name-selector-entry.c           |    2 --
 libedataserverui/e-name-selector-entry.h           |    7 -------
 5 files changed, 1 insertions(+), 14 deletions(-)

commit 716ae3b239015c7ba9b3894044f12f52184a3d22
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Apr 12 09:26:20 2012 -0400

    Make ENameSelectorEntry extensible.

 libedataserverui/e-name-selector-entry.c |   22 ++++++++++++++++++++--
 1 files changed, 20 insertions(+), 2 deletions(-)

commit 7ac3a6c368377b2a17f6e04cf176492590052dba
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Apr 12 08:28:22 2012 -0400

    Make ENameSelectorDialog extensible.

 libedataserverui/Makefile.am              |    1 +
 libedataserverui/e-name-selector-dialog.c |   28 +++++++++++++++++++++++-----
 2 files changed, 24 insertions(+), 5 deletions(-)

commit 67ccfad9d3ce9b6cc9560d190daba251524e5643
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Apr 12 14:51:50 2012 +0200

    Bug #673894 - Adding events to Google Calendar is broken

 calendar/backends/caldav/e-cal-backend-caldav.c |   71 +++++++++++++++++++++-
 1 files changed, 67 insertions(+), 4 deletions(-)

commit a7aac1f7b4958131a158491492b5a5536957303e
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Apr 12 14:28:12 2012 +0200

    Fix regression about removal notification introduced in bug #670457

 calendar/libedata-cal/e-data-cal.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 6de5b0fe9ac320e90e108dca757087022686bf61
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Apr 12 08:15:25 2012 -0400

    Gut EOfflineListener.
    
    EOfflineListener no longer uses GConf, and e_offline_listen_get_state()
    now returns EOL_STATE_ONLINE always.  No one should be using this class
    by now anyway.

 libebackend/e-offline-listener.c |  135 ++++++--------------------------------
 1 files changed, 21 insertions(+), 114 deletions(-)

commit 423191a504ea50800f98cbd38fb4344b01b4c943
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Apr 11 19:10:16 2012 +0200

    Bug #667477 - EXDATE containing time are not handle correctly

 calendar/libecal/e-cal-recur.c |   17 ++++++++---------
 1 files changed, 8 insertions(+), 9 deletions(-)

commit 241edbd532a37c044d184efe7bce17bfa0b58e92
Author: Palmer Dabbelt <palmem@comcast.net>
Date:   Wed Apr 11 18:13:12 2012 +0200

    Bug #666896 - Workaround Improper GB-2312 Mail Encodings

 camel/camel-iconv.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 0b4a5952ecd10dfaca13aedce909b3887cf3ec3e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 10 21:17:54 2012 -0400

    Add E_DBUS_SERVER_EXIT_RELOAD.
    
    EDBusServer now responds to SIGHUP by calling
    
      e_dbus_server_quit (server, E_DBUS_SERVER_EXIT_RELOAD)
    
    However EDataFactory (a subclass of EDBusServer) does not support
    reloading at present, so it must intercept the RELOAD request and
    stop the quit() emission.
    
    This feature will be used in the upcoming source registry service.

 libebackend/e-backend-enums.h |    9 ++++++++-
 libebackend/e-data-factory.c  |   20 ++++++++++++++++++++
 libebackend/e-dbus-server.c   |   22 ++++++++++++++++++++++
 3 files changed, 50 insertions(+), 1 deletions(-)

commit 0d13d6d32a27f22f629668e4e1e062753782432a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 10 20:31:10 2012 -0400

    EDBusServer: Add exit codes to run() and quit().
    
    This is a minor API break but should be confined to libebackend.
    
    e_dbus_server_quit() now takes an exit code, which is propagated through
    the quit() signal.  e_dbus_server_run() now returns the exit code passed
    to e_dbus_server_quit().

 configure.ac                |    2 +-
 libebackend/e-dbus-server.c |   73 ++++++++++++++++++++++++++++---------------
 libebackend/e-dbus-server.h |   13 +++++--
 3 files changed, 58 insertions(+), 30 deletions(-)

commit f6e64518e7541ec0fd540a7b627811edb02d7334
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 10 19:26:57 2012 -0400

    Add EDBusServerExitCode enum type.

 .../reference/libebackend/libebackend-sections.txt |    3 ++
 libebackend/Makefile.am                            |   12 ++++++
 libebackend/e-backend-enums.h                      |   38 ++++++++++++++++++++
 3 files changed, 53 insertions(+), 0 deletions(-)

commit ed1963ee49973de94a189fa30974d5666fec8d0a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 10 18:44:39 2012 -0400

    Make e_dbus_server_load_modules() idempotent.
    
    The function now keeps a static hash table of module directories it has
    loaded, and simply returns if it detects a previously loaded directory.

 libebackend/e-dbus-server.c |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 98f551a9ee007ee76bf6eeea9ed9b5a1a4403ebf
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Wed Apr 11 00:02:59 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po |  148 +++++++++++++++++++++++++++--------------------------
 1 files changed, 75 insertions(+), 73 deletions(-)

commit 8499284e44d82c9efc6a9737409609bdce2f20bf
Author: Jordi Serratosa <jordis@softcatala.cat>
Date:   Wed Apr 11 00:02:54 2012 +0200

    [l10n] Fixes on Catalan translation

 po/ca.po |  104 +++++++++++++++++++++++++------------------------------------
 1 files changed, 43 insertions(+), 61 deletions(-)

commit 5a3dfe6166871feb9b3e1410c6cb53f751fef42d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 10 12:39:51 2012 -0400

    EDBusServer: Finish documenting API.

 libebackend/e-dbus-server.c |   72 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 72 insertions(+), 0 deletions(-)

commit 9f35a15f90daf9c862772ce290aca8ffcac8fe74
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 10 12:17:11 2012 -0400

    EDBusServer: Fix run/quit signal marshallers.

 libebackend/e-dbus-server.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6ef222386afdaa69aaee8edccd2b70dbdd1bebdb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 10 11:35:37 2012 -0400

    Add "new symbols in 3.6" indices to API docs.

 .../addressbook/libebook/libebook-docs.sgml        |    4 ++++
 .../libedata-book/libedata-book-docs.sgml          |    4 ++++
 docs/reference/calendar/libecal/libecal-docs.sgml  |    4 ++++
 .../calendar/libedata-cal/libedata-cal-docs.sgml   |    4 ++++
 docs/reference/camel/camel-docs.sgml               |    4 ++++
 docs/reference/libebackend/libebackend-docs.xml    |    4 ++++
 .../libedataserver/libedataserver-docs.sgml        |    4 ++++
 .../libedataserverui/libedataserverui-docs.sgml    |    4 ++++
 8 files changed, 32 insertions(+), 0 deletions(-)

commit a8a1ba1f08b7436ca1c6a31966d3f1666ba4418c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Apr 10 11:30:02 2012 -0400

    Fix typo in libebackend docs.

 docs/reference/libebackend/libebackend-docs.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 58ea460522333b1b618eef02df1cab2b35bc1e11
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Apr 9 19:45:59 2012 -0400

    Add some missing linker flags.
    
    Caught libtool linking to installed E-D-S libraries instead of "in-tree"
    libraries.  Wonder how many more cases are lurking, or if there's some
    way to produce warnings about it...

 .../addressbook/libedata-book/Makefile.am          |    1 +
 services/evolution-addressbook-factory/Makefile.am |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 7e69e6505ee3eeb4b40bffbfc77029984777226b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Apr 8 13:23:12 2012 +0200

    Updated Spanish translation

 po/es.po |  463 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 239 insertions(+), 224 deletions(-)

commit dd7773a444293184011d928326fa5413d3416215
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 7 13:45:34 2012 -0400

    Add "new symbols in 3.4" indices to API docs.

 .../addressbook/libebook/libebook-docs.sgml        |    4 ++++
 .../libedata-book/libedata-book-docs.sgml          |    4 ++++
 docs/reference/calendar/libecal/libecal-docs.sgml  |    4 ++++
 .../calendar/libedata-cal/libedata-cal-docs.sgml   |    4 ++++
 .../libedataserver/libedataserver-docs.sgml        |    4 ++++
 .../libedataserverui/libedataserverui-docs.sgml    |    4 ++++
 6 files changed, 24 insertions(+), 0 deletions(-)

commit 942ff8dd8d6cfc3b3d7b62815f9a35b32582fb5a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 7 13:38:34 2012 -0400

    Update libedataserver API docs.

 .../libedataserver/libedataserver-sections.txt     |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7956a7063a453feeb0df5f7a03b44721079d7abe
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Apr 7 13:37:20 2012 -0400

    Add e_file_recursive_delete().
    
    Equivalent to "rm -r FILE".  Use with caution.

 .../libedataserver/libedataserver-sections.txt     |    3 +
 libedataserver/e-data-server-util.c                |  175 ++++++++++++++++++++
 libedataserver/e-data-server-util.h                |   14 ++-
 3 files changed, 191 insertions(+), 1 deletions(-)

commit 48c1e5592bbfee3b3c8ce6ba63ce7adf3e2137f6
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Apr 6 15:37:22 2012 +0200

    Bug #666438 - Contact's Full name field not displayed in list view

 addressbook/libebook/e-contact.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 92b7f86ce22878ac851fb8efb78fc9d2edc2c46e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Apr 5 23:38:08 2012 -0400

    Remove CamelHttpStream.
    
    Not needed now that Evolution uses WebKit.
    
    Been wanting to get rid of this for years...

 camel/Makefile.am                       |    2 -
 camel/camel-http-stream.c               |  684 -------------------------------
 camel/camel-http-stream.h               |  120 ------
 camel/camel.h                           |    1 -
 docs/reference/camel/camel-docs.sgml    |    1 -
 docs/reference/camel/camel-sections.txt |   22 -
 docs/reference/camel/camel.types        |    1 -
 docs/reference/camel/tree_index.sgml    |    1 -
 po/POTFILES.in                          |    1 -
 9 files changed, 0 insertions(+), 833 deletions(-)

commit 87399d13271c133bc56a9448cd89fca97f04fec7
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Apr 5 13:50:42 2012 +0200

    Bug #673563 - Encoded filename for Outlook broken by spaces

 camel/camel-mime-utils.c |   37 ++++++++++++++++++++++---------------
 1 files changed, 22 insertions(+), 15 deletions(-)

commit 32384d60d209c4f93ec9bd09ab93a636ec33621a
Author: Christophe Dumez <christophe.dumez@intel.com>
Date:   Mon Feb 20 11:27:11 2012 +0200

    Bug 670435: Added e_cal_client_view_set_flags()
    
    This commit adds a ECalClientViewFlags to ECalClientView with
    an initial flag value E_CAL_CLIENT_VIEW_FLAGS_NOTIFY_INITIAL
    to control whether the initial object notifications are sent.
    The default is to send notifications, if the flag is unset then
    only future notifications are issued.

 calendar/libecal/e-cal-client-view.c    |   34 +++++++++++++++
 calendar/libecal/e-cal-client-view.h    |   19 ++++++++
 calendar/libedata-cal/e-data-cal-view.c |   69 ++++++++++++++++++++++++++----
 calendar/libedata-cal/e-data-cal-view.h |    2 +
 calendar/libegdbus/e-gdbus-cal-view.c   |   31 ++++++++++++++
 calendar/libegdbus/e-gdbus-cal-view.h   |    6 +++
 6 files changed, 151 insertions(+), 10 deletions(-)

commit c3b75f197f07d98a52559c726f70f5faf9f952f3
Author: Christophe Dumez <christophe.dumez@intel.com>
Date:   Thu Apr 5 10:50:46 2012 +0300

    Bug 673527 - Addressbook bulk methods are broken
    
    Fixes bulk methods in addressbook file backend, that was broken by:
    e144f7b5b0aba6e7903c3c98c4db792fddbf9c50

 addressbook/backends/file/e-book-backend-file.c |   66 ++++++++++++----------
 1 files changed, 36 insertions(+), 30 deletions(-)

commit 2d6f9dcca031268b7563287f0294d768480813a9
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Apr 4 19:10:31 2012 +0200

    Bug #664793 - Deadlock on EClient operation cancel

 libedataserver/e-client.c          |   10 ++++++
 libedataserver/e-gdbus-templates.c |   58 ++++++++++++++++++++++++++----------
 libedataserverui/e-client-utils.c  |    3 ++
 3 files changed, 55 insertions(+), 16 deletions(-)

commit 96802a5e3485b97d08b73135b9ca09d3ce2de5b0
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Apr 3 14:05:10 2012 +0200

    CalDAV backend could starve on its dispose waiting for slave finish

 calendar/backends/caldav/e-cal-backend-caldav.c |   41 +++++++++++++++--------
 1 files changed, 27 insertions(+), 14 deletions(-)

commit 420bcf0c5608171f8aab17cbf865468fd9ede2af
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Apr 1 15:43:05 2012 -0400

    EDBusServer: Add run/quit signals.
    
    Extensions may want to hook into these signals.
    
    This uses two reserved slots in the EDBusServerClass struct to avoid
    breaking ABI, so no need to change libebackend's shared object name.

 libebackend/e-dbus-server.c |   78 +++++++++++++++++++++++++++++++------------
 libebackend/e-dbus-server.h |    4 ++-
 2 files changed, 59 insertions(+), 23 deletions(-)

commit 655d264241f9886b7f9e4fff64873b1a50ea67b8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Mar 31 22:35:47 2012 -0400

    Remove .gitignore from source control.
    
    Not sure why this was under source control to begin with when we have
    git.mk to generate these files.

 .gitignore |  111 ------------------------------------------------------------
 1 files changed, 0 insertions(+), 111 deletions(-)

commit 722bc0916790d79c627890a9ef30babd66866a05
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Mar 31 20:12:13 2012 -0400

    Remove migration of categories from GConf.
    
    We've been storing category information in an XML file rather than GConf
    for several years now.  Since we're in the process of dumping GConf it's
    pointless to keep the migration code around any longer.

 libedataserver/e-categories.c |   67 -----------------------------------------
 1 files changed, 0 insertions(+), 67 deletions(-)

commit 3bf48a65120885ef51ed8a2dc8fee7e481c0bda8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Mar 31 10:38:05 2012 -0400

    Deprecate EOfflineListener.

 docs/reference/libebackend/libebackend-docs.xml |    2 +-
 libebackend/e-offline-listener.c                |   10 +++-------
 libebackend/e-offline-listener.h                |    5 +++++
 3 files changed, 9 insertions(+), 8 deletions(-)

commit f8e615bf8bbd75b38144b75dbea337626c7b604a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Mar 31 10:37:06 2012 -0400

    EDataFactory: Use GNetworkMonitor always.

 libebackend/e-data-factory.c |   99 ++++-------------------------------------
 1 files changed, 10 insertions(+), 89 deletions(-)

commit 34e02a4d1cfcb11b3f358bda58ca34a17a5cab76
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Mar 31 10:29:03 2012 -0400

    Require GLib >= 2.32.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit baa878ed023d9cb250c7c9855fd7e259c5232c08
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Tue Mar 27 22:16:43 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 2936 ++++++++++++++++++++++++++++++-----------------------
 1 files changed, 1640 insertions(+), 1296 deletions(-)

commit d5cea965b4e3170cf0c561b8995ada15c1e0cec3
Author: Gil Forcada <gforcada@gnome.org>
Date:   Tue Mar 27 22:16:22 2012 +0200

    [l10n] Updated Catalan translation

 po/ca.po | 2984 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1670 insertions(+), 1314 deletions(-)

commit 4a3f2b0930e236580f9044217d77536170f48ab5
Author: Christophe Dumez <christophe.dumez@intel.com>
Date:   Tue Feb 21 09:38:43 2012 +0200

    Bug 670457: Add bulk methods to ECalClient
    
    Add e_cal_client_create_objects*() / e_cal_client_modify_objects*() /
    e_cal_client_remove_objects*() bulk methods to ECalClient.

 calendar/backends/caldav/e-cal-backend-caldav.c    |  252 ++++----
 .../backends/contacts/e-cal-backend-contacts.c     |   16 +-
 calendar/backends/file/e-cal-backend-file.c        |  713 +++++++++++---------
 calendar/backends/http/e-cal-backend-http.c        |   57 +-
 calendar/libecal/e-cal-client.c                    |  476 +++++++++++++-
 calendar/libecal/e-cal-client.h                    |   12 +
 calendar/libecal/e-cal-util.h                      |   27 +
 calendar/libecal/e-cal.c                           |   35 +-
 calendar/libedata-cal/e-cal-backend-sync.c         |  203 +++---
 calendar/libedata-cal/e-cal-backend-sync.h         |   12 +-
 calendar/libedata-cal/e-cal-backend.c              |   92 ++--
 calendar/libedata-cal/e-cal-backend.h              |   12 +-
 calendar/libedata-cal/e-data-cal.c                 |  201 +++---
 calendar/libedata-cal/e-data-cal.h                 |    6 +-
 calendar/libegdbus/e-gdbus-cal.c                   |  271 +++++----
 calendar/libegdbus/e-gdbus-cal.h                   |   50 +-
 configure.ac                                       |    6 +-
 libedataserver/e-data-server-util.c                |   20 +
 libedataserver/e-data-server-util.h                |    1 +
 tests/libecal/client/Makefile.am                   |    3 +
 tests/libecal/client/test-client-bulk-methods.c    |  253 +++++++
 21 files changed, 1823 insertions(+), 895 deletions(-)

commit 0f4ebc2a1c233abb439bed91468344c1164b9218
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Mar 27 11:58:52 2012 -0400

    Remove all CAMEL_PROVIDER_CONF_DEFAULT_* symbols.
    
    These are no longer used.

 camel/camel-provider.h                  |    8 --------
 docs/reference/camel/camel-sections.txt |    3 ---
 2 files changed, 0 insertions(+), 11 deletions(-)

commit eee311865a85a42b1453b772d8338d6059f40273
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Mar 27 17:12:30 2012 +0200

    Bug #672175 - Make CamelFolderSearch cancellable

 camel/camel-disco-folder.c                 |    2 +-
 camel/camel-folder-search.c                |  143 +++++-----------------------
 camel/camel-folder-search.h                |    6 +-
 camel/camel-folder.c                       |   12 ++-
 camel/camel-folder.h                       |    6 +
 camel/camel-offline-folder.c               |    2 +-
 camel/camel-vee-folder.c                   |   23 +++--
 camel/providers/imap/camel-imap-folder.c   |   15 ++-
 camel/providers/imapx/camel-imapx-folder.c |    9 +-
 camel/providers/local/camel-local-folder.c |    9 +-
 camel/providers/nntp/camel-nntp-folder.c   |    9 +-
 camel/tests/folder/test3.c                 |    2 +-
 camel/tests/folder/test8.c                 |    2 +-
 configure.ac                               |    2 +-
 14 files changed, 85 insertions(+), 157 deletions(-)

commit abb440b8b2c17482596ca080c30ce21fb54afcb8
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Mar 27 10:49:02 2012 +0200

    Bug #663324 - Categories not correctly aligned with Google contacts

 .../backends/google/e-book-backend-google.c        |  127 +++++++++++++++++---
 1 files changed, 108 insertions(+), 19 deletions(-)

commit 0cc952de5fb4ea3e8e491ee9f7d82656f9f395b7
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Mar 27 10:44:17 2012 +0200

    Avoid possible use-after-free in Google's addressbook backend

 .../backends/google/e-book-backend-google.c        |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit bacabf34b53eb4e7eaadd6518c8643d6e440d9a6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Mar 26 18:01:14 2012 +0200

    Updated Spanish translation

 po/es.po | 1416 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 711 insertions(+), 705 deletions(-)

commit 5a64902e3621a8cd87793908e4209bb6e7c91cb4
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Mar 26 17:50:34 2012 +0200

    Updated Swedish translation

 po/sv.po | 1462 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 739 insertions(+), 723 deletions(-)

commit d5b63b78629cb168d56b0ddb0cf16219b7063955
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Mar 26 17:47:52 2012 +0200

    Bug #672258 - Error while moving messages in local folders

 camel/providers/local/camel-maildir-folder.c  |    3 +++
 camel/providers/local/camel-maildir-summary.c |   18 ++++++++++++++++++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit 61fa51ad86b07ba7830db4d5bb9c0a15081ca7e2
Author: Pawel Moll <mail@pawelmoll.com>
Date:   Mon Mar 26 17:41:14 2012 +0200

    Bug #671172 - camel: smtp: Make EHLO keywords check case insensitive
    
    According to section 4.1.1.1 of RFC 2821 (last paragraph,
    see tools.ietf.org/html/rfc2821#section-4.1.1.1):
    
       Although EHLO keywords may be specified in upper, lower, or mixed
       case, they MUST always be recognized and processed in a case-
       insensitive manner.  This is simply an extension of practices
       specified in RFC 821 and section 2.4.1.
    
    Current smtp_helo() implementation is using strncmp() - replace them
    with g_ascii_strncasecmp().

 camel/providers/smtp/camel-smtp-transport.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 67d573c5082135b0fb0783348e146282037213b1
Author: Yanko Kaneti <yaneti@declera.com>
Date:   Mon Mar 26 17:35:15 2012 +0200

    Bug #670470 - Do not force password for IMAPx connection

 camel/providers/imapx/camel-imapx-server.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 61ee9730ec22b2c578569efc747a65d9734d6789
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 26 10:07:49 2012 -0400

    Limit supported gweather to < 3.5.
    
    gweather-3.5 introduces API changes we do not yet support.
    
    A patch for gweather-3.5 support exists in bug 672805, but since our
    policy forbids requiring unstable libraries, gweather-3.4 support must
    be retained until GNOME 3.6 is released.  gweather-3.5/3.6 support will
    remain optional until 3.7.1.

 configure.ac |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 01ad5d322bd27f6d048cbb0e7ff47219cfb13f79
Author: Krishnababu Krothapalli <email>
Date:   Mon Mar 26 20:00:50 2012 +0530

    Updated Telugu Translations

 po/te.po |  668 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 312 insertions(+), 356 deletions(-)

commit d1f34d4ff94e49d8add8963534648360ff09f4d1
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Mar 26 15:33:14 2012 +0200

    Bug #658742 - Change EContact property description string

 addressbook/libebook/e-contact.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4909b882ab0070dcdc18d4c586f70be54d6d4e4e
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Mon Mar 26 16:45:21 2012 +0530

    hindi translation by Chandan Kumar

 po/hi.po |  894 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 407 insertions(+), 487 deletions(-)

commit 1bfd28bbc30d64d62ac8e9955ed35ac30641a830
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Mon Mar 26 16:12:26 2012 +0530

    Updated Marathi Translations

 po/mr.po | 7201 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 4189 insertions(+), 3012 deletions(-)

commit 3bc3fa26e53895b14eadabe2ed617e67e18fab96
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Jan 24 20:06:03 2012 +0000

    build: Add an --enable-code-coverage configure option to enable gcov support
    
    When enabled, this will compile all the EDS libraries (but not test programs)
    with the necessary GCC and ld flags to enable code coverage support using
    gcov.
    
    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=668608

 addressbook/backends/file/Makefile.am              |    8 ++++++--
 addressbook/backends/google/Makefile.am            |    8 ++++++--
 addressbook/backends/ldap/Makefile.am              |    8 ++++++--
 addressbook/backends/vcf/Makefile.am               |    8 ++++++--
 addressbook/backends/webdav/Makefile.am            |    8 ++++++--
 addressbook/libebook/Makefile.am                   |    8 ++++++--
 addressbook/libedata-book/Makefile.am              |    8 ++++++--
 addressbook/libegdbus/Makefile.am                  |    8 ++++++--
 calendar/backends/caldav/Makefile.am               |    8 ++++++--
 calendar/backends/contacts/Makefile.am             |    8 ++++++--
 calendar/backends/file/Makefile.am                 |    8 ++++++--
 calendar/backends/http/Makefile.am                 |    8 ++++++--
 calendar/backends/weather/Makefile.am              |    8 ++++++--
 calendar/libecal/Makefile.am                       |    8 ++++++--
 calendar/libedata-cal/Makefile.am                  |    8 ++++++--
 calendar/libegdbus/Makefile.am                     |    8 ++++++--
 camel/Makefile.am                                  |    8 ++++++--
 camel/providers/imap/Makefile.am                   |    8 ++++++--
 camel/providers/imapx/Makefile.am                  |    8 ++++++--
 camel/providers/local/Makefile.am                  |    8 ++++++--
 camel/providers/nntp/Makefile.am                   |    8 ++++++--
 camel/providers/pop3/Makefile.am                   |    8 ++++++--
 camel/providers/sendmail/Makefile.am               |    8 ++++++--
 camel/providers/smtp/Makefile.am                   |    8 ++++++--
 configure.ac                                       |   19 +++++++++++++++++++
 libebackend/Makefile.am                            |    8 ++++++--
 libedataserver/Makefile.am                         |    8 ++++++--
 libedataserverui/Makefile.am                       |    9 +++++++--
 services/evolution-addressbook-factory/Makefile.am |    6 ++++++
 services/evolution-calendar-factory/Makefile.am    |    6 ++++++
 30 files changed, 194 insertions(+), 54 deletions(-)

commit efba3a39f5c27119ee21e3a8317763c94fbef670
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Mon Mar 26 14:47:02 2012 +0530

    hindi translation by Chandan Kumar

 po/hi.po | 9856 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 5605 insertions(+), 4251 deletions(-)

commit 5d3069cf7993a49ad15a89c00cd44cae0b8c1a68
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Mon Mar 26 14:45:26 2012 +0530

    hindi translation by Chandan Kumar

 po/hi.po | 9719 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 4250 insertions(+), 5469 deletions(-)

commit 997812407c0500cb30aaa9beb77993530d38504d
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Mon Mar 26 13:47:49 2012 +0530

    Updated Odia Translation

 po/or.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 863e1bffafbdec126d3c2fe3e6ed5db66b7efe93
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Mon Mar 26 13:40:33 2012 +0530

    Updated Odia Translation

 po/or.po | 3389 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 1765 insertions(+), 1624 deletions(-)

commit 8b6182a74ae05aeb16f7c58b0276049c0e64ac73
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Mar 25 23:51:44 2012 -0400

    Bump base version to 3.6.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5e2a3f0ed96e3ca2ce2a88ef74b7668eea1ceeb4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Mar 25 22:33:53 2012 -0400

    Post-release version bump.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 891f5b4cf7a680135af907027ba82150cad777c8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Mar 25 21:14:15 2012 -0400

    NEWS update for 3.4.0 release.

 NEWS |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit a3fb753490bf252ff1742459abd1b9ed248e2b56
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 23 15:15:27 2012 -0400

    CamelIMAPXServer: Prevent failed commands from starting new ones.

 camel/providers/imapx/camel-imapx-server.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 7308d9d2cb56365186fa85055a5aa7b85af00435
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 23 14:49:44 2012 -0400

    CamelIMAPXServer: Rework some reference counting issues.
    
    Commit 7efd1e7969c70fb497febd455591041994bbf90b was incorrect.
    
    The command DOES need to be removed from 'is->queue' before starting
    it, however we need to hold a reference on the command so it does not
    get finalized while removing it from 'is->queue'.

 camel/providers/imapx/camel-imapx-server.c |   36 +++++++++++++++++++++-------
 1 files changed, 27 insertions(+), 9 deletions(-)

commit 8f877c10057a485739c53fbbf7b4f6640dd7ba8f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 23 14:01:36 2012 -0400

    CamelIMAPXCommand: Make the CamelIMAPXJob member private.
    
    This ensures we keep the CamelIMAPXJob's reference count accurate.
    
    Introduce two new CamelIMAPXCommand functions:
    
       CamelIMAPXJob * camel_imapx_command_get_job (CamelIMAPXCommand *ic)
       void            camel_imapx_command_set_job (CamelIMAPXCommand *ic,
                                                    CamelIMAPXJob *job)

 camel/providers/imapx/camel-imapx-command.c |   39 ++++
 camel/providers/imapx/camel-imapx-command.h |    5 +-
 camel/providers/imapx/camel-imapx-server.c  |  249 +++++++++++++++++++--------
 3 files changed, 216 insertions(+), 77 deletions(-)

commit 06f697d04e7141a0c58821ef86fbdc97d0933e42
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 23 15:49:43 2012 -0400

    imapx_command_fetch_message_done(): Avoid a refcount issue.
    
    Fix a potential reference counting issue, but I don't think this is
    what's causing all the problems.

 camel/providers/imapx/camel-imapx-server.c |   20 ++++++++++++--------
 1 files changed, 12 insertions(+), 8 deletions(-)

commit fcae79783cff03a663e0efc8b2174a58d4945467
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 23 11:11:47 2012 -0400

    CamelIMAPXCommand: Fill memory with a bit pattern before freeing.
    
    To help track down finalized CamelIMAPXCommands being passed around.

 camel/providers/imapx/camel-imapx-command.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 25674e3689791c4fb3da7b639453b99404467a0b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 23 11:08:28 2012 -0400

    CamelIMAPXCommand: Add more runtime checks.
    
    To help track down a reference counting bug, but good to do anyway.

 camel/providers/imapx/camel-imapx-command.c |   42 ++++++++++++++++-----------
 camel/providers/imapx/camel-imapx-command.h |    4 ++
 2 files changed, 29 insertions(+), 17 deletions(-)

commit 0a24ca38fc69bbc0be57df1afcb2d3928c6b878e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 23 12:38:40 2012 -0400

    CamelIMAPXJob: Fill memory with a bit pattern before freeing.
    
    To help track down finalized CamelIMAPXJobs being passed around.

 camel/providers/imapx/camel-imapx-job.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit c0799ed78c9fea6361296bb55ecf86fe5d28f13e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 23 12:33:48 2012 -0400

    CamelIMAPXJob: Add more runtime checks.
    
    To help track down a reference counting bug, but good to do anyway.

 camel/providers/imapx/camel-imapx-job.c |   42 ++++++++++++++++++------------
 camel/providers/imapx/camel-imapx-job.h |    4 +++
 2 files changed, 29 insertions(+), 17 deletions(-)

commit 6266a3d05f8dfd3a471991d1cb6713c966a458c7
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Mar 24 16:39:26 2012 +0100

    Updated Esperanto translation

 po/eo.po | 4307 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2307 insertions(+), 2000 deletions(-)

commit 6d8edd051a9e7e8e48d8e3d9566ae3ef41907634
Author: Krishnababu Krothapalli <email>
Date:   Thu Mar 22 15:25:29 2012 +0530

    Updated Telugu Translations

 po/te.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 53035d87fbae2e515dad9358023ea7f8d2f845c8
Author: Krishnababu Krothapalli <email>
Date:   Thu Mar 22 15:22:56 2012 +0530

    Updated Telugu Translations

 po/te.po | 3005 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1708 insertions(+), 1297 deletions(-)

commit a2c350865ff16a975a680c7027357e2b5f4bb137
Author: Flemming Christensen <fc@stromata.dk>
Date:   Wed Mar 21 10:15:17 2012 +0100

    Updated Danish translation

 po/da.po | 3110 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1706 insertions(+), 1404 deletions(-)

commit 3b73714153701ee6d579d71f8c8e16d3e3121591
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Mar 21 07:57:48 2012 +0530

    update Punjabi Translation

 po/pa.po | 2906 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1643 insertions(+), 1263 deletions(-)

commit 2465ec3d97635339dbef581cad47e11ee109b892
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Wed Mar 21 09:10:12 2012 +0700

    Updated Vietnamese translation

 po/vi.po |  236 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 100 insertions(+), 136 deletions(-)

commit a77ca235cb2504c3b7058faead1dd9bcf7c7c749
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Wed Mar 21 08:51:41 2012 +0700

    po/vi: updated from Damned Lies

 po/vi.po | 3160 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1659 insertions(+), 1501 deletions(-)

commit c2575d7276f8708a43f966cd53d198e5144dc4af
Author: Automatic Mirroring <aronmalache@gmail.com>
Date:   Tue Mar 20 16:07:22 2012 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po | 3072 ++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1481 insertions(+), 1591 deletions(-)

commit 438ec88a5b91ef5664e967c73d15ce77e25acbad
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Tue Mar 20 19:15:59 2012 +0530

    Updated Bengali India Translaion

 po/bn_IN.po | 5033 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 2782 insertions(+), 2251 deletions(-)

commit dec589d3cb620f5029974e571051a9d5be3c0e6d
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Mar 19 12:36:37 2012 +0530

    post release version bump

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 87aa42259b096689d81dcadb9d5c926865f2e16c
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Mar 19 11:57:06 2012 +0530

    News update for 3.3.92 release

 NEWS |   35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)

commit 4c58e189aa71d87021c3294f7757e1b2d540cd33
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Thu Feb 23 14:06:08 2012 +0530

    Bug 736655 (bnc) - Deadlocks when auto-completing address in email composer

 addressbook/libedata-book/e-book-backend.c   |    5 ++---
 addressbook/libedata-book/e-data-book-view.c |    2 +-
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 4ac112d1b46048c56ac39f2ace735a1bb8f8774b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Mar 18 11:25:29 2012 -0400

    Update API documentation.

 addressbook/libebook/e-book-query.c                |    4 ++--
 addressbook/libebook/e-vcard.c                     |   10 +++++-----
 camel/camel-operation.c                            |    2 +-
 .../addressbook/libebook/libebook-sections.txt     |    2 ++
 .../libedata-book/libedata-book-sections.txt       |   13 ++++++++++---
 5 files changed, 20 insertions(+), 11 deletions(-)

commit 2d9df479aa740ca02dae7161fc9d9eb0f5e5c092
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Mar 18 13:44:45 2012 +0000

    Updated Portuguese translation

 po/pt.po | 2913 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1622 insertions(+), 1291 deletions(-)

commit 096e90bce705bd6c69a319c9f231910a35b463c8
Author: Jiri Eischmann <jiri@eischmann.cz>
Date:   Sat Mar 17 17:49:24 2012 +0100

    Updated Czech translation

 po/cs.po |  304 +++++++++++++++-----------------------------------------------
 1 files changed, 74 insertions(+), 230 deletions(-)

commit 366369834b9691da16e206b992cd266878dddc84
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Fri Mar 16 22:50:01 2012 +0100

    Updated Dutch translation

 po/nl.po | 2874 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1605 insertions(+), 1269 deletions(-)

commit 7efd1e7969c70fb497febd455591041994bbf90b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 16 15:30:32 2012 -0400

    Fix some crashes in imapx_command_start_next().
    
    Start the next CamelIMAPXCommand before unreferencing the current one.
    
    imapx_command_start() calls camel_imapx_command_close() on the current
    command before initiating the next command, but imapx_command_start()
    is being handed a potentially dangling CamelIMAPXCommand pointer.
    
    This is most certainly causing of all the camel_imapx_command_close()
    crashes, and likely a good number of memory corruption crashes as well.

 camel/providers/imapx/camel-imapx-server.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit f8e6e4f4da952c8b662bf7b5525d683826d4377c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Mar 16 12:57:37 2012 -0400

    Mention the return of dbus-glib in a NEWS blurb.

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 990e10860a7a624edcc38241422b7ad39f2cdf45
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Mar 16 16:12:34 2012 +0100

    Bug #659756 - Initialize dbus-glib threading for GConf

 configure.ac                                       |    9 +++++++++
 services/evolution-addressbook-factory/Makefile.am |    2 ++
 .../evolution-addressbook-factory.c                |    5 +++++
 services/evolution-calendar-factory/Makefile.am    |    2 ++
 .../evolution-calendar-factory.c                   |    5 +++++
 5 files changed, 23 insertions(+), 0 deletions(-)

commit c0907ba4246c0e3760504fc4ffa948f1d765af85
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Tue Mar 13 00:22:14 2012 +0200

    Updated Latvian translation.

 po/lv.po | 3180 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1760 insertions(+), 1420 deletions(-)

commit 0227827fff524bbd757bf8f0443463ac797d785e
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Mar 12 13:49:38 2012 +0100

    Fix regression after commit for bug #664186

 camel/providers/local/camel-maildir-store.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit fc9a3e7630e0c08043fa0d97a67559567d6663da
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Mar 12 16:16:09 2012 +0530

    Updated Gujarati Translations

 po/gu.po | 3021 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1637 insertions(+), 1384 deletions(-)

commit 0192681ac6258df1489d41e208502a2acce68d20
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Mar 12 11:00:35 2012 +0200

    Finnish translation update from http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

 po/fi.po | 5846 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 2707 insertions(+), 3139 deletions(-)

commit dd6e2b26cb3b6d43c51d4360fb370754d9320fb6
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Mon Mar 12 00:27:15 2012 +0400

    Updated Russian translation

 po/ru.po |  130 +++++++++++++++++++++++++------------------------------------
 1 files changed, 53 insertions(+), 77 deletions(-)

commit 9ac29052cac2da05b9c333902cd6d758ba8202d7
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Sat Mar 10 13:09:43 2012 +0100

    Add initial Khmer translation

 po/LINGUAS |    1 +
 po/km.po   | 5122 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 5123 insertions(+), 0 deletions(-)

commit 6df2b56276ad9dda7b1aa6089c2852d16abbd261
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sat Mar 10 17:56:30 2012 +0900

    Updated Korean translation

 po/ko.po |  161 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 83 insertions(+), 78 deletions(-)

commit f9480820aa7ab3e0b629810062501e75a8914bc0
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 10 02:39:17 2012 +0100

    Updated Hungarian translation

 po/hu.po | 2936 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1661 insertions(+), 1275 deletions(-)

commit 4ed5287e572c137e7d418316806b3fa4be84c148
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Fri Mar 9 22:52:16 2012 +0100

    Updated French translation

 po/fr.po | 2800 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1525 insertions(+), 1275 deletions(-)

commit e0bb9b9522080bf0660e74c1a5e7f9f40878dce9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 9 21:38:00 2012 +0100

    Updated Polish translation

 po/pl.po | 2778 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1512 insertions(+), 1266 deletions(-)

commit b058e4b1004abcb36aa5683fe43f5b5f977a5f38
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Mar 9 16:46:01 2012 +0100

    Bug #665025 - Memory leak in camel mime

 camel/camel-data-wrapper.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2b8a727115e617b4876dc70f6356092c3eaf4e62
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Fri Mar 9 13:51:36 2012 +0000

    Updated British English translation

 po/en_GB.po | 2890 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1606 insertions(+), 1284 deletions(-)

commit a62360e74d0c153dce98bcf6d68a6b460efd1ca2
Author: Patrick Ohly <patrick.ohly@intel.com>
Date:   Wed Mar 7 16:07:33 2012 +0000

    EDS: memory leak fixes
    
    All of these leaks were found with valgrind when testing
    in combination with SyncEvolution. The fixed code passes
    the same tests without issues (in particular no double frees).
    
    The only non-obvious leak is the one of "muid" after
    e_gdbus_cal_call_create_object_sync() apparently a string
    is returned even if the call itself fails.

 addressbook/backends/file/e-book-backend-file.c |    7 +++++--
 addressbook/libebook/e-contact.c                |    2 ++
 calendar/libecal/e-cal.c                        |    1 +
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 80680df918074e0665478d728901182327b5a742
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Wed Mar 7 22:33:26 2012 +0100

    [l10n] Updated German translation

 po/de.po | 2571 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1446 insertions(+), 1125 deletions(-)

commit 07b1c5de5be3d6fcdeb90144e374fa49e59fc607
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Mar 7 20:17:33 2012 +0100

    Update store<=>folder summaries connection on folder rename

 camel/providers/imap/camel-imap-folder.c   |    8 ++++++++
 camel/providers/imapx/camel-imapx-folder.c |   20 ++++++++++++++++++++
 2 files changed, 28 insertions(+), 0 deletions(-)

commit ffd8689da2f2c3c87f12c196695558c49e885382
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Mar 7 19:30:54 2012 +0100

    Bug #664186 - Maildir scan checks incorrectly for folder name prefix

 camel/providers/local/camel-maildir-store.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 132b32693210b8173c591d9c8c80efc798f8bfbb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Mar 7 13:23:50 2012 -0500

    CamelIMAPXServer: Avoid crashing in cancel_all_jobs().
    
    This is a workaround.  I don't know why some CamelIMAPXCommands are bad.

 camel/providers/imapx/camel-imapx-server.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit c9f56debf75e62206b4c083235172c1079d7cb8c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Mar 7 11:42:10 2012 -0500

    camel-local-provider.c: Remove superfluous conf entries.

 camel/providers/local/camel-local-provider.c |   23 +----------------------
 1 files changed, 1 insertions(+), 22 deletions(-)

commit 0ccca7619d6fdef42e26aa987a5eea57ab110a41
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Mar 7 11:17:50 2012 +0100

    Fix compiler format warnings in IMAPX code

 camel/providers/imapx/camel-imapx-command.c |    4 ++--
 camel/providers/imapx/camel-imapx-server.c  |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 13aed50b786a147b0c1c7dac53e82e5742202f04
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Mar 7 11:07:18 2012 +0100

    Bug #671470 - Mail search on body doesn't work (local mail)
    
    This contains also an interim "solution", till body indexing for
    maildir folders is properly fixed.

 camel/providers/local/camel-local-folder.c   |   15 ++++++++++++---
 camel/providers/local/camel-maildir-folder.c |    9 +++++++--
 2 files changed, 19 insertions(+), 5 deletions(-)

commit 68cacfcb108c40932d6f776dd217d57c8335bb96
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Mar 7 08:28:31 2012 +0100

    Try to RC2047-decode address-only string when parsing email addresses
    
    This is for cases when email address consists only of an encoded string,
    with no SMTP part. That way the encoded string was treated as email address
    and is never decoded, which was shown in the UI.

 camel/camel-mime-utils.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 28e0ff467602ce2f498c2e0d79a33a87d02c4695
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Mar 6 10:10:19 2012 -0500

    Suppress deprecation warnings.
    
    Suppress deprecated declaration warnings, particularly from GTK+, until
    we're ready to care again.  Once we require GTK+ 3.4 we can start using
    the new deprecation min/max macros.

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7b4643dd17d94057e414326d37faccb8e5dd6576
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Mar 6 13:28:28 2012 +0530

    Assamese translation completed

 po/as.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f0f4ee1f5a618887b725f7651196d84bb6a7a5ab
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Mar 6 13:23:17 2012 +0530

    Assamese translation completed

 po/as.po | 3045 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1709 insertions(+), 1336 deletions(-)

commit d37eb88087ee0d70cbca7ae27331c79762188fa2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 5 17:08:14 2012 -0500

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8cc8ee993724ffc13913e39e2d53f42337faa520
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 5 10:08:23 2012 -0500

    NEWS update for 3.3.91 release.

 NEWS |   40 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

commit d8e2035026e456a1eda8eaa2a8e9226939ba6f5d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Mar 5 09:22:42 2012 -0500

    Revert "ECalBackendCalDAV: Fix a "pointer-sign" compiler warning."
    
    This reverts commit 34038e9275f476c4e79405937f8a6e7533e92434.
    
    icalattach_new_from_data() changed its function signature some time
    between 0.44 and 0.48.  Apparently I was using the older version.

 calendar/backends/caldav/e-cal-backend-caldav.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 58199a4bac66e86ec677f0d3a507418278ccab18
Author: Patrick Ohly <patrick.ohly@intel.com>
Date:   Mon Mar 5 08:19:41 2012 +0100

    EContact: fix "parse vcard + update contact + commit"
    
    The commit which introduced vCard 2.1 encoding support (cca25e)
    removed the "evc->priv->attributes" check. Without that check
    the encoder will always return a cached vCard, even if the
    EContact was modified in the meantime.
    
    Found when updating of a contact with SyncEvolution's --update
    operation failed because the UID set after parsing the vCard was
    ignored and thus committing the update wasn't possible. Might also
    break quite a lot of other functionality!
    
    Fixed by addding the "evc->priv->attributes" in both cases (vCard 2.1
    and 3.0).

 addressbook/libebook/e-vcard.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 0bcbb905b6ff350b4eaa27a928a4319f5eff792e
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sun Mar 4 21:51:48 2012 +0100

    Updated Slovenian translation

 po/sl.po |  156 ++++++++++----------------------------------------------------
 1 files changed, 25 insertions(+), 131 deletions(-)

commit 2aa1beaba1d3842cfa0e5e975e40129373b35546
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Mar 4 18:01:29 2012 +0900

    Updated Korean translation

 po/ko.po | 2773 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1510 insertions(+), 1263 deletions(-)

commit 34038e9275f476c4e79405937f8a6e7533e92434
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Mar 3 11:34:13 2012 -0500

    ECalBackendCalDAV: Fix a "pointer-sign" compiler warning.

 calendar/backends/caldav/e-cal-backend-caldav.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0febec1f85c9dc0f90c88dd3e6093baca04bbc15
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Mar 3 11:30:27 2012 -0500

    EBookBackendFile: Fix a warning caused by Berkeley DB v5.
    
    Our preprocessor macro was only checking for:
    
       #if DB_VERSION_MAJOR == 4 && DB_VERSION_MAJOR > 3
           /* use new function signature */
       #else
           /* use old function signature */
       #endif

 addressbook/backends/file/e-book-backend-file.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fd4c77f208414e0f64de43e5cf42f16db521710b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Mar 3 11:25:13 2012 -0500

    CamelVeeFolder: Silence a compiler warning.
    
    I think it was just a false positive, but better safe than sorry.

 camel/camel-vee-folder.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 3adda8792d04330d5884381dd6e2349ecf8b4cdb
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Mar 3 11:46:39 2012 +0100

    Updated Basque language

 po/eu.po | 2848 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1586 insertions(+), 1262 deletions(-)

commit 4cf5faad83369f3a5d399ac3972bad9e1d0844c7
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Mar 2 12:19:23 2012 +0100

    Provide at least some NSPR error text, rather than cryptic error code

 camel/camel-tcp-stream-raw.c |   13 ++++++++++---
 1 files changed, 10 insertions(+), 3 deletions(-)

commit 41e41ae38e39776a6f269279caf50d4c99ce91fb
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Mar 2 12:11:40 2012 +0300

    Updated Belarusian translation.

 po/be.po |  424 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 220 insertions(+), 204 deletions(-)

commit 29b77aef6733a2e0731b702db11dce9d494825bd
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Mar 2 09:53:10 2012 +0100

    Bug #658742 - Gettext messages require translator comments

 addressbook/libebook/e-contact.c |   20 +++++++++++++++++---
 libedataserver/e-client.c        |    2 ++
 2 files changed, 19 insertions(+), 3 deletions(-)

commit babf23666500031c67731707382f82ffb5d1e78c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Mar 1 21:43:43 2012 +0100

    Updated Slovenian translation

 po/sl.po | 1747 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 942 insertions(+), 805 deletions(-)

commit 69c29ae25582ada302a62a981f28cbd7d653dc90
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Thu Mar 1 14:16:33 2012 +0700

    Updated Vietnamese translation

 po/vi.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 7beba21ef7a8902ba2eb304884cc3e86d8f9f52f
Author: Jonh Wendell <jwendell@gnome.org>
Date:   Wed Feb 29 16:24:01 2012 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 2841 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1581 insertions(+), 1260 deletions(-)

commit f59db3b1393bad5e4442f6d6809c4f0f7203e653
Author: Christophe Dumez <christophe.dumez@intel.com>
Date:   Tue Feb 28 09:40:36 2012 +0200

    Bug 670938: e_cal_client_generate_instances_for_object() returns invalid instances
    
    Make sure the DTSTART / DTEND is properly set for the instances returned
    by e_cal_client_generate_instances_for_object().

 calendar/libecal/e-cal-client.c |  106 ++++++++++++++++++++++++++++----------
 1 files changed, 78 insertions(+), 28 deletions(-)

commit 60c099b15fe9afe9d3ee0051f30ae12ae22ec1eb
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Tue Feb 28 15:47:54 2012 +0400

    Updated Russian translation

 po/ru.po | 1723 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 897 insertions(+), 826 deletions(-)

commit 43b6a092e2d755067ec7e4b9a65040cb8549d017
Author: Christophe Dumez <christophe.dumez@intel.com>
Date:   Mon Feb 27 16:05:34 2012 +0200

    Bug 670887: e_cal_client_generate_instances_for_object returns instances in reverse order

 calendar/libecal/e-cal-client.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit a61b7e7b9bb93da3590d2a8ea28620a0739a16b9
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Feb 27 19:59:35 2012 +0100

    Fix nasty typos from recent whitespace cleanup commit

 addressbook/backends/ldap/e-book-backend-ldap.c    |    2 +-
 .../backends/webdav/e-book-backend-webdav.c        |    6 +++---
 camel/camel-sasl.c                                 |    4 ----
 camel/camel-service.c                              |    4 ----
 camel/camel-session.c                              |    4 ----
 libedataserver/e-proxy.c                           |    4 ----
 6 files changed, 4 insertions(+), 20 deletions(-)

commit af59b94a38bd5ca124678e10f4ad72dac4a841ad
Author: Petr Kovar <pkovar@redhat.com>
Date:   Mon Feb 27 16:04:58 2012 +0100

    Update Czech translation

 po/cs.po | 2892 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1637 insertions(+), 1255 deletions(-)

commit 6b11c4ffffcdbe6df7b0ca72a1a66c93afe57817
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Feb 27 15:48:53 2012 +0100

    Bug #663224 - Deleted message not deleted on other machine

 camel/camel-folder-summary.c               |    6 ++++--
 camel/providers/imapx/camel-imapx-server.c |   22 +++++-----------------
 2 files changed, 9 insertions(+), 19 deletions(-)

commit f11f49a8e065e7abe3e068491dda6f28ce3b89d7
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Feb 26 11:08:28 2012 +0900

    Updated Uyghur translation

 po/ug.po | 3640 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1987 insertions(+), 1653 deletions(-)

commit b1cd132f9b7e46d11e47ba56f6e7593b801d8e71
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sat Feb 25 22:45:07 2012 +0300

    Updated Belarusian translation.

 po/be.po | 1558 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 836 insertions(+), 722 deletions(-)

commit 57c6e4de0c9b47d8d6faa3c50c5edfbc6bc42713
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Feb 25 12:56:29 2012 -0500

    CamelSession: Add a default method for get_socks_proxy().
    
    Does nothing but fill the "out" arguments with (NULL, 0).

 camel/camel-session.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 095250a076143ac74686edde211a7e9d94fdc825
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 25 10:31:05 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 1707 ++++++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po | 1709 ++++++++++++++++++++++++++++++++---------------------------
 2 files changed, 1846 insertions(+), 1570 deletions(-)

commit 886b22da5ca8a4f300a74cb04690c8dd9cb26b56
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Feb 23 13:41:48 2012 +0100

    Initialize EGdbusTemplates main thread in book/calendar factories
    
    This is needed for 'contacts' calendar backend, to not call main
    context iteration when it is run in a dedicated thread, but call
    it in both factories, just in case.

 .../evolution-addressbook-factory.c                |    3 +++
 .../evolution-calendar-factory.c                   |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 696b658a8626bc5b8872363aaeef156d4c9725d4
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 21 15:26:01 2012 +0100

    Bug #610988 - Filter can't set labels on IMAP messages

 camel/providers/imap/camel-imap-folder.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 11ea85c85051a4544240830d6f83bd18c9d6d5a5
Author: Christophe Dumez <christophe.dumez@intel.com>
Date:   Wed Jan 25 09:23:13 2012 +0200

    Bug #668639 - Sexps on VEVENT / VJOURNAL statuses are not supported
    
    Sexps such as (contains? "status" "CONFIRMED") did not work before
    this fix.

 calendar/libedata-cal/e-cal-backend-sexp.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 3bf185dbe87dc41ae7261a7f3684feafa6c5d4c8
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Feb 20 19:04:11 2012 +0100

    Manual Refresh on a CalDAV calendar does not work
    
    Found as part of bug #661265

 calendar/backends/caldav/e-cal-backend-caldav.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 558aa49e490c08b4e981cb0b3314c1b82cf2cedb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Sep 7 09:52:25 2011 -0400

    Coding style and whitespace cleanup.

 addressbook/backends/file/e-book-backend-file.c    |   34 +-
 .../backends/google/e-book-backend-google.c        |  198 +++++--
 addressbook/backends/ldap/e-book-backend-ldap.c    |  123 ++---
 addressbook/backends/vcf/e-book-backend-vcf.c      |   62 +--
 .../backends/webdav/e-book-backend-webdav.c        |   20 +-
 addressbook/libebook/e-book-client-view.c          |   12 +-
 addressbook/libebook/e-book-client.c               |   17 +-
 addressbook/libebook/e-book-view.c                 |   13 +-
 addressbook/libebook/e-book.c                      |    8 +-
 addressbook/libebook/e-contact.c                   |   34 +-
 addressbook/libebook/e-destination.c               |   72 ++--
 addressbook/libebook/e-destination.h               |   29 +-
 addressbook/libebook/e-vcard.c                     |   42 +-
 addressbook/libedata-book/e-book-backend-cache.c   |    7 +-
 addressbook/libedata-book/e-book-backend-sexp.c    |   45 +-
 addressbook/libedata-book/e-book-backend-sexp.h    |   47 ++-
 .../libedata-book/e-book-backend-sqlitedb.c        |   30 +-
 addressbook/libedata-book/e-book-backend-summary.c |   81 ++--
 addressbook/libedata-book/e-book-backend-summary.h |   74 ++-
 addressbook/libedata-book/e-book-backend-sync.c    |   41 +--
 addressbook/libedata-book/e-book-backend.c         |   23 +-
 addressbook/libedata-book/e-data-book-types.h      |    6 -
 addressbook/libedata-book/e-data-book-view.c       |   90 ++--
 addressbook/libegdbus/e-gdbus-book-factory.c       |   15 +-
 addressbook/libegdbus/e-gdbus-book-view.c          |   13 +-
 addressbook/libegdbus/e-gdbus-book.c               |   23 +-
 calendar/backends/caldav/e-cal-backend-caldav.c    |  560 ++++++++------------
 .../backends/contacts/e-cal-backend-contacts.c     |  110 +++--
 calendar/backends/file/e-cal-backend-file-events.c |    2 +-
 .../backends/file/e-cal-backend-file-journal.c     |    2 +-
 calendar/backends/file/e-cal-backend-file-todos.c  |    2 +-
 calendar/backends/file/e-cal-backend-file.c        |   79 +--
 calendar/backends/http/e-cal-backend-http.c        |   46 +--
 calendar/backends/weather/e-cal-backend-weather.c  |   59 +--
 calendar/libecal/e-cal-client-view.c               |   22 +-
 calendar/libecal/e-cal-client.c                    |   19 +-
 calendar/libecal/e-cal-component.c                 |   83 +--
 calendar/libecal/e-cal-system-timezone.c           |    6 +-
 calendar/libecal/e-cal-view.c                      |   70 +--
 calendar/libecal/e-cal.c                           |   69 ++--
 calendar/libedata-cal/e-cal-backend-cache.c        |    9 +-
 calendar/libedata-cal/e-cal-backend-file-store.c   |  319 +++++-------
 calendar/libedata-cal/e-cal-backend-intervaltree.c |   38 +-
 calendar/libedata-cal/e-cal-backend-sexp.c         |   45 +-
 calendar/libedata-cal/e-cal-backend-store.c        |  193 +++++--
 calendar/libedata-cal/e-cal-backend-sync.c         |   51 +-
 calendar/libedata-cal/e-cal-backend.c              |   19 +-
 calendar/libedata-cal/e-data-cal-factory.c         |    4 +-
 calendar/libedata-cal/e-data-cal-view.c            |   74 ++-
 calendar/libedata-cal/e-data-cal.c                 |    6 +-
 calendar/libegdbus/e-gdbus-cal-factory.c           |   13 +-
 calendar/libegdbus/e-gdbus-cal-view.c              |   13 +-
 calendar/libegdbus/e-gdbus-cal.c                   |   21 +-
 camel/camel-certdb.c                               |   10 +-
 camel/camel-cipher-context.c                       |   17 +-
 camel/camel-data-cache.c                           |    9 +-
 camel/camel-disco-folder.c                         |    8 +-
 camel/camel-filter-driver.c                        |  357 ++++++-------
 camel/camel-filter-search.c                        |   14 +-
 camel/camel-folder-search.c                        |    7 +-
 camel/camel-folder-summary.c                       |    9 +-
 camel/camel-folder.c                               |  148 +++---
 camel/camel-folder.h                               |   40 +-
 camel/camel-gpg-context.c                          |   13 +-
 camel/camel-index.c                                |    7 +-
 camel/camel-medium.c                               |    9 +-
 camel/camel-mime-filter-basic.c                    |   14 +-
 camel/camel-mime-filter-bestenc.c                  |   16 +-
 camel/camel-mime-filter-canon.c                    |   15 +-
 camel/camel-mime-filter-charset.c                  |   30 +-
 camel/camel-mime-filter-crlf.c                     |   14 +-
 camel/camel-mime-filter-enriched.c                 |   20 +-
 camel/camel-mime-filter-from.c                     |   10 +-
 camel/camel-mime-filter-gzip.c                     |   22 +-
 camel/camel-mime-filter-html.c                     |   14 +-
 camel/camel-mime-filter-index.c                    |   28 +-
 camel/camel-mime-filter-linewrap.c                 |   14 +-
 camel/camel-mime-filter-pgp.c                      |   12 +-
 camel/camel-mime-filter-progress.c                 |   16 +-
 camel/camel-mime-filter-save.c                     |   12 +-
 camel/camel-mime-filter-tohtml.c                   |   18 +-
 camel/camel-mime-filter-windows.c                  |   16 +-
 camel/camel-mime-filter-yenc.c                     |   16 +-
 camel/camel-mime-filter.c                          |    9 +-
 camel/camel-mime-parser.c                          |    3 +-
 camel/camel-mime-part.c                            |    9 +-
 camel/camel-mime-utils.c                           |    8 +-
 camel/camel-object-bag.c                           |    8 +-
 camel/camel-object.c                               |    9 +-
 camel/camel-offline-folder.c                       |    7 +-
 camel/camel-operation.c                            |    9 +-
 camel/camel-partition-table.c                      |   26 +-
 camel/camel-sasl-cram-md5.c                        |    7 +-
 camel/camel-sasl-digest-md5.c                      |    7 +-
 camel/camel-sasl-gssapi.c                          |    9 +-
 camel/camel-sasl-login.c                           |    9 +-
 camel/camel-sasl-ntlm.c                            |    7 +-
 camel/camel-sasl-plain.c                           |    7 +-
 camel/camel-sasl-popb4smtp.c                       |    7 +-
 camel/camel-sasl.c                                 |    4 +
 camel/camel-search-private.c                       |    2 +-
 camel/camel-service.c                              |    4 +
 camel/camel-session.c                              |   12 +-
 camel/camel-sexp.c                                 |    1 -
 camel/camel-smime-context.c                        |    8 +-
 camel/camel-store-summary.c                        |    7 +-
 camel/camel-stream-buffer.c                        |   25 +-
 camel/camel-stream-filter.c                        |   32 +-
 camel/camel-stream-fs.c                            |   23 +-
 camel/camel-stream-mem.c                           |   21 +-
 camel/camel-tcp-stream-raw.c                       |   12 +-
 camel/camel-tcp-stream-ssl.c                       |   11 +-
 camel/camel-tcp-stream.c                           |    8 +-
 camel/camel-text-index.c                           |   87 ++--
 camel/camel-transport.c                            |    9 +-
 camel/camel-vee-folder.c                           |   35 +-
 camel/providers/imap/camel-imap-command.c          |    6 +-
 camel/providers/imap/camel-imap-folder.c           |    9 +-
 camel/providers/imap/camel-imap-private.h          |    6 +-
 camel/providers/imap/camel-imap-wrapper.c          |   14 +-
 camel/providers/imapx/camel-imapx-folder.c         |   30 +-
 camel/providers/imapx/camel-imapx-provider.c       |    2 +-
 camel/providers/imapx/camel-imapx-server.c         |   55 +-
 camel/providers/imapx/camel-imapx-server.h         |    8 +-
 camel/providers/imapx/camel-imapx-store.c          |    2 +-
 camel/providers/imapx/camel-imapx-utils.c          |    4 +-
 camel/providers/local/camel-local-folder.c         |    8 +-
 camel/providers/local/camel-local-private.h        |    6 +-
 camel/providers/local/camel-maildir-store.c        |    2 +-
 camel/providers/local/camel-maildir-summary.c      |   11 +-
 camel/providers/local/camel-mbox-store.c           |    4 +-
 camel/providers/local/camel-mh-summary.c           |    7 +-
 camel/providers/nntp/camel-nntp-folder.c           |   21 +-
 camel/providers/nntp/camel-nntp-private.h          |   15 +-
 camel/providers/nntp/camel-nntp-store.c            |    2 +-
 camel/providers/nntp/camel-nntp-summary.c          |   10 +-
 camel/providers/pop3/camel-pop3-folder.c           |  118 ++---
 camel/providers/pop3/camel-pop3-folder.h           |    6 +-
 camel/providers/pop3/camel-pop3-provider.c         |    2 +-
 camel/providers/pop3/camel-pop3-settings.c         |   10 +-
 camel/providers/pop3/camel-pop3-settings.h         |    6 +-
 libebackend/e-dbus-server.c                        |    2 +-
 libebackend/e-extension.c                          |    9 +-
 libebackend/e-file-cache.c                         |   36 +-
 libebackend/e-module.c                             |   13 +-
 libebackend/e-offline-listener.c                   |   42 +-
 libedataserver/e-account-list.c                    |   66 +--
 libedataserver/e-categories.c                      |    4 +-
 libedataserver/e-client.c                          |  239 +++++----
 libedataserver/e-iterator.c                        |   15 +-
 libedataserver/e-list-iterator.c                   |    7 +-
 libedataserver/e-list.c                            |   39 +-
 libedataserver/e-proxy.c                           |   11 +-
 libedataserver/e-sexp.c                            |   12 +-
 libedataserver/e-source-group.c                    |  104 ++--
 libedataserver/e-source-list.c                     |   98 ++--
 libedataserver/e-source.c                          |   65 ++-
 libedataserverui/e-categories-dialog.c             |    7 +-
 libedataserverui/e-categories-editor.c             |    9 +-
 libedataserverui/e-categories-selector.c           |   18 +-
 libedataserverui/e-category-completion.c           |   33 +-
 libedataserverui/e-category-editor.c               |    9 +-
 libedataserverui/e-cell-renderer-color.c           |   28 +-
 libedataserverui/e-contact-store.c                 |   11 +-
 libedataserverui/e-destination-store.c             |   14 +-
 libedataserverui/e-name-selector-dialog.c          |   15 +-
 libedataserverui/e-name-selector-entry.c           |   21 +-
 libedataserverui/e-name-selector-list.c            |    7 +-
 libedataserverui/e-name-selector-model.c           |   12 +-
 libedataserverui/e-name-selector.c                 |   17 +-
 libedataserverui/e-source-combo-box.c              |   15 +-
 libedataserverui/e-source-selector-dialog.c        |   48 +-
 libedataserverui/e-source-selector.c               |   33 +-
 libedataserverui/e-tree-model-generator.c          |    9 +-
 tests/libebook/test-vcard-parsing.c                |    4 +-
 tests/libecal/client/test-client-get-revision.c    |    5 +-
 tests/libecal/test-ecal.c                          |    2 +-
 177 files changed, 3052 insertions(+), 2861 deletions(-)

commit 7691e04a50b22d13717ab65b0a16ed6a08fc7367
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Feb 20 09:18:51 2012 -0500

    Add untracked ".valid" files to CLEANFILES.

 libebackend/Makefile.am    |    2 ++
 libedataserver/Makefile.am |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 6e0940ba7f3d0acc06f0551177d659cc87738391
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Feb 20 09:16:42 2012 -0500

    Update API documentation.

 .../libedata-book/libedata-book-sections.txt       |    3 +++
 .../calendar/libecal/libecal-sections.txt          |    1 +
 .../libedata-cal/libedata-cal-sections.txt         |    3 +--
 docs/reference/camel/camel-sections.txt            |    7 +++++++
 .../libedataserver/libedataserver-sections.txt     |    2 ++
 5 files changed, 14 insertions(+), 2 deletions(-)

commit e3f76ff6134c993e0d13fed0450b4936ae4a733c
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Feb 20 15:56:02 2012 +0530

    post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5c0f8b5b7d8c5439844667e71103d562c77f6cd3
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Feb 20 15:17:53 2012 +0530

    News update for 3.3.90 release

 NEWS |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit ca2e69b9ffdfe2f06caaf59d41f0442bdc3c9b4b
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Feb 20 10:49:30 2012 +0100

    Updated Serbian translation

 po/sr.po       |  475 +++++++++++++++++++++++++++++++++++---------------------
 po/sr@latin.po |  475 +++++++++++++++++++++++++++++++++++---------------------
 2 files changed, 594 insertions(+), 356 deletions(-)

commit d579bdedf08a2bc8193c664a647be906b88662b5
Author: Krasimir Chonov <mk2616@abv.bg>
Date:   Mon Feb 20 07:21:59 2012 +0200

    Updated Bulgarian translation

 po/bg.po | 2431 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1336 insertions(+), 1095 deletions(-)

commit 74747ad103d8ccf438668180db54a2735873327c
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Feb 19 23:18:14 2012 +0100

    Updated Galician translations

 po/gl.po |  640 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 377 insertions(+), 263 deletions(-)

commit 3c7ea03879e5232e20921a1151fc8a2e68f22773
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Feb 19 21:11:59 2012 +0100

    Updated Swedish translation

 po/sv.po | 2430 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1401 insertions(+), 1029 deletions(-)

commit 818ca7ac8a833744efc779e441248814149cd626
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Feb 19 15:14:03 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  633 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 377 insertions(+), 256 deletions(-)

commit 9cda00a9f24e060f4c1975756f7afff564812c43
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Feb 19 00:18:11 2012 +0200

    Updated Lithuanian translation

 po/lt.po | 3160 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1708 insertions(+), 1452 deletions(-)

commit 75dc3b8403edf0f44cdc27b970a01fa9a3955154
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Feb 17 17:16:52 2012 +0100

    Updated Spanish translation

 po/es.po |  139 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 123 insertions(+), 16 deletions(-)

commit 73c56a66208781b2bec3f05add39163ee7498f80
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Feb 17 16:26:45 2012 +0100

    Use GSettings for EProxy

 libedataserver/Makefile.am                         |   19 ++-
 libedataserver/e-proxy.c                           |  204 ++++++--------------
 libedataserver/libedataserver.convert              |   14 ++
 ...e.evolution.shell.network-config.gschema.xml.in |   69 +++++++
 po/POTFILES.in                                     |    1 +
 5 files changed, 163 insertions(+), 144 deletions(-)

commit 3136d3dbea8cbf2403cc094183f7e7cad5f53b9a
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Feb 16 19:23:39 2012 +0100

    Bug #662920 - Creates MH folders, but needs restart to update folder list

 camel/providers/local/camel-local-store.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b14d6650dce3f1984ee6e4ca353525c41fa6d559
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Feb 16 17:28:24 2012 +0100

    Updated Spanish translation

 po/es.po |  352 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 178 insertions(+), 174 deletions(-)

commit 54c762ed100c03cef892ffa54af9334829ab838c
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Feb 16 10:27:22 2012 +0100

    Bug #658348 - Harmonize wording for "Check new messages in INBOX"

 camel/providers/local/camel-local-provider.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 967bb4dd29bb2dc86882ea4f7fac759945e318ae
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Feb 16 10:23:06 2012 +0100

    Bug #658347 - Harmonize mnemonic for "Check new messages for Junk contents"

 camel/providers/imap/camel-imap-provider.c   |    2 +-
 camel/providers/imapx/camel-imapx-provider.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 24eb8d26398511a623846dd95c71969a181c7277
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Feb 15 19:34:56 2012 +0100

    Bug #637200 - Add mnemonics to Folder Properties dialog checkboxes

 camel/camel-disco-folder.c                 |    2 +-
 camel/camel-offline-folder.c               |    2 +-
 camel/providers/imap/camel-imap-folder.c   |    4 ++--
 camel/providers/imapx/camel-imapx-folder.c |    2 +-
 camel/providers/local/camel-local-folder.c |    2 +-
 camel/providers/nntp/camel-nntp-folder.c   |    2 +-
 6 files changed, 7 insertions(+), 7 deletions(-)

commit be9f61c3fd6b5ddb40f98f39bb886de4d2a8c9c7
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 14 13:10:34 2012 +0100

    Revert one change from the previous commit, it emitted incorrect warnings

 camel/camel-session.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b9ad01ba73afb402f194c2f66a90432e47003091
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 14 10:32:05 2012 +0100

    Fix issues found by Coverity Scan

 addressbook/backends/ldap/e-book-backend-ldap.c    |   15 +++--
 addressbook/libebook/e-book-query.c                |   13 +++-
 addressbook/libebook/e-contact.c                   |   17 +++---
 addressbook/libebook/e-vcard.c                     |    4 +-
 .../libedata-book/e-book-backend-db-cache.c        |    4 +-
 .../libedata-book/e-book-backend-sqlitedb-test.c   |    7 +-
 .../libedata-book/e-book-backend-sqlitedb.c        |    4 +-
 addressbook/libedata-book/e-book-backend-summary.c |    3 +-
 calendar/backends/caldav/e-cal-backend-caldav.c    |    8 +-
 .../backends/contacts/e-cal-backend-contacts.c     |    9 ++-
 calendar/backends/file/e-cal-backend-file.c        |   20 +++---
 calendar/backends/http/e-cal-backend-http.c        |    2 -
 calendar/backends/weather/e-cal-backend-weather.c  |    5 +-
 calendar/libecal/e-cal-client.c                    |    2 +-
 calendar/libecal/e-cal.c                           |    4 +-
 calendar/libedata-cal/e-cal-backend-sexp.c         |    1 -
 camel/camel-certdb.c                               |    8 +++
 camel/camel-filter-driver.c                        |    5 +-
 camel/camel-folder-summary.c                       |   18 +++---
 camel/camel-folder.c                               |   10 +--
 camel/camel-gpg-context.c                          |    2 +-
 camel/camel-mime-part-utils.c                      |    2 -
 camel/camel-mime-utils.c                           |    2 +-
 camel/camel-object-bag.c                           |    2 +-
 camel/camel-provider.c                             |    3 +-
 camel/camel-search-private.c                       |    5 +-
 camel/camel-search-sql-sexp.c                      |    5 +-
 camel/camel-search-sql.c                           |   22 ++++++--
 camel/camel-session.c                              |    5 +-
 camel/camel-store-summary.c                        |   22 ++++---
 camel/camel-store.c                                |    2 +-
 camel/camel-tcp-stream-ssl.c                       |    8 +-
 camel/camel-text-index.c                           |    2 +-
 camel/camel-vee-folder.c                           |    4 +-
 camel/providers/imap/camel-imap-folder.c           |    6 +-
 camel/providers/imap/camel-imap-search.c           |    4 +-
 camel/providers/imap/camel-imap-store.c            |    2 +-
 camel/providers/imap/camel-imap-utils.c            |    4 +-
 camel/providers/imapx/camel-imapx-server.c         |   59 ++++++++++----------
 camel/providers/imapx/camel-imapx-store-summary.c  |    2 +-
 camel/providers/imapx/camel-imapx-utils.c          |   10 +--
 camel/providers/local/camel-maildir-folder.c       |    6 +-
 camel/providers/local/camel-mbox-summary.c         |    9 +--
 camel/providers/local/camel-mh-folder.c            |    8 +-
 camel/providers/local/camel-mh-summary.c           |    2 -
 camel/providers/local/camel-spool-store.c          |    4 +-
 camel/providers/nntp/camel-nntp-store-summary.c    |    4 +-
 camel/providers/nntp/camel-nntp-store.c            |   19 ++++--
 camel/providers/nntp/camel-nntp-stream.c           |   14 +++++
 camel/providers/pop3/camel-pop3-engine.c           |    1 +
 camel/providers/pop3/camel-pop3-folder.c           |    2 +-
 camel/providers/pop3/camel-pop3-store.c            |   13 ++---
 .../providers/sendmail/camel-sendmail-transport.c  |    8 ++-
 libedataserver/e-gdbus-templates.c                 |    4 +-
 libedataserver/e-proxy.c                           |    5 +-
 libedataserverui/e-name-selector-entry.c           |    2 +-
 libedataserverui/e-source-combo-box.c              |   10 ++--
 libedataserverui/e-tree-model-generator.c          |   12 +++-
 tests/libebook/client/client-test-utils.c          |    6 +-
 tests/libebook/client/test-client-photo-is-uri.c   |    6 +-
 .../client/test-client-suppress-notifications.c    |    2 +-
 tests/libebook/ebook-test-utils.c                  |   56 +++++++++----------
 tests/libebook/test-categories.c                   |    2 -
 tests/libebook/vcard/dump-vcard.c                  |    4 +
 tests/libecal/ecal-test-utils.c                    |    4 +-
 tests/libecal/test-ecal.c                          |    5 +-
 tests/libedataserverui/test-contact-store.c        |    2 +-
 67 files changed, 298 insertions(+), 244 deletions(-)

commit 016807ef1344581f0a39579eb3561367f684652e
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Tue Feb 14 10:37:50 2012 +0400

    Updated Russian translation

 po/ru.po | 3071 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1664 insertions(+), 1407 deletions(-)

commit 86cf89ba60e9eb86aa5f83316b8998bb20b07466
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Feb 12 16:43:45 2012 +0100

    Updated Serbian translation

 po/sr.po       |  143 +++++++++++++++++++-------------------------------------
 po/sr@latin.po |  143 +++++++++++++++++++-------------------------------------
 2 files changed, 98 insertions(+), 188 deletions(-)

commit 7d542cac28528079ba69fd38fac785b9f0d94ace
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sat Feb 11 23:03:55 2012 +0300

    Updated Belarusian translation.

 po/be.po |  493 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 302 insertions(+), 191 deletions(-)

commit fc9945c90bd0cd595d39cc7bcc10a5b26d69c545
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Feb 11 10:51:29 2012 +0100

    Updated Serbian translation

 po/sr.po       | 2546 +++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po | 2546 +++++++++++++++++++++++++++++++-------------------------
 2 files changed, 2802 insertions(+), 2290 deletions(-)

commit 141013c67661f14698b30ee7aee0ca947520cb1e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Feb 10 14:57:03 2012 +0100

    Updated Spanish translation

 po/es.po |   93 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 47 insertions(+), 46 deletions(-)

commit 6f86d4879af598adf6d59f224b9885be8bc7c924
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Feb 9 17:36:43 2012 +0100

    Bug #669341 - Plural forms in imapx

 camel/providers/imapx/camel-imapx-server.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 68a6777fa20d736a6dfef2c4a5e25c00cdf81db4
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Feb 8 09:24:02 2012 +0100

    Crash on message send, under check_header_in_message_info()

 camel/camel-filter-search.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e3da65f2d5537d8d60e4d7009f03335552f1788f
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 7 18:41:12 2012 +0100

    Bug #391472 - Add ability to match headers by words

 camel/camel-filter-search.c   |   11 +++++++
 camel/camel-folder-search.c   |   12 +++++++-
 camel/camel-search-private.c  |   61 +++++++++++++++++++++++++++++++++++++++++
 camel/camel-search-private.h  |    1 +
 camel/camel-search-sql-sexp.c |   14 +++++++++-
 5 files changed, 97 insertions(+), 2 deletions(-)

commit c0fd5eecc0ea65212726aa34959939c56d929682
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 7 17:57:52 2012 +0100

    Updated Spanish translation

 po/es.po |  180 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 97 insertions(+), 83 deletions(-)

commit 507375e6b74e8817525a7f2692256982a81fba79
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Feb 7 09:28:56 2012 -0600

    Bug 669847 - Fix up online notification (part 2)
    
    Use GNetworkMonitor (in GLib 2.31) for offline detection if available.

 libebackend/e-data-factory.c |   41 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 41 insertions(+), 0 deletions(-)

commit 9604329b68d2029b7e39a2d609480bd072e0ce84
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Feb 7 09:21:01 2012 -0600

    Bug 669487 - Fix up online notification (part 1)
    
    Make E-D-S listen to the "start-offline" GSettings key (not GConf),
    since Evolution no longer sets the GConf key.
    
    Unfortunately we can't rely on the schema from Evolution, so we install
    our own minimal schema that refers to the same DConf path as the
    Evolution one.  This allows us to share state with no dependency issues.
    
    This is a temporary solution for 3.4 only, to be removed in 3.5.

 configure.ac                                       |    2 +
 libebackend/Makefile.am                            |    6 ++
 libebackend/e-data-factory.c                       |   57 ++++++--------------
 .../org.gnome.evolution.eds-shell.gschema.xml      |   14 +++++
 4 files changed, 39 insertions(+), 40 deletions(-)

commit fa5668b3193c55220c192c620a7d2c227664a146
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 7 15:15:35 2012 +0100

    Bug #535978 - Filtering on IMAP accounts causes message to be downloaded

 camel/camel-filter-search.c |   58 ++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 57 insertions(+), 1 deletions(-)

commit 50482960be6ff898c853d69928e1f84719f0c376
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 7 14:35:17 2012 +0100

    Bug #553796 - Unable to Reset Message Color

 camel/camel-filter-driver.c |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit 400596f76180e9b641889d93121b8855d020cce8
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 7 13:46:09 2012 +0100

    Bug #485283 - Filter is not working for mix letter case

 camel/camel-search-private.c |   23 -----------------------
 1 files changed, 0 insertions(+), 23 deletions(-)

commit 88b7d1fb53aafb66d19625553dfbc1678dc9239c
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 7 12:55:59 2012 +0100

    Bug #309945 - Ability to filter folders other than INBOX too

 camel/camel-object.c                         |    2 +
 camel/providers/imap/camel-imap-folder.c     |  103 ++++++++++++++++++--------
 camel/providers/imap/camel-imap-private.h    |    1 +
 camel/providers/imap/camel-imap-provider.c   |    4 +-
 camel/providers/imap/camel-imap-settings.c   |   65 ++++++++++++++++
 camel/providers/imap/camel-imap-settings.h   |    5 +
 camel/providers/imapx/camel-imapx-folder.c   |   91 ++++++++++++++++++++++-
 camel/providers/imapx/camel-imapx-folder.h   |    2 +
 camel/providers/imapx/camel-imapx-provider.c |    4 +-
 camel/providers/imapx/camel-imapx-settings.c |   65 ++++++++++++++++
 camel/providers/imapx/camel-imapx-settings.h |    5 +
 camel/providers/nntp/camel-nntp-folder.c     |   99 +++++++++++++++++++++++-
 camel/providers/nntp/camel-nntp-private.h    |    2 +
 camel/providers/nntp/camel-nntp-provider.c   |    4 +
 camel/providers/nntp/camel-nntp-settings.c   |   65 ++++++++++++++++
 camel/providers/nntp/camel-nntp-settings.h   |    5 +
 camel/providers/nntp/camel-nntp-summary.c    |   10 +++
 17 files changed, 491 insertions(+), 41 deletions(-)

commit 2f15ad566642e2067bb3027309d94884bcb6c073
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Feb 7 12:26:52 2012 +0100

    Fix google contacts going online after being offline
    
    The google contacts backend has another error similar to bug 658911,
    if it goes offline and then goes online it does request_auth(), but in
    the case of existing GOA authentication that will never recieve the
    authentication callback, so we never go !readonly.
    
    This patch fixes that, and also fixes an issue in the fix in
    bug 658911, where if its offline at startup it should not claim to be
    !readonly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669557

 .../backends/google/e-book-backend-google.c        |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit ba5ccd799c7cb34c6044ccf1d5bf88b12e1f303f
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Feb 7 11:04:14 2012 +0100

    Bug #669545 - Crash invoking filters in IMAP folder

 camel/camel-filter-driver.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 6814aa1e7aff7bc5203d62f7adedea231c1a4bac
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Feb 5 22:50:48 2012 +0100

    Updated Galician translations

 po/gl.po |  332 +++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 212 insertions(+), 120 deletions(-)

commit 9a581ad73bfedd242495be72065c88c5081ebac4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Feb 5 11:55:28 2012 -0500

    Fix version bump, next is 3.3.90.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e7494f7c4c84e416b6d41c6a9e20ce9a1a930aeb
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Feb 5 10:53:30 2012 -0500

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ec020113d51ee66aec543e104fedd80ba2df76ec
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Feb 5 10:47:01 2012 -0500

    NEWS update for 3.3.5 release.

 NEWS |   40 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

commit a9a45e9a213cc5c99c3c0cdb7dc452d180b5306d
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Fri Feb 3 16:43:48 2012 +0530

    Fix a typo where instead of saving the cache, uid is saved.

 camel/camel-filter-driver.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 9a364f1a1867ef4040923e607875736942f7411e
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Fri Feb 3 16:11:39 2012 +0530

    Add a few missing return. On first time startup, latest id wont be
    there. Handle the case to avoid a crash. Fixes bug #669293

 camel/providers/pop3/camel-pop3-folder.c   |   10 ++++++++--
 camel/providers/pop3/camel-pop3-settings.c |    5 ++++-
 2 files changed, 12 insertions(+), 3 deletions(-)

commit cda29cfa86a163b429d271bfc009e7bc6e9b2665
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Feb 3 10:27:17 2012 +0100

    Updated Spanish translation

 po/es.po |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit b341abf80972d510027d595fc79a7bff1de97c47
Author: Punit Jain <jpunit@novell.com>
Date:   Fri Feb 3 12:32:56 2012 +0530

    Bug #669238 Warning while creating appointments/meetings

 calendar/libedata-cal/e-cal-backend-file-store.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 56ed26705135165b9c88cb292af9f79121d310c7
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Feb 2 21:00:09 2012 +0100

    Updated Slovenian translation

 po/sl.po |  274 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 146 insertions(+), 128 deletions(-)

commit 9a2bd70f0dbcefbd9aa4b6d66f65a388bcbee49b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Feb 2 13:01:19 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  261 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 139 insertions(+), 122 deletions(-)

commit e3010013823d16d72d2e4365dd559417b4ad7cc3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Feb 2 13:00:23 2012 +0100

    Fix typo in localized string

 .../libedata-book/e-book-backend-sqlitedb.c        |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 618b7e215c45c4a26d883e84d9b2930cb3273822
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Feb 2 12:23:24 2012 +0100

    Updated Spanish translation

 po/es.po |  227 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 120 insertions(+), 107 deletions(-)

commit 3a8ed437a3547803f1453f73dbf22911b8ae0051
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Feb 2 16:30:00 2012 +0530

    Add some doc to the API.

 camel/camel-folder.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 0ac47eef710fab998e32120d940319bbe83a4803
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Feb 2 16:23:40 2012 +0530

    Fix a few compilation errors on merge.

 camel/providers/imapx/camel-imapx-server.c |   44 ++++++++++++++++------------
 camel/providers/imapx/camel-imapx-server.h |    1 -
 2 files changed, 25 insertions(+), 20 deletions(-)

commit 250eef56844caef69da62d1a15e3fa49d53608fc
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jan 26 18:39:43 2012 +0530

    Fix a crash while fetching old messages.

 camel/providers/imapx/camel-imapx-server.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d3be0fb2f2452a39c1a40c6e43fb8cd24d5cdf90
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jan 26 11:27:50 2012 +0530

    Fix a bug where mobile mode downloads all mails.

 camel/providers/imapx/camel-imapx-server.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 3652f47c43d617843dd1cddc20d13767972a4627
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jan 12 19:56:32 2012 +0530

    Add mobile support to POP and fix a bug where uids are duplicated.

 camel/providers/pop3/camel-pop3-folder.c |  263 +++++++++++++++++++++++++++++-
 camel/providers/pop3/camel-pop3-folder.h |    7 +
 2 files changed, 266 insertions(+), 4 deletions(-)

commit 1632891182886c066866811bdb5bc82ba68f9554
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jan 12 19:55:29 2012 +0530

    Some disk I/O optimization.

 camel/camel-filter-driver.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 1052fd8119e4cd3d45708c44466a5be799773cb3
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jan 12 19:51:34 2012 +0530

    Make Local store work if GetFolderInfo is asked for a specific subtree.

 camel/providers/local/camel-mbox-store.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 098281aab7b384ccef8e25e07a8827bb14627123
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jan 12 15:47:22 2012 +0530

    Decided return type based on the fetch type.

 camel/providers/imapx/camel-imapx-server.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 0fc196b156d208c8c994e7b353f3b34e2bbd0dc8
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jan 12 14:31:22 2012 +0530

    Add mobile mode settings to POP3.

 camel/providers/pop3/camel-pop3-provider.c |    3 +-
 camel/providers/pop3/camel-pop3-settings.c |  133 +++++++++++++++++++++++++++-
 camel/providers/pop3/camel-pop3-settings.h |   10 ++
 3 files changed, 142 insertions(+), 4 deletions(-)

commit 41f03db120e9f1eb90d871de15390ea227c64343
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Jan 12 14:08:44 2012 +0530

    Added Mobile support and specific apis to imapx.

 camel/providers/imapx/camel-imapx-command.c       |    2 +-
 camel/providers/imapx/camel-imapx-folder.c        |   49 ++++
 camel/providers/imapx/camel-imapx-server.c        |  296 +++++++++++++++++++-
 camel/providers/imapx/camel-imapx-server.h        |    7 +
 camel/providers/imapx/camel-imapx-store-summary.c |    2 +-
 camel/providers/imapx/camel-imapx-store.c         |   15 +-
 camel/providers/imapx/camel-imapx-utils.c         |   14 +-
 7 files changed, 366 insertions(+), 19 deletions(-)

commit 995c445d127b97afd20e2967a011bfbe61bc4a8a
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Tue Jan 10 16:51:30 2012 +0530

    Add flags to the Provider and code for mobile mode in settings.

 camel/providers/imapx/camel-imapx-provider.c |    5 ++-
 camel/providers/imapx/camel-imapx-settings.c |   65 ++++++++++++++++++++++++++
 camel/providers/imapx/camel-imapx-settings.h |    5 ++
 3 files changed, 74 insertions(+), 1 deletions(-)

commit 27911712922569a7035f087ef08d75f54936024f
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Tue Jan 10 16:37:26 2012 +0530

    Add sync+async apis for Fetch Messages and Purge Message Cache.

 camel/camel-enums.h  |   12 ++-
 camel/camel-folder.c |  367 ++++++++++++++++++++++++++++++++++++++++++++++++++
 camel/camel-folder.h |   81 +++++++++++-
 3 files changed, 458 insertions(+), 2 deletions(-)

commit 79354bd5f639c3ad0c1baf5d0dae7d9076d6b132
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Mon Jan 9 12:55:14 2012 +0530

    Add auto_fetch param to avoid autofetching next mails. In Daemon we
    download in reverse order and this havocs network usage.

 camel/providers/pop3/camel-pop3-folder.c   |   14 ++++++-
 camel/providers/pop3/camel-pop3-settings.c |   64 +++++++++++++++++++++++++++-
 camel/providers/pop3/camel-pop3-settings.h |    5 ++
 3 files changed, 81 insertions(+), 2 deletions(-)

commit 87c4c85dd24ad9ccec973000c66bad2feaf37c39
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Feb 1 12:51:30 2012 -0500

    IMAPX: #include <camel/camel.h> -- not <camel.h>

 camel/providers/imapx/camel-imapx-command.h |    2 +-
 camel/providers/imapx/camel-imapx-job.h     |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4efc9befa6ddff1dc02d4d9dfef432ef07cfe66d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Feb 1 12:45:48 2012 -0500

    Add wrapper functions for CamelIMAPXCommand queues.
    
    These simple GQueue wrapper functions help make sure CamelIMAPXCommands
    are properly reference counted.  Easier than trying to identify all the
    places in CamelIMAPXServer where reference counting is lacking.

 camel/providers/imapx/camel-imapx-command.c  |  130 ++++++++++++++++++++++++++
 camel/providers/imapx/camel-imapx-command.h  |   42 ++++++++-
 camel/providers/imapx/camel-imapx-provider.c |    2 -
 camel/providers/imapx/camel-imapx-server.c   |   91 ++++++++++--------
 camel/providers/imapx/camel-imapx-server.h   |    7 +-
 5 files changed, 222 insertions(+), 50 deletions(-)

commit 66c2c5c1fc045d0c2b81554f91f95ac0edb30d18
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Feb 1 14:38:46 2012 +0100

    Fix few memory leaks

 calendar/backends/caldav/e-cal-backend-caldav.c |    6 ++++--
 calendar/backends/http/e-cal-backend-http.c     |    6 ++++--
 libedataserver/e-proxy.c                        |    9 ++++++++-
 3 files changed, 16 insertions(+), 5 deletions(-)

commit a97a7aff3ea212f7046a929942a6c884d4e1cfe7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 31 16:45:35 2012 -0500

    CamelIMAPXJob: Split out "folder_name" data.
    
    Define standalone CreateFolderData and DeleteFolderData structs and
    "free" functions.
    
    Use camel_imapx_job_set_data() to attach an allocated struct to a
    CamelIMAPXJob such that it will be freed along with the job.
    
    Use camel_imapx_job_get_data() to obtain a pointer to the allocated
    struct as needed, always with a NULL check for safety.

 camel/providers/imapx/camel-imapx-job.h    |    4 --
 camel/providers/imapx/camel-imapx-server.c |   54 +++++++++++++++++++++++++--
 2 files changed, 50 insertions(+), 8 deletions(-)

commit 58a65ca8d81222f3ac8d855e71a3b0f42bb590f8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 31 16:38:48 2012 -0500

    CamelIMAPXJob: Split out "rename_folder" data.
    
    Define a standalone RenameFolderData struct and "free" function.
    
    Use camel_imapx_job_set_data() to attach an allocated struct to a
    CamelIMAPXJob such that it will be freed along with the job.
    
    Use camel_imapx_job_get_data() to obtain a pointer to the allocated
    struct as needed, always with a NULL check for safety.

 camel/providers/imapx/camel-imapx-job.h    |    5 ----
 camel/providers/imapx/camel-imapx-server.c |   33 ++++++++++++++++++++++++---
 2 files changed, 29 insertions(+), 9 deletions(-)

commit c570e131793eaf4adb4eaaec439e26baf016f0d4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 31 16:32:42 2012 -0500

    CamelIMAPXJob: Split out "manage_subscriptions" data.
    
    Define a standalone ManageSubscriptionsData struct and "free" function.
    
    Use camel_imapx_job_set_data() to attach an allocated struct to a
    CamelIMAPXJob such that it will be freed along with the job.
    
    Use camel_imapx_job_get_data() to obtain a pointer to the allocated
    struct as needed, always with a NULL check for safety.

 camel/providers/imapx/camel-imapx-job.h    |    5 ----
 camel/providers/imapx/camel-imapx-server.c |   32 ++++++++++++++++++++++++---
 2 files changed, 28 insertions(+), 9 deletions(-)

commit 54bee90a1898a5ce9de4d663f115795597a9364d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 31 16:17:31 2012 -0500

    CamelIMAPXJob: Split out "list" data.
    
    Define a standalone ListData struct and "free" function.
    
    Use camel_imapx_job_set_data() to attach an allocated struct to a
    CamelIMAPXJob such that it will be freed along with the job.
    
    Use camel_imapx_job_get_data() to obtain a pointer to the allocated
    struct as needed, always with a NULL check for safety.

 camel/providers/imapx/camel-imapx-job.h    |    7 ---
 camel/providers/imapx/camel-imapx-server.c |   66 ++++++++++++++++++++-------
 2 files changed, 49 insertions(+), 24 deletions(-)

commit e0b27ce6a9e636a5975ecc60b6a26c6b99b85452
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 31 15:58:37 2012 -0500

    CamelIMAPXJob: Split out "copy_messages" data.
    
    Define a standalone CopyMessagesData struct and "free" function.
    
    Use camel_imapx_job_set_data() to attach an allocated struct to a
    CamelIMAPXJob such that it will be freed along with the job.
    
    Use camel_imapx_job_get_data() to obtain a pointer to the allocated
    struct as needed, always with a NULL check for safety.

 camel/providers/imapx/camel-imapx-job.h    |    8 ---
 camel/providers/imapx/camel-imapx-server.c |   92 +++++++++++++++++++++-------
 2 files changed, 70 insertions(+), 30 deletions(-)

commit 2f8024b000e424d02dc711665112eef8b6664834
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 31 15:39:20 2012 -0500

    CamelIMAPXJob: Split out "append_message" data.
    
    Define a standalone AppendMessageData struct and "free" function.
    
    Use camel_imapx_job_set_data() to attach an allocated struct to a
    CamelIMAPXJob such that it will be freed along with the job.
    
    Use camel_imapx_job_get_data() to obtain a pointer to the allocated
    struct as needed, always with a NULL check for safety.

 camel/providers/imapx/camel-imapx-job.h    |    4 --
 camel/providers/imapx/camel-imapx-server.c |   56 +++++++++++++++++++++-------
 2 files changed, 42 insertions(+), 18 deletions(-)

commit 11b59f9865b7af061dbb6c455390ddd6eeb88920
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 31 14:54:07 2012 -0500

    CamelIMAPXJob: Split out "sync_changes" data.
    
    Define a standalone SyncChangesData struct and "free" function.
    
    Use camel_imapx_job_set_data() to attach an allocated struct to a
    CamelIMAPXJob such that it will be freed along with the job.
    
    Use camel_imapx_job_get_data() to obtain a pointer to the allocated
    struct as needed, always with a NULL check for safety.

 camel/providers/imapx/camel-imapx-job.h    |    8 ---
 camel/providers/imapx/camel-imapx-server.c |   89 +++++++++++++++++++++-------
 2 files changed, 67 insertions(+), 30 deletions(-)

commit 3de77a429fecc28d3c9a41bc013c1d2f543e2460
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 31 14:23:40 2012 -0500

    CamelIMAPXJob: Split out "refresh_info" data.
    
    Define a standalone RefreshInfoData struct and "free" function.
    
    Use camel_imapx_job_set_data() to attach an allocated struct to a
    CamelIMAPXJob such that it will be freed along with the job.
    
    Use camel_imapx_job_get_data() to obtain a pointer to the allocated
    struct as needed, always with a NULL check for safety.

 camel/providers/imapx/camel-imapx-job.h    |   11 --
 camel/providers/imapx/camel-imapx-server.c |  205 ++++++++++++++++++----------
 2 files changed, 134 insertions(+), 82 deletions(-)

commit 2d8dc001c21338d9d28cbc6b2faccb114e744a55
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 31 13:29:51 2012 -0500

    CamelIMAPXJob: Split out "get_message" data.
    
    Define a standalone GetMessageData struct and "free" function.
    
    Use camel_imapx_job_set_data() to attach an allocated struct to a
    CamelIMAPXJob such that it will be freed along with the job.
    
    Use camel_imapx_job_get_data() to obtain a pointer to the allocated
    struct as needed, always with a NULL check for safety.

 camel/providers/imapx/camel-imapx-job.h    |   12 ---
 camel/providers/imapx/camel-imapx-server.c |  121 +++++++++++++++++++---------
 2 files changed, 83 insertions(+), 50 deletions(-)

commit d9cc31e53e32dd0ddbcfde68f6e6b4afd2bc2f0d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 30 15:33:07 2012 -0500

    CamelIMAPXJob: Add optional matches() method.
    
    Trying to avoid checking all job types in one place as is done in
    imapx_job_matches(), so CamelIMAPXJob is more extensible.
    
    camel_imapx_job_matches() is a new wrapper function that invokes the
    matches() method if present or else returns FALSE.

 camel/providers/imapx/camel-imapx-job.c    |   19 ++++++
 camel/providers/imapx/camel-imapx-job.h    |    6 ++
 camel/providers/imapx/camel-imapx-server.c |   91 +++++++++++++++++++---------
 3 files changed, 88 insertions(+), 28 deletions(-)

commit a7403539d1dc3a98ddb1df3d9046dbeac9f6da8d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 30 14:29:44 2012 -0500

    Rename imapx_job_done() to imapx_unregister_job().
    
    Obvious now that it's to be paired with imapx_register_job().

 camel/providers/imapx/camel-imapx-server.c |   68 +++++++++++++---------------
 1 files changed, 32 insertions(+), 36 deletions(-)

commit 0f7fd0446093a364e198f12e7bf8e36af5f28b76
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 30 14:26:34 2012 -0500

    CamelIMAPXJob: Add camel_imapx_job_run().

 camel/providers/imapx/camel-imapx-job.c    |   53 ++++++++++++++++++++++++
 camel/providers/imapx/camel-imapx-job.h    |    3 +
 camel/providers/imapx/camel-imapx-server.c |   60 ++-------------------------
 3 files changed, 61 insertions(+), 55 deletions(-)

commit 0dc39ca1b1fd5178ff8307ce613a7d7e25282f51
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 30 13:44:33 2012 -0500

    CamelIMAPXJob: Swap arguments for start() method.
    
    This is a CamelIMAPXJob method so list CamelIMAPXJob first.

 camel/providers/imapx/camel-imapx-job.h    |    4 +-
 camel/providers/imapx/camel-imapx-server.c |   66 ++++++++++++++--------------
 2 files changed, 35 insertions(+), 35 deletions(-)

commit 112c1b7c33462de5ea5b090339eff5bb20e3d7d7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 30 13:42:19 2012 -0500

    Split off CamelIMAPXJob to a separate file.
    
    Further splitting up camel-imapx-server.c into digestible pieces.

 camel/providers/imapx/Makefile.am          |    2 +
 camel/providers/imapx/camel-imapx-job.c    |  171 +++++++++++++++++++
 camel/providers/imapx/camel-imapx-job.h    |  133 +++++++++++++++
 camel/providers/imapx/camel-imapx-server.c |  250 +++++-----------------------
 4 files changed, 349 insertions(+), 207 deletions(-)

commit 11175ee2defbbedfb44082e38151b30a8bef9eb2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jan 31 17:48:00 2012 +0100

    Updated Spanish translation

 po/es.po |  160 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 74 insertions(+), 86 deletions(-)

commit d49b0b79a113bfc6fc9ddf431bf4a437483105db
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jan 31 15:46:46 2012 +0100

    Bug #668811 - EBookBackendSqliteDB can be asked for an unknown contact

 .../libedata-book/e-book-backend-sqlitedb.c        |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 830fa86226aa2c4fd0687aef605c93920888e3c4
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jan 30 19:25:41 2012 +0100

    Bug #669003 - CalDAV: Cannot modify calendar object (libical 0.48)

 calendar/backends/caldav/e-cal-backend-caldav.c |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 0d7c5244832a58251f4928026d81b0d70997eb3c
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jan 30 18:04:06 2012 +0100

    Bug #669005 - Partial hang with unresponsive HTML email image source

 camel/camel-http-stream.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d116cf80a9d4ed522c5acd17454ab26e8b3bd725
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jan 30 14:06:55 2012 +0100

    Bug #649141 - Return only system timezones known to libical

 calendar/libecal/e-cal-system-timezone.c |  102 ++++++++++++++++++++++-------
 1 files changed, 77 insertions(+), 25 deletions(-)

commit 628e2cd46dac8963f26a9061020fe23747ee84a3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Jan 30 19:17:35 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 2801 +++++++++++++++++++++++++++++------------------------------
 po/zh_TW.po | 2804 +++++++++++++++++++++++++++++------------------------------
 2 files changed, 2770 insertions(+), 2835 deletions(-)

commit f4f1f0c01148ebe36fa305cb573de83be0700b2b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jan 29 21:27:57 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 03ab8a648cdee3de9e0e2a2dce138e9f67e5268a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Jan 29 21:03:38 2012 +0100

    Updated Spanish translation

 po/es.po |  144 +++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 114 insertions(+), 30 deletions(-)

commit cc9e5b3606fa18a2f24342381b0b9217f497b707
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jan 29 13:03:05 2012 -0500

    Kill CamelDList (finally).
    
    Let's leave custom linked lists for school assignments, shall we?

 camel/Makefile.am                       |    2 -
 camel/camel-list-utils.c                |  186 -------------------------------
 camel/camel-list-utils.h                |   92 ---------------
 camel/camel.h                           |    1 -
 docs/reference/camel/camel-docs.sgml    |    1 -
 docs/reference/camel/camel-sections.txt |   15 ---
 6 files changed, 0 insertions(+), 297 deletions(-)

commit 3ca895499c730b4857bc2dfb35c45f46e574add5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jan 29 11:25:11 2012 -0500

    CamelIMAPXServer: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.

 camel/providers/imapx/camel-imapx-command.c |   19 +-
 camel/providers/imapx/camel-imapx-command.h |   11 +-
 camel/providers/imapx/camel-imapx-server.c  |  421 ++++++++++++++++-----------
 camel/providers/imapx/camel-imapx-server.h  |    6 +-
 4 files changed, 271 insertions(+), 186 deletions(-)

commit cc1058016937647f858dc2e8143b8e3dcca8ceca
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 18:47:55 2012 -0500

    camel-index-control.c: Remove an unnecessary #include.

 camel/camel-index-control.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 0334c4d5283f9cf0c8228c0f834b215959df13ec
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 18:34:01 2012 -0500

    CamelOfflineJournal: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.

 camel/camel-offline-journal.c             |   41 +++++++++++++++++------------
 camel/camel-offline-journal.h             |   17 +++++-------
 camel/providers/imap/camel-imap-journal.c |   26 +++++++++---------
 camel/providers/imap/camel-imap-journal.h |    2 -
 4 files changed, 44 insertions(+), 42 deletions(-)

commit 7dab252b8ce752a86f7972589cc0e911c7d32e21
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 18:18:36 2012 -0500

    CamelTextIndex: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.

 camel/camel-text-index.c |   53 ++++++++++++++++++++++++++--------------------
 1 files changed, 30 insertions(+), 23 deletions(-)

commit 2530725b371ca02692779e5648d171ed3fa30b59
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 18:07:12 2012 -0500

    CamelMsg: Remove unused 'ln' member.

 camel/camel-msgport.h |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit a8e5fee4f7e66b878c5a5df795779c8d33ce0f10
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 14:15:27 2012 -0500

    CamelBlockFile: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.

 camel/camel-block-file.c      |  205 +++++++++++++++++++++-------------------
 camel/camel-block-file.h      |    6 +-
 camel/camel-partition-table.c |   70 +++++++++------
 camel/camel-partition-table.h |    3 +-
 4 files changed, 152 insertions(+), 132 deletions(-)

commit 3ad23472036f7abcfedbd112fdbe811e4e5d84d7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 13:01:55 2012 -0500

    camel-iconv.c: Use G_LOCK_DEFINE_STATIC.

 camel/camel-iconv.c |   27 ++++++++++-----------------
 1 files changed, 10 insertions(+), 17 deletions(-)

commit 3c3c881e6a438d319102d5bd0390d8c8f20bb22a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 12:55:50 2012 -0500

    camel-iconv.c: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.

 camel/camel-iconv.c |  125 +++++++++++++-------------------------------------
 1 files changed, 33 insertions(+), 92 deletions(-)

commit 4e197ed1dae1b8cc2b84dcb89e8d4c2dc4c98781
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 12:09:07 2012 -0500

    CamelFilterDriver: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.

 camel/camel-filter-driver.c |   73 ++++++++++++++++++++++++-------------------
 1 files changed, 41 insertions(+), 32 deletions(-)

commit d37799c1918a7fb8c535492cad08511313349eae
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 11:34:24 2012 -0500

    CamelCipherValidity: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.
    
    This increments libcamel's soname.

 camel/camel-cipher-context.c |   66 ++++++++++++++++++++++++++----------------
 camel/camel-cipher-context.h |   13 ++------
 configure.ac                 |    2 +-
 3 files changed, 46 insertions(+), 35 deletions(-)

commit a8bd1d3cc7fd05bfa21462d58a76aee37bd0b4f5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 11:11:03 2012 -0500

    CamelImapSearch: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.

 camel/providers/imap/camel-imap-search.c |   13 +++++--------
 camel/providers/imap/camel-imap-search.h |    2 +-
 2 files changed, 6 insertions(+), 9 deletions(-)

commit 2385aa0d94ad6891d976caf3b2af7ec3eec5614b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 11:03:58 2012 -0500

    CamelMaildirStore: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.

 camel/providers/local/camel-maildir-store.c |   13 +++++--------
 1 files changed, 5 insertions(+), 8 deletions(-)

commit ffe60100134e60a862168c01284d2d5b5c90ed80
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 28 10:57:32 2012 -0500

    CamelPOP3Engine: Use GQueues instead of CamelDLists.
    
    GQueue has a more intuitive API.

 camel/providers/pop3/camel-pop3-engine.c |   68 +++++++++++++++--------------
 camel/providers/pop3/camel-pop3-engine.h |   11 ++---
 2 files changed, 39 insertions(+), 40 deletions(-)

commit ddc80c850aa47c0215d4971431ba6fb7e9365c25
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jan 28 21:04:22 2012 +0100

    Updated Slovenian translation

 po/sl.po |  130 +++++++++++++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 99 insertions(+), 31 deletions(-)

commit d2e7a4e7f2060ab397c5649a0f4b7e6687560a61
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jan 28 15:39:01 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  126 +++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 97 insertions(+), 29 deletions(-)

commit d49c48668c54c71019e39d897ced259eec0d0054
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 18:17:27 2012 -0500

    CamelIMAPXCommandPart: Remove unused 'parent' member.

 camel/providers/imapx/camel-imapx-command.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit b6eca75a476ad741d8de557edf60f42e4cd94f04
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Jan 27 23:39:21 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7fab92a3bd32ce02e55a6c3a608dd8b45d6baf80
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 16:31:06 2012 -0500

    CamelIMAPXCommandFunc: Add a GError parameter.
    
    Completion callbacks now get passed a GError and return a boolean.
    In most cases calling camel_imapx_command_set_error_if_failed() is
    sufficient.  The GError pointer passed to the callback may be NULL
    if the server already knows an error occurred.

 camel/providers/imapx/camel-imapx-command.h |    6 +-
 camel/providers/imapx/camel-imapx-server.c  |  528 +++++++++++++++------------
 2 files changed, 307 insertions(+), 227 deletions(-)

commit f4bf9779bdc6d6c9b6b085cac8592510a1db07b9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 14:46:10 2012 -0500

    Add camel_imapx_command_set_error_if_failed().
    
    If the CamelIMAPXCommand's status indicates failure, set the given
    GError and return TRUE.  If no status is present (e.g. command not
    complete) or the status is "OK", return FALSE.
    
    This also drops the GError member from CamelIMAPXCommand, so that all
    GErrors are now set on the command's CamelIMAPXJob.

 camel/providers/imapx/camel-imapx-command.c |   24 +++
 camel/providers/imapx/camel-imapx-command.h |    7 +-
 camel/providers/imapx/camel-imapx-server.c  |  240 ++++++++++++++++-----------
 3 files changed, 172 insertions(+), 99 deletions(-)

commit e17bd8668057cafc2285692ea231d2536e5aaea5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 13:42:23 2012 -0500

    CamelIMAPXCommand: Lose the GCancellable member.
    
    Pass it around explicitly, or use the one in CamelIMAPXJob.

 camel/providers/imapx/camel-imapx-command.c |    8 --
 camel/providers/imapx/camel-imapx-command.h |    2 -
 camel/providers/imapx/camel-imapx-server.c  |   98 ++++++++++++---------------
 3 files changed, 44 insertions(+), 64 deletions(-)

commit 5a5231a1338c13295e7c01500274a5ac07cff2bd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 13:22:50 2012 -0500

    imapx_command_run_sync(): Take a GCancellable and GError explicitly.

 camel/providers/imapx/camel-imapx-server.c |   25 ++++++++++++++++++-------
 1 files changed, 18 insertions(+), 7 deletions(-)

commit c25aaafd4ddb3ed355983d60f3e3d9fe8b47c82f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 12:16:56 2012 -0500

    CamelIMAPXCommand: Encapsulate some struct members.
    
    Use a private CamelIMAPXRealCommand struct to keep some members hidden.
    Add functions as necessary to interact with private struct members.

 camel/providers/imapx/camel-imapx-command.c |  196 +++++++++++++++++++--------
 camel/providers/imapx/camel-imapx-command.h |   12 +--
 camel/providers/imapx/camel-imapx-server.c  |   28 +----
 3 files changed, 144 insertions(+), 92 deletions(-)

commit 7eb8f961b1c5189605f6f23792de9902c7a05043
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 11:12:08 2012 -0500

    CamelIMAPXCommand: Use a GString.
    
    The TODO comment was right: building the command part with a GString
    instead of a CamelMemStream is much easier (and probably faster, not
    that it matters).

 camel/providers/imapx/camel-imapx-command.c |  102 +++++++++-----------------
 camel/providers/imapx/camel-imapx-command.h |    3 +-
 camel/providers/imapx/camel-imapx-utils.c   |   38 ++++------
 camel/providers/imapx/camel-imapx-utils.h   |    2 +-
 4 files changed, 51 insertions(+), 94 deletions(-)

commit 5a897774eb9a5987304590f96fec67478bbea990
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 13:13:43 2012 -0500

    imapx_command_start(): Take a GCancellable and GError explicitly.

 camel/providers/imapx/camel-imapx-server.c |   40 ++++++++++++++++------------
 1 files changed, 23 insertions(+), 17 deletions(-)

commit 8ef1929e5ab9097227c1ee6664bb217bca3be48a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 12:49:11 2012 -0500

    camel_imapx_run(): Take a GCancellable and GError explicitly.

 camel/providers/imapx/camel-imapx-server.c |  110 ++++++++++++----------------
 1 files changed, 48 insertions(+), 62 deletions(-)

commit 21f00ac526708a3cb6001c31f9726d8982187fed
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 10:04:30 2012 -0500

    Split off CamelIMAPXCommand to a separate file.
    
    camel-imapx-server.c is too large for anyone to fully grok.

 camel/providers/imapx/Makefile.am           |    2 +
 camel/providers/imapx/camel-imapx-command.c |  461 ++++++++++++++++++
 camel/providers/imapx/camel-imapx-command.h |  135 ++++++
 camel/providers/imapx/camel-imapx-server.c  |  680 ++++-----------------------
 4 files changed, 692 insertions(+), 586 deletions(-)

commit 6269e74444dd8204b5da54de7bf245006eeba0ca
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 27 12:52:19 2012 -0500

    CamelIMAPXServer: Coding style fix.

 camel/providers/imapx/camel-imapx-server.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit d559cb488a1a0120c398840ce5c04f113148334a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Jan 25 10:43:40 2012 -0500

    store_get_inbox_folder_sync: Add a NULL check.
    
    Verify the get_folder_sync() method is implemented before invoking it.

 camel/camel-store.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit cf7cab01492cf367a8ea1422b7b6c298cd235ea8
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jan 25 11:27:56 2012 +0100

    CamelStoreSummary: Schedule save rather than save immediately
    
    There was a regression from commit 5c52fe678f6d, marking multiple
    messages read/unread invoked save on each single message change, which
    had a) performance impact, b) did unnecessary disk writes (with fsync()
    calls). This change fixes it by scheduling save, postponing it
    by 5 seconds from the last connected CamelFolderSummary's count change.

 camel/camel-store-summary.c |   69 +++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 67 insertions(+), 2 deletions(-)

commit 0ef9f96b327a037dfad3b519167d90ed255e8d31
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jan 24 10:46:33 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |   74 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 42 insertions(+), 32 deletions(-)

commit b9f92366732dc346da0fb14683c8f3f2066f1414
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 23 16:40:42 2012 -0500

    CamelIMAPXConnManager: Add a parting thought.

 camel/providers/imapx/camel-imapx-conn-manager.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ff7c1f4380d3c79f8400dd7d5636a65f2bb54d4f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 23 13:42:58 2012 -0500

    CamelIMAPXConnManager: Use a reader/writer lock.
    
    Replace CamelIMAPXConnManager's recursive lock with a reader/writer
    lock.  Read operations should be short and simple, write operations
    may be long and complex.
    
    Also check for cancellation in camel_imapx_conn_manager_get_connection()
    after acquiring the writer lock but before attempting to requisition a
    CamelIMAPXServer.

 camel/providers/imapx/camel-imapx-conn-manager.c |  141 +++++++++++-----------
 1 files changed, 68 insertions(+), 73 deletions(-)

commit c520cf428aeff864d1d0244b4589242e50915fbf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 23 13:11:13 2012 -0500

    CamelIMAPXConnManager: Similarly for connection list operations.
    
    Define a bunch of simple thread-safe operations for the list:
    
       imapx_conn_manager_list_info
       imapx_conn_manager_lookup_info
       imapx_conn_manager_remove_info
    
    * Note: lookup_info() returns a new ConnectionInfo reference, and
            list_info() returns a new GList of ConnectionInfo structs,
            each with a new reference
    
    Also rewrite imapx_find_connection() to make the logic clearer.
    (Had to stare at that function for a long time to understand it.)

 camel/providers/imapx/camel-imapx-conn-manager.c |  263 ++++++++++++++--------
 1 files changed, 165 insertions(+), 98 deletions(-)

commit 2651fa606076c59c5384835ce452e1cc56ed5745
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 23 11:31:33 2012 -0500

    CamelIMAPXConnManager: Give ConnectionInfo its own mutex.
    
    Define a bunch of simple thread-safe operations for it:
    
       connection_info_is_available
       connection_info_has_folder_name
       connection_info_insert_folder_name
       connection_info_remove_folder_name
       connection_info_dup_selected_folder
       connection_info_set_selected_folder

 camel/providers/imapx/camel-imapx-conn-manager.c |  143 +++++++++++++++++++---
 1 files changed, 124 insertions(+), 19 deletions(-)

commit 8f9ecc77330bff0015758c120f254b3007ef92ba
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 23 10:25:01 2012 -0500

    CamelIMAPXConnManager: Give ConnectionInfo a reference count.
    
    Add lifecycle functions for it:
    
       ConnectionInfo *  connection_info_new    (CamelIMAPXServer *is)
       ConnectionInfo *  connection_info_ref    (ConnectionInfo *cinfo)
       void              connection_info_unref  (ConnectionInfo *cinfo)
    
    Now we can perform list operations without holding CON_LOCK for so long.

 camel/providers/imapx/camel-imapx-conn-manager.c |   63 +++++++++++++++++-----
 1 files changed, 49 insertions(+), 14 deletions(-)

commit bf36ad69b772b15fca0a0472f9ab68a696171747
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 23 10:11:47 2012 -0500

    CamelIMAPXConnManager: Miscellaneous cleanups.
    
    Always name CamelIMAPXServer variables 'is', to be consistent with
    CamelIMAPXServer itself.

 camel/providers/imapx/camel-imapx-conn-manager.c |   96 +++++++++++-----------
 1 files changed, 49 insertions(+), 47 deletions(-)

commit 8147994ba1b89dece9e8a6577e296504802957ff
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jan 22 11:53:46 2012 -0500

    CamelIMAPXJob: Clarify 'with_operation_msg' field.
    
    Rename it 'pop_operation_msg' and add a comment.

 camel/providers/imapx/camel-imapx-server.c |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

commit 20dc519d73c7e3124c9d3298e28de7ed90a241b3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Jan 22 11:48:52 2012 -0500

    Remove imapx_job_can_operation_msg().
    
    Not needed.  camel_operation_push_message() already gracefully handles
    'cancellable' being either NULL or a plain GCancellable.

 camel/providers/imapx/camel-imapx-server.c |   42 ++++++++++------------------
 1 files changed, 15 insertions(+), 27 deletions(-)

commit 774936df3d191ac43c02c144d0635f767900a4fd
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 19:00:13 2012 -0500

    CamelIMAPXServer: Use g_list_free_full().

 camel/providers/imapx/camel-imapx-server.c |   16 ++++++----------
 1 files changed, 6 insertions(+), 10 deletions(-)

commit 55aa6b36667e2c7e13d2f62f57626ce39ec39b0a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 18:34:01 2012 -0500

    Use a consistent variable name for CamelIMAPXServer.

 camel/providers/imapx/camel-imapx-server.c |  398 ++++++++++++++--------------
 camel/providers/imapx/camel-imapx-server.h |   16 +-
 2 files changed, 210 insertions(+), 204 deletions(-)

commit 95baced5bebf7321c8777b4f0248f3078187b802
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 18:03:19 2012 -0500

    imapx: Simplify parse_contents().

 camel/providers/imapx/camel-imapx-server.c |   15 +++------------
 1 files changed, 3 insertions(+), 12 deletions(-)

commit d9857b84b8c9ac0641392a3e7a0cfe000894b501
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 17:59:09 2012 -0500

    imapx_step: Return a success boolean.

 camel/providers/imapx/camel-imapx-server.c |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit 4e5f7420440cfc9d35c235a38722c41aeb6fc666
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 17:57:21 2012 -0500

    imapx_continuation: Return a success boolean.

 camel/providers/imapx/camel-imapx-server.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 4282c48880f699e5de6895f0cd36365e7389549d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 17:54:12 2012 -0500

    imapx_untagged: Return a success boolean.

 camel/providers/imapx/camel-imapx-server.c |   30 ++++++++++++++--------------
 1 files changed, 15 insertions(+), 15 deletions(-)

commit 613311eaa18ed3123d864594848c040fe116fc61
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 17:48:57 2012 -0500

    imapx_completion: Return a success boolean.

 camel/providers/imapx/camel-imapx-server.c |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

commit d35e6d87c697511641045d8ee5402593489eda02
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Jan 22 20:57:01 2012 +0100

    Updated Spanish translation

 po/es.po |   33 +++++++++++++++++++--------------
 1 files changed, 19 insertions(+), 14 deletions(-)

commit 0dd0c916257ea5eda36c15a54e6d6cb6faee7eb4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Jan 21 21:01:52 2012 +0100

    Updated Slovenian translation

 po/sl.po |  727 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 376 insertions(+), 351 deletions(-)

commit 27789ee4cf1ee9664c36f9fcce0cc2f71a954967
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 10:53:52 2012 -0500

    CamelSession: Avoid spurious "notify::online" signals.

 camel/camel-session.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 22d4b3dd08f437801e218c883c11be8213b5f13a
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 10:19:03 2012 -0500

    imapx_refresh_finfo: Push a status message.

 camel/providers/imapx/camel-imapx-store.c |   17 +++++++++++++++--
 1 files changed, 15 insertions(+), 2 deletions(-)

commit d1406c106efcc054dd4491c9083cebd3ec035700
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Jan 21 11:54:56 2012 +0100

    Updated Spanish translation

 po/es.po |   39 ++++++++++++++++++++++-----------------
 1 files changed, 22 insertions(+), 17 deletions(-)

commit 0aa975e6a2c28099ea589d782d2f77ffc4ae9c6e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Jan 21 00:33:40 2012 -0500

    CamelVeeFolder: Process folder changes more efficiently.
    
    CamelVeeFolder submits a new background job every time it receives a
    CamelFolder::changed signal.  So the background jobs tend to pile up,
    and there's no guarantee the jobs will be dispatched in the order
    they were submitted since they're dispatched from a thread pool.
    
    Instead, run one background job at a time, and have the job process
    FolderChangedData from a queue until the queue is empty.  If another
    CamelFolder::changed signal is received while the background job is
    still running, the changes are simply be appended to the queue.

 camel/camel-vee-folder.c |   76 +++++++++++++++++++++++++++++++++++----------
 1 files changed, 59 insertions(+), 17 deletions(-)

commit d7decd7a166925e27ef47de3146fbf10a076bfef
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 20 22:42:40 2012 -0500

    CamelVeeFolder: Push a status message while updating.

 camel/camel-vee-folder.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit cf05b71574cbf70f3743cdb6e9e3e8c486870137
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jan 20 11:33:20 2012 +0100

    Bug #666764 - SQL error migrating folders

 camel/camel-db.c |   22 ++++++++++++++++++----
 1 files changed, 18 insertions(+), 4 deletions(-)

commit 116eb4aa0f4c2b02d371da93e1954f0d323ccecf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 17 12:34:07 2012 -0500

    Camel: Clarify ownership of returned CamelProviders.

 camel/camel-provider.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 5c52fe678f6d03b50625c385e968650df0e0c068
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Jan 17 14:33:55 2012 +0100

    CamelStoreSummary: Save count changes from CamelFolderSummary immediately

 camel/camel-store-summary.c |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)

commit afb7ed931b214c3b721900da6c9fb8c55e483ec4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 16 10:26:21 2012 -0500

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4ce9fbe5debb223d3c0d92c9c5062a3e14d81a5c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Jan 16 10:10:51 2012 -0500

    NEWS update for 3.3.4 release.

 NEWS |   40 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

commit 4f8f078ec591b64035fe2c3197abd07b5caed3ef
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jan 15 00:21:56 2012 +0100

    Updated Galician translations

 po/gl.po |  820 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 424 insertions(+), 396 deletions(-)

commit e28afe79702ef9ae924e2c9620a2574177a965ac
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jan 5 22:27:02 2012 +0000

    Bug 667388 — Introspection annotation fixes for nullable return types
    
    Add some missing (allow-none) annotations, as well as some (transfer full)
    annotations, to libebook and libedataserver. Update the documentation to
    match, and to be a little more descriptive in places.
    
    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=667388

 addressbook/libebook/e-contact.c |   10 +++++-----
 addressbook/libebook/e-vcard.c   |   30 ++++++++++++++++--------------
 libedataserver/e-source-list.c   |    2 +-
 vala/EBook-1.2.metadata          |    7 +++++++
 vala/EDataServer-1.2.metadata    |    1 +
 vala/Makefile.am                 |    7 ++++++-
 6 files changed, 36 insertions(+), 21 deletions(-)

commit e8881bb34bca2a7207063ca5d3fb8f43baae65fa
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Jan 11 09:56:51 2012 -0500

    Bug 667698: vapigen: fix builddir != srcdir issue

 vala/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 581a16f508280d948eb7c7b865c20e440a0dda2f
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Tue Jan 10 00:46:48 2012 +0300

    Updated Belarusian translation.

 po/be.po | 1518 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 787 insertions(+), 731 deletions(-)

commit 6cba5c19757bfb0296ea7714be12c61c014a9e5c
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jan 9 18:52:33 2012 +0100

    Bug #644817 - Slow addressbook cache

 .../libedata-book/e-book-backend-sqlitedb.c        |  148 ++++++++++++++------
 .../libedata-book/e-book-backend-sqlitedb.h        |   13 ++-
 2 files changed, 111 insertions(+), 50 deletions(-)

commit 73645be161989a66e3b2da14381b2d183af4bb5f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Jan 6 20:37:56 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  605 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 309 insertions(+), 296 deletions(-)

commit ae79db1a06a41ce9c655a95f2c7aec1556381ed6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jan 6 20:31:12 2012 +0100

    Updated Spanish translation

 po/es.po |  609 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 305 insertions(+), 304 deletions(-)

commit 3ee0ee8a293c00d8a17f52fad9cb249d10e838e4
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jan 6 18:57:35 2012 +0100

    Bug #638810 - Crash in camel_folder_search_set_folder with IMAP account

 camel/camel-folder-search.c |   17 +++++++++++++--
 camel/camel-object-bag.c    |   45 ++++++++++++++++++++++++------------------
 2 files changed, 40 insertions(+), 22 deletions(-)

commit 96eec294df8694c7fefaf340582e9abfd7eeb933
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 6 12:16:57 2012 -0500

    imap_folder_dispose(): Disconnect the summary first.
    
    Disconnect the folder summary before destroying any internal members,
    since disconnecting may take awhile to run.

 camel/providers/imap/camel-imap-folder.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit d970f9c43a3cfc20970375fe615547c405ae3b19
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Jan 6 12:12:53 2012 -0500

    CamelFolderSearch: Add argument guards to set() functions.

 camel/camel-folder-search.c |   23 +++++++++++++++++------
 camel/camel-folder-search.h |    2 +-
 2 files changed, 18 insertions(+), 7 deletions(-)

commit 5b364f65cbab64c5bba768b0dd7699a215097c3c
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Jan 6 13:48:12 2012 +0100

    Bug #666757 - [CalDAV] Manage authentication requests even after open

 calendar/backends/caldav/e-cal-backend-caldav.c |   63 +++++++++++++++++++++-
 1 files changed, 60 insertions(+), 3 deletions(-)

commit 54e995a563fbbf2a3a81e71d4f3e020f19e43de2
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Jan 4 14:52:36 2012 +0100

    Bug #665036 - Memory leaks spot in Contacts view

 addressbook/backends/ldap/e-book-backend-ldap.c |   18 +++++++++++++++++-
 addressbook/libebook/e-destination.c            |    4 ++--
 addressbook/libebook/e-vcard.c                  |    5 ++++-
 libedataserver/e-proxy.c                        |   15 ++++++++-------
 4 files changed, 31 insertions(+), 11 deletions(-)

commit 3c3d776c4f8a346d1c5debc89da53eb366a06e73
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 3 09:25:27 2012 -0500

    Camel: Use thread-safe accessors for string settings.

 camel/camel-network-service.c               |    6 +-
 camel/camel-sasl-cram-md5.c                 |    6 +-
 camel/camel-sasl-digest-md5.c               |   27 +++--
 camel/camel-sasl-gssapi.c                   |   34 ++++---
 camel/camel-sasl-login.c                    |   14 ++-
 camel/camel-sasl-ntlm.c                     |   31 ++++--
 camel/camel-sasl-plain.c                    |    6 +-
 camel/camel-service.c                       |   16 ++-
 camel/providers/imap/camel-imap-command.c   |   15 ++-
 camel/providers/imap/camel-imap-folder.c    |   58 ++++++----
 camel/providers/imap/camel-imap-store.c     |  157 ++++++++++++++++++---------
 camel/providers/imapx/camel-imapx-server.c  |   99 ++++++++++++------
 camel/providers/imapx/camel-imapx-store.c   |   24 +++--
 camel/providers/local/camel-local-store.c   |  110 ++++++++++++-------
 camel/providers/local/camel-maildir-store.c |  116 ++++++++++++--------
 camel/providers/local/camel-mbox-store.c    |   35 +++----
 camel/providers/local/camel-mh-store.c      |   87 +++++++++-------
 camel/providers/local/camel-spool-store.c   |   71 ++++++++-----
 camel/providers/nntp/camel-nntp-store.c     |   39 +++++---
 camel/providers/nntp/camel-nntp-summary.c   |   12 ++-
 camel/providers/pop3/camel-pop3-store.c     |  130 ++++++++++++++--------
 camel/providers/smtp/camel-smtp-transport.c |   89 ++++++++++------
 22 files changed, 739 insertions(+), 443 deletions(-)

commit e1983a7d9608d906db4994a5bddaebf88b49f5df
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Jan 3 00:34:11 2012 -0500

    Camel: Add thread-safe accessors for string settings

 camel/camel-local-settings.c                 |   43 +++++-
 camel/camel-local-settings.h                 |    1 +
 camel/camel-network-settings.c               |  110 +++++++++++++
 camel/camel-network-settings.h               |    6 +
 camel/providers/imap/camel-imap-settings.c   |  226 ++++++++++++++++++++++----
 camel/providers/imap/camel-imap-settings.h   |   10 ++
 camel/providers/imapx/camel-imapx-settings.c |   94 ++++++++++--
 camel/providers/imapx/camel-imapx-settings.h |    4 +
 camel/providers/nntp/camel-nntp-settings.c   |   12 +-
 camel/providers/pop3/camel-pop3-settings.c   |   12 +-
 camel/providers/smtp/camel-smtp-settings.c   |   12 +-
 docs/reference/camel/camel-sections.txt      |    4 +
 12 files changed, 475 insertions(+), 59 deletions(-)

commit e2c308cf247486435f7832518dc0973b5c60a4d2
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Jan 2 19:22:19 2012 +0100

    Bug #661743 - Return maildir Inbox sibling folders only when requested

 camel/providers/local/camel-maildir-store.c |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit f049f7bb92d8f28ec6972567d5e314d512a28b92
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Sun Dec 25 23:53:14 2011 +0900

    Updated Japanese translation

 po/ja.po | 1572 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 831 insertions(+), 741 deletions(-)

commit 971766373b6d11bbbcdcfc892422205a12ae64c9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Dec 23 12:38:34 2011 -0500

    Bug 666770 - Add gmodule-2.0 to libedataserver.pc

 libedataserver/libedataserver.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 604f474ac69f311dd7c82abe860838d3c2f6e25d
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Dec 23 18:34:31 2011 +0100

    Bug #592906 - Birthdays from WebDAV contacts do not show up in calendar

 .../backends/google/e-book-backend-google.c        |   13 +-
 calendar/backends/contacts/Makefile.am             |    6 +-
 .../backends/contacts/e-cal-backend-contacts.c     |  375 +++++++++++++++++---
 libedataserver/e-client.c                          |   17 +-
 libedataserver/e-credentials.h                     |   10 +
 5 files changed, 366 insertions(+), 55 deletions(-)

commit befcf3072355f077e72f26772ceb1d22e0d83d45
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Dec 23 14:25:50 2011 +0100

    Updated Spanish translation

 po/es.po |  100 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 56 insertions(+), 44 deletions(-)

commit 272392dbe61e7b454b55ccf60f4dd7ae1a3af6bf
Author: Colin Walters <walters@verbum.org>
Date:   Fri Dec 23 00:42:01 2011 -0500

    Bug 662888 - Use --include-uninstalled for internal .gir files
    
    Otherwise we end up with a dependency on an installed pkg-config file.

 addressbook/libebook/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit fddfec242e245f1ec725541a48d097e608db2ce8
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 22 23:28:03 2011 -0500

    imapx_run_job(): Initialize cancel_id.

 camel/providers/imapx/camel-imapx-server.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 96c5278380d1bbcb5f13da70ab0d84bd3678829a
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Dec 22 20:06:43 2011 +0100

    Bug #482171 - IMAP warnings are presented without folder context

 camel/providers/imap/camel-imap-command.c |   23 +++++++++++++++++------
 camel/providers/imap/camel-imap-command.h |    2 ++
 camel/providers/imap/camel-imap-folder.c  |    8 ++++----
 camel/providers/imap/camel-imap-store.c   |    4 ++--
 4 files changed, 25 insertions(+), 12 deletions(-)

commit d16797bb2103e0561eb5f18a9bd61c447a44e43d
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Dec 22 19:43:29 2011 +0100

    Bug #357175 - IMAP alerts still too intrusive

 camel/providers/imap/camel-imap-command.c |   40 ++++++++++++++++++-----------
 camel/providers/imap/camel-imap-journal.c |    2 +-
 camel/providers/imap/camel-imap-store.c   |    5 +++
 camel/providers/imap/camel-imap-store.h   |    2 +
 4 files changed, 33 insertions(+), 16 deletions(-)

commit 9d26afc1226eb9229ceda121aff808b890cda4c5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Dec 21 21:57:54 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  366 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 187 insertions(+), 179 deletions(-)

commit 72240b827de0744981bf79033911965f73052a41
Author: Alban Browaeys <prahal@yahoo.com>
Date:   Wed Dec 21 09:47:08 2011 +0100

    Bug #666327 - [IMAP] Missing unlock in camel_imap_folder_fetch_data
    
    Add misssing service unlock in the case of fast switch between folders
    with non cached messages. Missed from previous commit:
    74fcab535c0f50a27742c05e94036b8370ea9173 .

 camel/providers/imap/camel-imap-folder.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit c316bc87ececfb664840fe5e2cb8bb5260bbd0b8
Author: Jeffrey Stedfast <jeff@xamarin.com>
Date:   Tue Dec 20 11:07:42 2011 -0500

    ...And another iconv flush fix

 camel/camel-mime-utils.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 79a2b2e9ae3a249287a04ed8e985f045c0560bf7
Author: Jeffrey Stedfast <jeff@xamarin.com>
Date:   Tue Dec 20 10:41:05 2011 -0500

    Fixed another iconv() flush case.

 camel/camel-mime-utils.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 74fcab535c0f50a27742c05e94036b8370ea9173
Author: Alban Browaeys <prahal@yahoo.com>
Date:   Tue Dec 20 14:59:16 2011 +0100

    Bug #666327 - IMAP deadlock when moving message and checking new mail

 camel/providers/imap/camel-imap-folder.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit a066ce7091e3aad07dd093038b7fdb9f03cdb6ec
Author: Jeffrey Stedfast <fejj@gnome.org>
Date:   Mon Dec 19 20:08:42 2011 -0500

    Grow the output buffer as needed when flushing iconv

 camel/camel-mime-filter-charset.c |   10 +++++++++-
 camel/camel-mime-utils.c          |   11 ++++++++++-
 2 files changed, 19 insertions(+), 2 deletions(-)

commit 3a40cde296327894fe9b3708bf7ce292a382cfea
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Dec 19 17:12:53 2011 +0100

    Updated Spanish translation

 po/es.po |  102 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 55 insertions(+), 47 deletions(-)

commit cd3ea63af6b135d8f53bb0cbfe9593b247471266
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Dec 19 20:49:21 2011 +0530

    post release version bump

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9c228c3499e1611704c8bc5458e2fb7c41c06f21
Author: Chenthill Palanisamy <pchenthill@novell.com>
Date:   Mon Dec 19 19:26:16 2011 +0530

    News update for 3.3.3 release

 NEWS |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 54 insertions(+), 0 deletions(-)

commit fa863a593d13811d200d7b25a6b737cbc0743bd8
Author: Milan Crha <mcrha@redhat.com>
Date:   Mon Dec 19 11:13:24 2011 +0100

    Bug #331361 - Allow GPG decryption with anonymous recipient set

 camel/camel-gpg-context.c |   55 ++++++++++++++++++++++++++++++++++++--------
 1 files changed, 45 insertions(+), 10 deletions(-)

commit 67bd9a8d8251b76a35bf58de916abe74c8fda15a
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Dec 17 13:37:59 2011 +0100

    Updated Hungarian translation

 po/hu.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 5277f59efbd05f657fcbc3e110c6f68ad011967d
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Dec 16 09:14:10 2011 +0100

    Bug #665253 - "New folder" dialog does not show IMAP accounts

 camel/providers/imap/camel-imap-store.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 608fae262c7421257ef1a4d5b62724b2e24d40d5
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Dec 14 17:36:53 2011 +0100

    Bug #662068 - Crash in e-cal-backend-http.c:retrieval_done

 calendar/backends/http/e-cal-backend-http.c |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

commit 768ca769392d1dd93a44d2c0ae7ea48211877142
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Dec 14 13:06:22 2011 +0100

    Fix leaks around categories editing

 libedataserverui/e-categories-dialog.c   |    7 ++++---
 libedataserverui/e-categories-dialog.h   |    2 +-
 libedataserverui/e-categories-editor.c   |   12 ++++++++----
 libedataserverui/e-categories-editor.h   |    2 +-
 libedataserverui/e-categories-selector.c |   11 ++++++++---
 libedataserverui/e-categories-selector.h |    4 ++--
 6 files changed, 24 insertions(+), 14 deletions(-)

commit aaeb815a4259d58735ca1f04f7c62dfe9365b9f0
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Dec 14 12:54:07 2011 +0100

    e_categories_selector_get_checked: Return them always in the same order

 libedataserverui/e-categories-selector.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit cbd28522e81926cab13e02ecd3b3d12a78d240ed
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Dec 14 11:52:03 2011 +0100

    Bug #666106 - libical 0.47 handles CATEGORIES as multiple parameters

 calendar/libecal/e-cal-component.c |  116 +++++++++++++++++++++++-------------
 1 files changed, 74 insertions(+), 42 deletions(-)

commit a73166f3908a108243592c6802af9e0b531cf6bc
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Dec 14 10:19:24 2011 +0100

    Revert patch for bug #514041
    
    See the bug for more information:
    https://bugzilla.gnome.org/show_bug.cgi?id=514041#c9

 addressbook/libebook/e-contact.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9341f357b104e79d70981954fe0380814011ad32
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Dec 13 13:23:25 2011 +0100

    Contacts calendar - consider also other than only file-as field

 .../backends/contacts/e-cal-backend-contacts.c     |   19 ++++++++++++++++++-
 1 files changed, 18 insertions(+), 1 deletions(-)

commit 6f0fe6f4efc6dec69da734f96ac55f0102fb3df3
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Dec 13 13:05:49 2011 +0100

    Bug #652173 - EContact's file-as getter doesn't populate empty value

 addressbook/libebook/e-contact.c |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

commit 3a34e74b64990dd60d82c247fdf462336a948815
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Dec 11 13:32:54 2011 -0500

    Add CamelSession.remove_service() method.
    
    So subclasses can be notified when a service is removed.
    
    Changes camel_session_remove_service() slightly.  Now takes a
    CamelService instead of a UID, and does not return a gboolean.
    
    Minor ABI + API break; soname bumped.

 camel/camel-session.c |   44 +++++++++++++++++++++++++++-----------------
 camel/camel-session.h |    6 ++++--
 configure.ac          |    2 +-
 3 files changed, 32 insertions(+), 20 deletions(-)

commit 925872667ef204c2453a632f33884edf2457ce67
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Dec 8 22:16:59 2011 +0100

    Updated Slovenian translation

 po/sl.po |  308 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 158 insertions(+), 150 deletions(-)

commit eba57e3b28a7a55e2311e3f8fbe3452a3130e84f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Dec 2 14:15:33 2011 -0600

    Fix glib-gen.mak rules.
    
    The %-enumtypes.h pattern causes problems when an "*-enumtypes.h"
    from elsewhere (e.g. Camel) is found in the preprocessor search path.
    
    Instead specify the output filename explicitly through a new variable:
    glib_enum_output.  (e.g. glib_enum_output=e-data-book-enumtypes)

 addressbook/libedata-book/Makefile.am    |    1 +
 calendar/libedata-cal/Makefile.am        |    1 +
 calendar/libedata-cal/e-data-cal-types.h |    2 ++
 camel/Makefile.am                        |    1 +
 camel/glib-gen.mak                       |   11 ++++++-----
 glib-gen.mak                             |   13 +++++++------
 6 files changed, 18 insertions(+), 11 deletions(-)

commit a9837969dd82c4b060c599d7eadec2620be5ba7f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Dec 2 19:30:01 2011 +0100

    Call gettext on the short descriptions of port numbers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=665421

 camel/camel-provider.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit f0c0d12c59c1339d83022a6ded7a6ba292c5d11b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Dec 2 18:22:27 2011 +0100

    Updated Spanish translation

 po/es.po |  371 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 189 insertions(+), 182 deletions(-)

commit 60dbefb2716daccede36bf80090a5f0cf203f676
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Dec 2 14:08:13 2011 +0100

    Add --wait-for-client factory processes command line option
    
    This is much better than --keep-running for cases when debugger
    needs to be sure that everything opened is freed (the factory
    closes itself automatically), while client's run takes longer
    than 10 seconds (which is easy when running both/all under
    valgrind, especially with evolution as the client).

 libebackend/e-dbus-server.c                        |    9 +++++++--
 libebackend/e-dbus-server.h                        |    3 ++-
 .../evolution-addressbook-factory.c                |    6 ++++--
 .../evolution-calendar-factory.c                   |    6 ++++--
 4 files changed, 17 insertions(+), 7 deletions(-)

commit bbae3ad7e7d4a55582b2183cec1d80ef2b5069b9
Author: Srinivasa Ragavan <sragavan@gnome.org>
Date:   Thu Nov 17 12:21:40 2011 +0530

    Fix a bug in camel

 camel/camel-store.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 33e1de72498f2a51260ae5b0128f2ee6b9942472
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Dec 2 00:44:33 2011 -0600

    imapx_command_run_sync(): Set a GError if cancelled.
    
    Getting segfaults on cancellation without this...

 camel/providers/imapx/camel-imapx-server.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9bafe1a97bf46c90fd4b597847322269f49ebf03
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Fri Dec 2 00:26:04 2011 -0600

    Small correction to imapx_command_run_sync().

 camel/providers/imapx/camel-imapx-server.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9e659702dc843121f37864e43fa34438cd935dc7
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 22:50:59 2011 -0600

    CamelIMAPXCommand: Make imapx_command_run_sync() more responsive to cancellations.
    
    Connect a GCancellable::cancelled signal handler that broadcasts the
    GCond that imapx_command_run_sync() is waiting on so it can proceed
    immediately.
    
    If imapx_command_complete() is called sometime later by the thread
    executing the command, the GCond will broadcast again but no one will
    be listening for it.

 camel/providers/imapx/camel-imapx-server.c |   29 ++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit 156ae35654d1046019fadb3ec2ec20dcf818d65d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 22:43:30 2011 -0600

    CamelIMAPXCommand: Reference the command when running synchronously.
    
    Reference is dropped in imapx_command_complete().

 camel/providers/imapx/camel-imapx-server.c |   17 +++++++++++++++--
 1 files changed, 15 insertions(+), 2 deletions(-)

commit 9c92752b17cb63a023328ba440fef7ae8f6e70da
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 22:25:04 2011 -0600

    CamelIMAPXCommand: Remove imapx_command_free() with imapx_command_unref().

 camel/providers/imapx/camel-imapx-server.c |  125 ++++++++++++++--------------
 1 files changed, 64 insertions(+), 61 deletions(-)

commit 9a79d993cd5dfb56d726515fa20f71e911a2405c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 22:12:00 2011 -0600

    CamelIMAPXCommand: Add imapx_command_ref().

 camel/providers/imapx/camel-imapx-server.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 6c944a872f98f13fbf0a3301e17ae82746a14d02
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 22:07:20 2011 -0600

    CamelIMAPXCommand: Make IMAPX command functions static.

 camel/providers/imapx/camel-imapx-server.c |  225 ++++++++++++++--------------
 1 files changed, 112 insertions(+), 113 deletions(-)

commit 8f371eda263b5dc55fcd318960b62bf390edd1d3
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 21:51:44 2011 -0600

    CamelIMAPXCommand: Add a reference count.

 camel/providers/imapx/camel-imapx-server.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 2bc0624c7330b4c0c6d699df04bcd23d8e91a1ab
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 21:49:29 2011 -0600

    CamelIMAPXCommand: Allocate with g_slice_new().
    
    Slab allocator is more efficient for fixed-size structs.

 camel/providers/imapx/camel-imapx-server.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 28284e3802e95616c36dc64d7d8924829ba7bf37
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 21:00:16 2011 -0600

    CamelIMAPXJob: Make imapx_job_run() more responsive to cancellations.
    
    Connect a GCancellable::cancelled signal handler that broadcasts the
    GCond that imapx_job_run() is waiting on so it can proceed immediately.
    
    If imapx_job_done() is called sometime later by the thread executing the
    job, the GCond will broadcast again but no one will be listening for it.
    
    Giving CamelIMAPXJob a reference count allows the imapx_job_run() caller
    to drop its job reference and proceed without worrying about whether the
    job is still active in the parser thread, since the parser thread will
    have its own job reference.

 camel/providers/imapx/camel-imapx-server.c |   30 ++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

commit f2348211a0c659b98ada906732a3895a8d81250d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 20:50:59 2011 -0600

    CamelIMAPXJob: Reference the job when queueing.
    
    Reference is dropped after dequeueing in imapx_job_done().

 camel/providers/imapx/camel-imapx-server.c |   15 +++++++--------
 1 files changed, 7 insertions(+), 8 deletions(-)

commit 02e36a8ed2275f562a6d29862c0a6e808615bc1f
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 20:47:55 2011 -0600

    CamelIMAPXJob: Replace imapx_job_free() with imapx_job_unref().

 camel/providers/imapx/camel-imapx-server.c |   55 +++++++++++++++-------------
 1 files changed, 29 insertions(+), 26 deletions(-)

commit 51f24e1780f33d300af3e6110bbd9ca609e24be5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 20:43:18 2011 -0600

    CamelIMAPXJob: Add imapx_job_ref().

 camel/providers/imapx/camel-imapx-server.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 9e693d310a250ef46ac5beea12c3c8e68aaf72c2
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 20:39:37 2011 -0600

    CamelIMAPXJob: Add a reference count.

 camel/providers/imapx/camel-imapx-server.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit aef988535ad180c4c86fc307a2a0c866c41f24b5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 20:38:02 2011 -0600

    CamelIMAPXJob: Allocate with g_slice_new().
    
    Slab allocator is more efficient for fixed-size structs.

 camel/providers/imapx/camel-imapx-server.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 23919a8c55e1f1d526afe1f662d8cab2e3dbd80b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 19:37:30 2011 -0600

    imapx_parser_thread: Skip polling and just read the socket.
    
    We don't use a cancellation file descriptor anymore so there's no point
    in polling one file descriptor.  Just call parse_contents() immediately.

 camel/providers/imapx/camel-imapx-server.c |   60 ++++++---------------------
 1 files changed, 14 insertions(+), 46 deletions(-)

commit 5f969940805c0ee7eb8138689cce9a5a2ce044a5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 17:11:18 2011 -0600

    Bug 665337: Remove --disable-calendar
    
    Basically reverses bug #438928.
    
    This was never a good idea to begin with.  If distros want to pick apart
    E-D-S, they should do so in a deb/rpm/whatever package, not upstream.

 Makefile.am  |    7 +------
 configure.ac |   25 +------------------------
 2 files changed, 2 insertions(+), 30 deletions(-)

commit d8b557c29751f00fa627cd4a6b708518ccf95fc5
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Dec 1 09:17:17 2011 -0600

    rehandshake_ssl(): Be more responsive to cancellations.

 camel/camel-tcp-stream-ssl.c                |   44 +++++++++++++++++++++-----
 camel/camel-tcp-stream-ssl.h                |    1 +
 camel/providers/imap/camel-imap-store.c     |    3 +-
 camel/providers/imapx/camel-imapx-server.c  |    4 ++-
 camel/providers/pop3/camel-pop3-store.c     |    2 +-
 camel/providers/smtp/camel-smtp-transport.c |    3 +-
 6 files changed, 44 insertions(+), 13 deletions(-)

commit 46b9224d28076227cd99461f44a87822014b95e5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Dec 1 17:58:23 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  165 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 85 insertions(+), 80 deletions(-)

commit 46169b9f411850a6605c34bb1a35dadf27e15dca
Author: Diego López León <dieguitoll@gmail.com>
Date:   Tue Nov 29 19:34:12 2011 -0600

    Bug 664819 - gmodule-2.0 dependency must be explicit

 configure.ac |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit d2dfeeef62f9b588ddcb858dc20903320ffee276
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Nov 29 16:58:32 2011 -0600

    Reduce frequency of CamelFolder::changed emissions.
    
    If camel_folder_changed() is called after an idle callback for the
    signal emission has already been scheduled but not yet dispatched,
    append the new change info to the pending change info instead of
    scheduling another idle callback.
    
    Virtual folders schedule a background job for every "changed" signal
    emission, and this taxes the CPU unnecessarily hard, especially when
    IMAPX is downloading folder summaries for the first time.
    
    These changes are still not optimal, but my own measurements showed
    a significant reduction in CamelFolder::changed signal emissions.

 camel/camel-folder.c |   61 ++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 45 insertions(+), 16 deletions(-)

commit 5dd95d2afc68263e1c76f04d6049fb7be83d60bf
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Nov 29 00:20:07 2011 -0600

    Better runtime warnings in tcp_stream_set_error_from_pr_error().
    
    I keep seeing some kind of NSPR error which apparently has no error text
    (PR_GetErrorTextLength() returns 0).  This should at least help pin down
    the error code so maybe we can special-case it.

 camel/camel-tcp-stream-raw.c |   29 ++++++++++++++++++++---------
 1 files changed, 20 insertions(+), 9 deletions(-)

commit 09ce7d56263afea44eb627c49ec8eeb4e6c80914
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 28 11:39:13 2011 -0600

    Wean CamelIMAPXServer off CamelMsgPort.
    
    A simple GQueue + thread-safe 'done' flag on each job is sufficient.

 camel/providers/imapx/camel-imapx-server.c |   61 ++++++++++++++++-----------
 camel/providers/imapx/camel-imapx-server.h |    4 +-
 2 files changed, 38 insertions(+), 27 deletions(-)

commit 6aebc465423b84fff77dc43189b7794953cc71cf
Author: Xandru Armesto <xandru@softastur.org>
Date:   Mon Nov 28 18:33:33 2011 +0100

    Updated asturian translation

 po/ast.po | 5654 +++++++++++++++++++++++++++----------------------------------
 1 files changed, 2500 insertions(+), 3154 deletions(-)

commit 326cbde1fe2754c971bc418fee8d58931b4b90d6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Nov 25 21:22:54 2011 +0100

    Updated Slovenian translation

 po/sl.po | 1065 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 561 insertions(+), 504 deletions(-)

commit 7d00b444443233ced4629a32749e7e5085c61720
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Nov 25 11:22:26 2011 +0100

    Avoid crash in e-cal-backend-http.c:webcal_to_http_method

 calendar/backends/http/e-cal-backend-http.c |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit b0a7c103078e91c9e26af3087d1311ff3623f108
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Nov 25 10:45:43 2011 +0100

    EProxy: Disconnect from signal handlers on dispose

 libedataserver/e-proxy.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit a28a512c9f839f8ccefeaf4256eb897ce9d6b8f6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Nov 24 18:01:11 2011 -0500

    Remove all *_DISABLE_DEPRECATED_FLAGS.
    
    I'll care about deprecated APIs again when a gtk4 release date is
    announced.  Meanwhile it's just causing distros unnecessary pain.

 configure.ac |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit beee55a815a8cf377aff0b2b14ce71b46e1fd026
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Nov 24 17:52:10 2011 -0500

    Remove GSEAL_ENABLE macro.
    
    We already comply, and it's required now anyway for gtk3.

 configure.ac |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 8befd1e96f3c1ce02480de628d1dbbf6cd986204
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Thu Nov 24 17:48:39 2011 -0500

    Remove *_DISABLE_SINGLE_INCLUDES macros.
    
    We already comply, and it's required now anyway for gtk3.

 configure.ac |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 95d7fe1d4d8748fee96e152830a0dad2a1c0d4d9
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Nov 24 12:02:30 2011 +0100

    Bug #664572 - Change e_cal_backend_notify_component* to use ECalComponent

 calendar/backends/caldav/e-cal-backend-caldav.c    |  159 +++++------
 .../backends/contacts/e-cal-backend-contacts.c     |   75 +++---
 calendar/backends/file/e-cal-backend-file.c        |  303 +++++++-------------
 calendar/backends/http/e-cal-backend-http.c        |   45 ++--
 calendar/backends/weather/e-cal-backend-weather.c  |   42 +--
 calendar/libecal/e-cal-component.c                 |   26 ++-
 calendar/libecal/e-cal-component.h                 |    1 +
 calendar/libedata-cal/e-cal-backend-sync.c         |   32 +-
 calendar/libedata-cal/e-cal-backend-sync.h         |   12 +-
 calendar/libedata-cal/e-cal-backend.c              |  150 +++-------
 calendar/libedata-cal/e-cal-backend.h              |   18 +-
 calendar/libedata-cal/e-data-cal-view.c            |   81 +++---
 calendar/libedata-cal/e-data-cal-view.h            |   13 +-
 calendar/libedata-cal/e-data-cal.c                 |   26 +-
 calendar/libedata-cal/e-data-cal.h                 |    6 +-
 configure.ac                                       |    2 +-
 16 files changed, 423 insertions(+), 568 deletions(-)

commit 6f6b6503cf59189896f4195ba0d1cc2cec7723f1
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Aug 4 21:32:09 2011 -0400

    Added test case for new ECal revision backend property
    
    Test case modifies the calendar in a loop and ensures that
    every modification results in a new revision string.

 tests/libecal/client/Makefile.am                |    3 +
 tests/libecal/client/test-client-get-revision.c |   86 +++++++++++++++++++++++
 2 files changed, 89 insertions(+), 0 deletions(-)

commit 9597173bbc19a81e53b2e353a7cf634ca2b1e11c
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Tue Nov 22 17:58:30 2011 +0900

    Bug #652177 - Add "revision" property to calendar file backend
    
    Added "revision" property also now as a common property definition
    in e-client.h. revisions are guarunteed to remain the same until there
    is a modification to the calendar.

 addressbook/libebook/e-book-client.h             |   11 --
 calendar/backends/file/e-cal-backend-file.c      |  116 ++++++++++++++++++++--
 calendar/libedata-cal/e-cal-backend.h            |   11 ++
 libedataserver/e-client.h                        |   11 ++
 tests/libebook/client/test-client-get-revision.c |    4 +-
 5 files changed, 130 insertions(+), 23 deletions(-)

commit f3a1b06f7fc28974c9a048a440bc2d2379075571
Author: Milan Crha <mcrha@redhat.com>
Date:   Wed Nov 23 09:30:37 2011 +0100

    Pre-load all built-in timezones in libical on calendar factory start
    
    This is the same fix as was done in evolution within bug #628139

 calendar/libedata-cal/e-data-cal-factory.c |   33 +++++++++++++++++++++++++--
 1 files changed, 30 insertions(+), 3 deletions(-)

commit 6e53fb4c4dccbbcb6a0239dc01f9c2aaef98970d
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Nov 22 15:40:04 2011 +0100

    Add e_book_backend_sqlitedb_get_uids_and_rev()

 .../libedata-book/e-book-backend-sqlitedb.c        |   43 ++++++++++++++++++++
 .../libedata-book/e-book-backend-sqlitedb.h        |    8 +++-
 2 files changed, 50 insertions(+), 1 deletions(-)

commit 22b3c5b809dae87d70204db709c40792de932a71
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Nov 21 02:01:58 2011 +0100

    Updated Galician translations

 po/gl.po |  267 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 145 insertions(+), 122 deletions(-)

commit 944ebcfb545ac9a97e52452b699c2e0bad47ce1b
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Nov 20 16:29:32 2011 -0500

    Post-release version bump.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e575e13c38dcc0f23faaf048eb184fcd7284ebc9
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Nov 20 16:24:00 2011 -0500

    NEWS update for 3.3.2 release.

 NEWS |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 54 insertions(+), 0 deletions(-)

commit 7146f451d1f2cf1afedb52d68c82159cb82677ce
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Nov 19 11:55:40 2011 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  438 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 224 insertions(+), 214 deletions(-)

commit 8b33f590b3012190e8dd46defa8ed19916358075
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Nov 15 18:01:48 2011 +0100

    Updated Spanish translation

 po/es.po |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

commit 636c2d9d3f00ea17d20cbd4f0f17cf7373023c7d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Nov 15 17:37:24 2011 +0100

    Updated Spanish translation

 po/es.po |  460 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 244 insertions(+), 216 deletions(-)

commit 00e73f1a5976f3df6157d6cb37e0dce81cb05a68
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Nov 15 11:09:07 2011 -0500

    Fix capitalization.

 camel/camel-tcp-stream-ssl.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a8dcfca3229f7649e635ef996f2222c647039206
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Nov 15 11:03:07 2011 -0500

    Add useful GBinding transform funcs from e-util.
    
    e_binding_transform_enum_value_to_nick()
    e_binding_transform_enum_nick_to_value()

 .../libedataserver/libedataserver-sections.txt     |    2 +
 libedataserver/e-data-server-util.c                |   78 ++++++++++++++++++++
 libedataserver/e-data-server-util.h                |   14 +++-
 3 files changed, 93 insertions(+), 1 deletions(-)

commit 287ea88b08c4fd81b49587a432e6e0d329ccdbe9
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Nov 15 12:55:17 2011 +0100

    Bug #440316 - Improve SSL Certificate check bad signature dialog

 camel/camel-certdb.c         |    4 ++++
 camel/camel-certdb.h         |    3 ++-
 camel/camel-disco-diary.c    |    4 ++--
 camel/camel-session.c        |   17 ++++++++---------
 camel/camel-session.h        |    8 ++++----
 camel/camel-tcp-stream-ssl.c |   41 ++++++++++++++++++++++++++++++++---------
 6 files changed, 52 insertions(+), 25 deletions(-)

commit 85162b95e1c66fbc6f4017cb983cbb6092e57001
Author: Milan Crha <mcrha@redhat.com>
Date:   Tue Nov 15 09:20:03 2011 +0100

    Fix minor compiler warnings

 tests/libebook/client/test-client-get-revision.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d528a12b6a7225f847eb4e8bedaca5ec7bf8f8a6
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 14 21:55:25 2011 -0500

    Camel no longer depends on libedataserver.
    
    Camel is now the lowest layer of E-D-S, built first.

 Makefile.am                         |    4 ++--
 camel/Makefile.am                   |    7 +++----
 camel/camel.pc.in                   |    2 +-
 camel/providers/imap/Makefile.am    |    3 +--
 camel/providers/imapx/Makefile.am   |    7 +++----
 camel/providers/local/Makefile.am   |    3 +--
 camel/providers/nntp/Makefile.am    |    3 +--
 camel/providers/pop3/Makefile.am    |    3 +--
 camel/providers/smtp/Makefile.am    |    5 ++---
 camel/tests/folder/Makefile.am      |    3 +--
 camel/tests/lib/Makefile.am         |   26 ++++++++++++--------------
 camel/tests/message/Makefile.am     |    5 ++---
 camel/tests/mime-filter/Makefile.am |    7 +++----
 camel/tests/misc/Makefile.am        |    5 ++---
 camel/tests/smime/Makefile.am       |    5 ++---
 15 files changed, 37 insertions(+), 51 deletions(-)

commit c656465e20b7d51c0df1be6236009964dd684218
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 14 21:53:02 2011 -0500

    Add CamelSExp (copy of ESExp).

 camel/Makefile.am                        |    2 +
 camel/camel-filter-driver.c              |  233 ++--
 camel/camel-filter-search.c              |  364 +++---
 camel/camel-folder-search.c              |  438 ++++----
 camel/camel-folder-search.h              |   60 +-
 camel/camel-search-private.c             |    4 +-
 camel/camel-search-private.h             |    4 +-
 camel/camel-search-sql-sexp.c            |  368 +++---
 camel/camel-sexp.c                       | 1861 ++++++++++++++++++++++++++++++
 camel/camel-sexp.h                       |  243 ++++
 camel/camel.h                            |    1 +
 camel/providers/imap/camel-imap-search.c |   32 +-
 docs/reference/camel/camel-docs.sgml     |    1 +
 docs/reference/camel/camel-sections.txt  |   43 +
 docs/reference/camel/camel.types         |    1 +
 15 files changed, 2901 insertions(+), 754 deletions(-)

commit 0814af666fcbb6c62f668ea47b080d5de5118be0
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 14 19:23:42 2011 -0500

    Camel: Remove an unnecessary libedataserver include.

 camel/providers/local/camel-local-store.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 5b0d8094e437608c5ff3f90ab949f432bf176b2c
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 14 19:22:54 2011 -0500

    Camel: Copy Win32 gunk from e-data-server-util.c.

 camel/camel-win32.c |   54 +++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 42 insertions(+), 12 deletions(-)

commit d0845eb2c007ea978d00c5c8800697b9842ae8de
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 14 19:13:27 2011 -0500

    Add camel_mktime_utc() and camel_localtime_with_offset().
    
    Copied from libedataserver/e-time-utils.c.

 camel/camel-mime-message.c               |    4 +-
 camel/camel-mime-utils.c                 |   71 ++++++++++++++++++++++++++++--
 camel/camel-mime-utils.h                 |    6 +++
 camel/providers/imap/camel-imap-folder.c |    4 +-
 docs/reference/camel/camel-sections.txt  |    2 +
 5 files changed, 77 insertions(+), 10 deletions(-)

commit a377044cd37368dcc372eab766221670540f949e
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 14 18:52:21 2011 -0500

    EFlag is off limits in Camel, write it out by hand.

 camel/camel-db.c                           |   52 ++++++++++++++------
 camel/providers/imapx/camel-imapx-server.c |   72 +++++++++++++++++++++------
 camel/providers/imapx/camel-imapx-server.h |    1 -
 3 files changed, 93 insertions(+), 32 deletions(-)

commit 31e12b510a566fc4467fc0f46ea32fc5c7d93f37
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Oct 27 14:02:20 2011 +0100

    Bug 661033 — Add support for E_CONTACT_FILE_AS field
    
    Add support for E_CONTACT_FILE_AS to the Google Contacts address book backend
    if libgdata ≥ 0.11.0 is available. This doesn't bump EDS’ required libgdata
    version.
    
    Closes: bgo#661033

 .../backends/google/e-book-backend-google.c        |   43 +++++++++++++++++++-
 1 files changed, 42 insertions(+), 1 deletions(-)

commit aa2a887c2d029a590189b6c5847ff5dc66355a97
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Nov 14 16:15:34 2011 -0500

    Update API docs.

 addressbook/backends/file/e-book-backend-file.c    |   90 ++++++++--------
 .../backends/google/e-book-backend-google.c        |   20 ++--
 addressbook/backends/ldap/e-book-backend-ldap.c    |  106 ++++++++++----------
 addressbook/backends/vcf/e-book-backend-vcf.c      |    8 +-
 .../backends/webdav/e-book-backend-webdav.c        |   22 ++--
 addressbook/libebook/e-book-client-view.c          |    6 +-
 addressbook/libebook/e-book-client-view.h          |   13 +--
 addressbook/libebook/e-contact.c                   |   22 ++--
 addressbook/libebook/e-vcard.h                     |   31 +++++--
 .../libedata-book/e-book-backend-db-cache.c        |    4 +-
 .../libedata-book/e-book-backend-sqlitedb.h        |    2 +-
 addressbook/libedata-book/e-book-backend-sync.c    |    9 +-
 addressbook/libedata-book/e-book-backend.c         |   23 ++--
 addressbook/libedata-book/e-data-book-view.c       |    8 +-
 addressbook/libegdbus/e-gdbus-book-view.c          |   24 ++--
 addressbook/libegdbus/e-gdbus-book-view.h          |    4 +-
 calendar/backends/caldav/e-cal-backend-caldav.c    |   39 ++++----
 .../backends/contacts/e-cal-backend-contacts.c     |   11 +-
 calendar/backends/file/e-cal-backend-file.c        |   15 ++--
 calendar/backends/http/e-cal-backend-http.c        |   44 ++++----
 calendar/libecal/e-cal-client.c                    |    4 +-
 calendar/libedata-cal/e-cal-backend-cache.c        |    4 +-
 calendar/libedata-cal/e-cal-backend-intervaltree.c |    3 +-
 calendar/libedata-cal/e-cal-backend-sync.c         |   52 +++++-----
 calendar/libedata-cal/e-cal-backend-sync.h         |    2 +-
 calendar/libedata-cal/e-cal-backend.c              |  108 +++++++++++---------
 calendar/libedata-cal/e-cal-backend.h              |    4 +-
 calendar/libedata-cal/e-data-cal-view.c            |   62 +++++++-----
 calendar/libedata-cal/e-data-cal-view.h            |    4 +-
 calendar/libedata-cal/e-data-cal.c                 |   26 +++---
 calendar/libedata-cal/e-data-cal.h                 |    2 +-
 camel/camel-folder-search.c                        |    1 -
 camel/camel-folder-summary.c                       |    2 +-
 camel/camel-folder.c                               |    4 +-
 camel/camel-gpg-context.c                          |    2 +-
 camel/camel-index.c                                |   10 +-
 camel/camel-mime-message.c                         |    9 +-
 camel/camel-mime-utils.c                           |   12 ++-
 camel/camel-offline-store.c                        |   46 ++++-----
 camel/camel-provider.h                             |    2 +-
 camel/camel-search-sql.c                           |   15 ++--
 camel/camel-session.c                              |    2 +-
 camel/camel-session.h                              |    4 +-
 camel/camel-settings.c                             |   10 +-
 camel/camel-settings.h                             |    2 +-
 camel/camel-store.c                                |    1 -
 .../addressbook/libebook/libebook-sections.txt     |    6 +
 .../libedata-book/libedata-book-sections.txt       |    2 +
 .../libedata-cal/libedata-cal-sections.txt         |   11 ++
 libedataserver/e-gdbus-templates.c                 |   46 ++++----
 libedataserver/e-list.c                            |   22 ++--
 libedataserver/e-operation-pool.h                  |    2 +-
 libedataserver/e-source-group.c                    |   11 +--
 libedataserver/e-source-group.h                    |    2 +-
 libedataserver/e-source-list.c                     |   12 +-
 libedataserver/e-source-list.h                     |    2 +-
 libedataserverui/e-categories-editor.c             |    2 +-
 libedataserverui/e-name-selector.c                 |    2 +-
 libedataserverui/e-passwords.c                     |    8 +-
 libedataserverui/e-passwords.h                     |    5 +-
 tests/libebook/client/test-client-get-revision.c   |    5 +-
 tests/libebook/client/test-client-photo-is-uri.c   |   66 ++++++------
 .../client/test-client-suppress-notifications.c    |   16 ++-
 tests/libebook/test-bulk-methods.c                 |    8 +-
 tests/libebook/test-vcard-parsing.c                |   11 ++-
 tests/libecal/client/test-client-revision-view.c   |   35 ++++---
 66 files changed, 620 insertions(+), 548 deletions(-)

commit 78f8ae6f9f2414a151c7a0ea7b01c6fdc62b401f
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Fri Jul 22 19:59:12 2011 -0400

    Added test case to test the new backend revision property
    
    Added a tests/libebook/client/test-client-get-revision.c to test
    that the local backend supports revisions and the revisions indeed
    change after modifying the addressbook in any way.

 tests/libebook/client/Makefile.am                |    3 +
 tests/libebook/client/test-client-get-revision.c |   80 ++++++++++++++++++++++
 2 files changed, 83 insertions(+), 0 deletions(-)

commit 9011ea3e21b92f4e6a14fd9edf718b3b8d9d1b36
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Nov 10 21:24:34 2011 -0500

    Bug #652175 - Add revision property to addressbook backend
    
    This patch adds the "revision" property definition in e-book-client.h,
    e-book-backend.h and e-client.h as well as an implementation of the
    revision property in the local file backend.

 addressbook/backends/file/e-book-backend-file.c |  135 +++++++++++++++++++----
 addressbook/libebook/e-book-client.h            |   11 ++
 addressbook/libedata-book/e-book-backend.h      |   11 ++
 3 files changed, 137 insertions(+), 20 deletions(-)

commit af56ebf42b2addf291afb9112d4f3e550b7ecff4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Nov 13 18:57:42 2011 +0100

    Updated Galician translations

 po/gl.po |  380 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 194 insertions(+), 186 deletions(-)

commit a2a5a3fc63b4ebd7293f20b107da7600b088c1ea
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Nov 13 00:36:46 2011 -0500

    Remove camel_folder_summary_decode_token().
    
    No longer needed.

 camel/camel-folder-summary.c            |   87 -------------------------------
 camel/camel-folder-summary.h            |    5 --
 docs/reference/camel/camel-sections.txt |    1 -
 3 files changed, 0 insertions(+), 93 deletions(-)

commit 14ed64a9f2e6723c454425205f2b274c37ce8f5d
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sun Nov 13 00:29:12 2011 -0500

    Remove camel_folder_summary_encode_token().
    
    No longer needed.

 camel/camel-folder-summary.c            |   71 -------------------------------
 camel/camel-folder-summary.h            |    3 -
 docs/reference/camel/camel-sections.txt |    1 -
 3 files changed, 0 insertions(+), 75 deletions(-)

commit fc4a3e9087a0352a3c671dd74e479961c55627ac
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Sat Nov 12 23:01:33 2011 -0500

    Remove camel_folder_summary_set_filename().
    
    No longer needed.

 camel/camel-folder-summary.c                  |   22 ----------------------
 camel/camel-folder-summary.h                  |    5 -----
 camel/providers/imap/camel-imap-folder.c      |   13 +++----------
 camel/providers/imap/camel-imap-store.c       |    2 +-
 camel/providers/imap/camel-imap-summary.c     |    5 +----
 camel/providers/imap/camel-imap-summary.h     |    3 +--
 camel/providers/imapx/camel-imapx-folder.c    |    7 ++-----
 camel/providers/imapx/camel-imapx-store.c     |    2 +-
